##
## autogenerated ChangeLog -- don't edit
##

2005-02-01 Tuesday 00:31  Rocky Bernstein <rocky@panix.com>

	* configure.ac: Require automake 1.8. Kudos to Steve Schultz;
	raspberries to automake.

2005-01-31 Monday 23:55  Rocky Bernstein <rocky@panix.com>

	* configure.ac: Add substitution for mkdir -p Get ready for 0.72

2005-01-31 Monday 10:20  Rocky Bernstein <rocky@panix.com>

	* parse/: .cvsignore, Makefile, toc.y, toclexer.c, toclexer.h:
	First attempt at Bison TOC parser.

2005-01-31 Monday 09:22  Rocky Bernstein <rocky@panix.com>

	* doc/: glossary.texi, libcdio.texi: Improve cdrdao grammar. More
	on SVCD. Minor index and other corrections.
	
	Probably the last lookover before the 0.72 release.

2005-01-30 Sunday 10:05  Rocky Bernstein <rocky@panix.com>

	* lib/driver/image/bincue.c: More variable renamings.

2005-01-30 Sunday 10:03  Rocky Bernstein <rocky@panix.com>

	* lib/driver/image/bincue.c: env -> p_env user_data -> p_user_data

2005-01-30 Sunday 09:48  Rocky Bernstein <rocky@panix.com>

	* README.libcdio: grammatical improvement

2005-01-30 Sunday 06:37  Rocky Bernstein <rocky@panix.com>

	* libcdio_paranoia.pc.in: Picking up wrong library: need
	libcdio_cdda, not cdda_interface

2005-01-30 Sunday 03:18  Rocky Bernstein <rocky@panix.com>

	* libcdio_cdda.pc.in, libcdio_paranoia.pc.in, libiso9660.pc.in:
	libcdio_*: names probably need to be something other that libcdio
	which is already in use.  libsio9660: minor title change

2005-01-29 Saturday 21:20  Rocky Bernstein <rocky@panix.com>

	* lib/driver/libcdio.sym: Missing cdio_error.

2005-01-29 Saturday 21:01  Rocky Bernstein <rocky@panix.com>

	* configure.ac: Hopefully last release candidate.

2005-01-29 Saturday 20:54  Rocky Bernstein <rocky@panix.com>

	* doc/libcdio.texi, example/scsi-mmc1.c, example/scsi-mmc2.c,
	include/cdio/bytesex.h, include/cdio/bytesex_asm.h,
	include/cdio/cdda.h, include/cdio/cdio.h, include/cdio/cdtext.h,
	include/cdio/device.h, include/cdio/iso9660.h,
	include/cdio/paranoia.h, include/cdio/scsi_mmc.h,
	include/cdio/track.h, include/cdio/version.h.in,
	lib/driver/scsi_mmc.c, test/check_cd_read.sh: Doxygen changes.

2005-01-29 Saturday 15:43  Rocky Bernstein <rocky@panix.com>

	* doc/libcdio.texi: More small corrections.

2005-01-29 Saturday 14:50  Rocky Bernstein <rocky@panix.com>

	* test/: check_common_fn.in, check_cue.sh.in, check_iso.sh.in,
	check_opts.sh: Slightly more descriptive and accurate error
	messages when regression tests fail. Also if no Joliet support, one
	test is skipped.

2005-01-29 Saturday 10:05  Rocky Bernstein <rocky@panix.com>

	* doc/glossary.texi, doc/libcdio.texi, example/paranoia.c,
	example/scsi-mmc1.c, example/scsi-mmc2.c: Add section on SCSI mmc.
	Go over and spell check.  example/*.c some trivial typos

2005-01-29 Saturday 08:17  Rocky Bernstein <rocky@panix.com>

	* src/cd-paranoia/doc/: Makefile.am, en/Makefile.am,
	jp/Makefile.am: Forgot to install default manpages.

2005-01-29 Saturday 08:03  Rocky Bernstein <rocky@panix.com>

	* configure.ac, doc/.cvsignore, doc/doxygen/.cvsignore,
	src/cd-paranoia/Makefile.am, src/cd-paranoia/doc/.cvsignore,
	src/cd-paranoia/doc/Makefile.am,
	src/cd-paranoia/doc/cd-paranoia.1.in,
	src/cd-paranoia/doc/cd-paranoia.1.jp.in,
	src/cd-paranoia/doc/en/.cvsignore,
	src/cd-paranoia/doc/en/Makefile.am,
	src/cd-paranoia/doc/en/cd-paranoia.1.in,
	src/cd-paranoia/doc/jp/.cvsignore,
	src/cd-paranoia/doc/jp/Makefile.am,
	src/cd-paranoia/doc/jp/cd-paranoia.1.in: Put Japanese man page in
	man/jp.

2005-01-28 Friday 04:15  Rocky Bernstein <rocky@panix.com>

	* doc/: glossary.texi, libcdio.texi: Go over documentation yet
	again. In particular:
	
	Move section on image formats out of Appendix and expand.
	
	Add a chapter on program internals
	
	glossary: add item to concept index and regularize index names.

2005-01-27 Thursday 23:23  Rocky Bernstein <rocky@panix.com>

	* lib/driver/_cdio_osx.c: fix harmless prototype mismatches.

2005-01-27 Thursday 11:08  Rocky Bernstein <rocky@panix.com>

	* lib/driver/: scsi_mmc.c, scsi_mmc_private.h, MSWindows/aspi32.c,
	MSWindows/aspi32.h, MSWindows/win32.c, MSWindows/win32.h,
	MSWindows/win32_ioctl.c: cygwin fixes mostly.

2005-01-27 Thursday 04:54  Rocky Bernstein <rocky@panix.com>

	* configure.ac, lib/driver/FreeBSD/freebsd.c: Add check for
	<sys/param.h> to and use in freebsd.c to stop warning.

2005-01-27 Thursday 04:00  Rocky Bernstein <rocky@panix.com>

	* lib/driver/FreeBSD/: freebsd.c, freebsd.h, freebsd_cam.c,
	freebsd_ioctl.c: Some FreeBSD fixes.

2005-01-27 Thursday 03:26  Rocky Bernstein <rocky@panix.com>

	* Makefile.am, lib/driver/Makefile.am, lib/iso9660/Makefile.am:
	Attempt to get library version numbers correct for release.

2005-01-27 Thursday 03:13  Rocky Bernstein <rocky@panix.com>

	* configure.ac: Okay, we'll call this rc1.

2005-01-27 Thursday 03:10  Rocky Bernstein <rocky@panix.com>

	* configure.ac, include/cdio/cd_types.h, include/cdio/cdda.h,
	include/cdio/cdtext.h, include/cdio/paranoia.h,
	include/cdio/track.h, lib/cdda_interface/common_interface.c,
	lib/cdda_interface/interface.c, lib/cdda_interface/scan_devices.c,
	lib/driver/_cdio_generic.c, lib/driver/cdio.c,
	lib/driver/cdio_private.h, lib/driver/cdtext.c,
	lib/driver/generic.h, src/cd-info.c: cdparanoia: add ability to
	disable byte swapping configure.ac: remove AIX driver for now - it
	doesn't really work remove some (but not all) of the valgrind
	errors in cd-text Some stylistic things, doxygen comment
	improvements typos, etc.

2005-01-26 Wednesday 01:21  Rocky Bernstein <rocky@panix.com>

	* include/cdio/: cdda.h, paranoia.h: Add an easy way to turn off
	paranoia compatibility.

2005-01-26 Wednesday 01:03  Rocky Bernstein <rocky@panix.com>

	* example/paranoia2.c, include/cdio/cdda.h,
	lib/cdda_interface/interface.c, lib/driver/_cdio_generic.c,
	lib/driver/device.c: Add a cdda_close that doesn't free the p_cdio
	pointer for those cases where an application may want to keep that
	pointer open.
	
	All routines now are distinct from parnaoia routines with suitable
	#defines for compatibility.

2005-01-25 Tuesday 11:04  Rocky Bernstein <rocky@panix.com>

	* configure.ac, libcdio_cdda.pc.in, example/paranoia2.c,
	include/cdio/cdda.h, include/cdio/paranoia.h,
	lib/cdda_interface/cooked_interface.c,
	lib/cdda_interface/interface.c, lib/cdda_interface/scan_devices.c,
	test/testparanoia.c: libcdio_cdda.pc.in: had wrong cdda_interface
	library
	
	Rename paranoia routines to cdio-specific names so both libraries
	can coexist.  And I think it makes debugging a little easier if not
	clearer.

2005-01-25 Tuesday 03:56  Rocky Bernstein <rocky@panix.com>

	* .cvsignore, libcdio.pc.in, libcdio_cdda.pc.in,
	libcdio_paranoia.pc.in, libiso9660.pc.in: Move pc files back into
	root of source tree.

2005-01-25 Tuesday 03:55  Rocky Bernstein <rocky@panix.com>

	* package/: .cvsignore, libcdio.pc.in, libcdio_cdda.pc.in,
	libcdio_paranoia.pc.in, libiso9660.pc.in: Move package config files
	back to root of source tree.

2005-01-25 Tuesday 02:13  Rocky Bernstein <rocky@panix.com>

	* Makefile.am, package/.cvsignore, package/libcdio-suse.spec.in:
	SuSE spec file from Stanislav Brabec

2005-01-25 Tuesday 02:01  Rocky Bernstein <rocky@panix.com>

	* libcdio.pc.in, libcdio.spec.in, libcdio_cdda.pc.in,
	libcdio_paranoia.pc.in, libiso9660.pc.in: Now located in package.

2005-01-25 Tuesday 02:00  Rocky Bernstein <rocky@panix.com>

	* .cvsignore, configure.ac, example/paranoia2.c,
	package/libcdio.pc.in, package/libcdio.spec.in,
	package/libcdio_cdda.pc.in, package/libcdio_paranoia.pc.in,
	package/libiso9660.pc.in: Add package directory for various package
	files.
	
	paranoia2.c: comment typo

2005-01-24 Monday 17:36  Rocky Bernstein <rocky@panix.com>

	* lib/driver/_cdio_aix.c: Compilation fixes

2005-01-24 Monday 08:33  Rocky Bernstein <rocky@panix.com>

	* doc/libcdio.texi: Add cdrdao grammar, cd paranoia example program
	and lots of little documentation updates. More later...

2005-01-24 Monday 05:01  Rocky Bernstein <rocky@panix.com>

	* doc/libcdio.texi: Add CD Text, CDDB, and CD+G information.
	CdIo->CdIo_t

2005-01-24 Monday 00:23  Rocky Bernstein <rocky@panix.com>

	* lib/driver/MSWindows/win32.c: Wrong return type.

2005-01-24 Monday 00:17  Rocky Bernstein <rocky@panix.com>

	* lib/driver/_cdio_osx.c: Synatx error.

2005-01-24 Monday 00:13  Rocky Bernstein <rocky@panix.com>

	* lib/driver/_cdio_bsdi.c: syntax error.

2005-01-24 Monday 00:10  Rocky Bernstein <rocky@panix.com>

	* lib/driver/_cdio_sunos.c: Wrong return type.

2005-01-24 Monday 00:06  Rocky Bernstein <rocky@panix.com>

	* NEWS, include/cdio/disc.h, include/cdio/scsi_mmc.h,
	lib/driver/_cdio_aix.c, lib/driver/_cdio_bsdi.c,
	lib/driver/_cdio_linux.c, lib/driver/_cdio_osx.c,
	lib/driver/_cdio_sunos.c, lib/driver/cdio_private.h,
	lib/driver/disc.c, lib/driver/libcdio.sym, lib/driver/scsi_mmc.c,
	lib/driver/scsi_mmc_private.h, lib/driver/FreeBSD/freebsd.c,
	lib/driver/FreeBSD/freebsd_cam.c,
	lib/driver/FreeBSD/freebsd_ioctl.c, lib/driver/MSWindows/win32.c,
	lib/driver/image/bincue.c, lib/driver/image/cdrdao.c,
	lib/driver/image/nrg.c: stat_size -> get_disc_last_lsn. Now returns
	lsn_t and CDIO_INVALID_LSN on error.
	
	Add MMC version of get_disc_last_lsn.
	
	More regularization of driver_return_code_t and get_disc_last_lsn
	
	There's probably some small driver breakage which will be fixed
	soon.

2005-01-23 Sunday 19:16  Rocky Bernstein <rocky@panix.com>

	* include/cdio/cdio.h, include/cdio/device.h, include/cdio/read.h,
	lib/driver/_cdio_aix.c, lib/driver/_cdio_bsdi.c,
	lib/driver/_cdio_generic.c, lib/driver/_cdio_linux.c,
	lib/driver/_cdio_sunos.c, lib/driver/read.c, lib/driver/scsi_mmc.c,
	lib/driver/scsi_mmc_private.h, lib/driver/FreeBSD/freebsd.c,
	lib/driver/image/bincue.c, lib/driver/image/cdrdao.c,
	lib/driver/image/nrg.c: Change read routines so the use the
	driver_return_code_t enumeration.  It's a little cleaner and may
	make things clearer in debugging.

2005-01-23 Sunday 17:14  Rocky Bernstein <rocky@panix.com>

	* lib/driver/MSWindows/win32.c: Use SCSI-MMC routine for reading
	audio sectors. ioctl READRAW doesn't always word and is slow.

2005-01-23 Sunday 14:05  Rocky Bernstein <rocky@panix.com>

	* lib/: cdda_interface/interface.c, paranoia/paranoia.c: Work
	around problem where we were accessing outside of an allocate range
	when the drive endian was different than the CD-ROM endianness. We
	do this by always allocating an extra block, but it would be better
	to understand whether this is correct or whether some logic needs
	to be fixed.

2005-01-23 Sunday 05:54  Rocky Bernstein <rocky@panix.com>

	* test/testparanoia.c: Remove access of uninitialized memory.

2005-01-23 Sunday 05:51  Rocky Bernstein <rocky@panix.com>

	* test/testdefault.c: Remove memory leak. Not used in regression
	testing  though.

2005-01-23 Sunday 05:31  Rocky Bernstein <rocky@panix.com>

	* lib/cdda_interface/scan_devices.c, lib/driver/_cdio_bsdi.c,
	lib/driver/_cdio_linux.c, lib/driver/image_common.c,
	lib/driver/FreeBSD/freebsd.c, lib/driver/MSWindows/win32.c,
	lib/paranoia/isort.c, lib/paranoia/p_block.c,
	lib/paranoia/paranoia.c, test/testparanoia.c: Remove some
	valgrind-caught memory leaks or use of uninitialized regions.

2005-01-23 Sunday 04:53  Rocky Bernstein <rocky@panix.com>

	* lib/driver/_cdio_sunos.c: Valgrind-caught memory leak.

2005-01-23 Sunday 00:45  Rocky Bernstein <rocky@panix.com>

	* test/: Makefile.am, bad-file.toc, data5.toc, data6.toc,
	data7.toc, testtoc.c: Since we have better TOC checking we now have
	to give real filenames.  Adjust for this. Also added a regression
	test with a bad file name.

2005-01-23 Sunday 00:27  Rocky Bernstein <rocky@panix.com>

	* lib/cdda_interface/: common_interface.c, utils.h: Nope. Didn't
	get it right this time either with the byteswapping.  However we've
	at least reduced the customness.

2005-01-23 Sunday 00:20  Rocky Bernstein <rocky@panix.com>

	* lib/cdda_interface/: common_interface.c, utils.h: Use common
	byte-swapping routines and remove cdparanoia-specific ones.  (This
	time, for sure!)

2005-01-22 Saturday 23:57  Rocky Bernstein <rocky@panix.com>

	* lib/driver/image.h, lib/driver/image/cdrdao.c, test/Makefile.am,
	test/check_cue.sh.in, test/vcd_demo.toc, test/vcd_demo_toc.right:
	Improve cdrdao to handle MSF-length.
	
	Remove vcd_demo_toc.right since the cd-info output is now the same
	as vcd_demo.right vcd_demo.toc adjusted accordingly.

2005-01-22 Saturday 22:21  Rocky Bernstein <rocky@panix.com>

	* src/: cd-drive.c, cd-info.c, iso-info.c, iso-read.c: Version
	information now includes build.

2005-01-22 Saturday 19:39  Rocky Bernstein <rocky@panix.com>

	* include/cdio/version.h.in, src/cd-paranoia/version.h,
	test/check_paranoia.sh.in: check_paranoia.sh.in: Add a more
	agressive paranoia test.
	
	*version.h*: Include build name in version listings.

2005-01-22 Saturday 18:54  Rocky Bernstein <rocky@panix.com>

	* test/check_paranoia.sh.in: Was missing move of jitter output.

2005-01-22 Saturday 18:49  Rocky Bernstein <rocky@panix.com>

	* example/README: More about where to look for examples.

2005-01-22 Saturday 18:43  Rocky Bernstein <rocky@panix.com>

	* example/README: Programs have been added and renamed.

2005-01-22 Saturday 18:11  Rocky Bernstein <rocky@panix.com>

	* include/cdio/cdda.h, lib/cdda_interface/cooked_interface.c,
	src/cd-paranoia/cd-paranoia.c, test/check_paranoia.sh.in: Add
	jitter simulation and jitter-correction testing.

2005-01-22 Saturday 12:51  Rocky Bernstein <rocky@panix.com>

	* lib/driver/FreeBSD/freebsd.c: Add a CAM read audio now that
	CDIOREADAUDIO deosn't work on newer FreeBSDs.  Deal with recent
	generic->mmc name changes.

2005-01-22 Saturday 11:22  Rocky Bernstein <rocky@panix.com>

	* lib/driver/_cdio_stream.c: Don't attempt to see before the
	beginning of a file.

2005-01-22 Saturday 03:45  Rocky Bernstein <rocky@panix.com>

	* lib/cdda_interface/: common_interface.c, common_interface.h,
	scan_devices.c: Add routines which allow cdio object to be opened
	before cdda_open.  common_interface.h: data_bigendianp() is now
	public (in cdio/cdda.h)

2005-01-22 Saturday 03:43  Rocky Bernstein <rocky@panix.com>

	* include/cdio/cdda.h: Add interfaces which allow opening a cdio
	object before running paranoia.  data_bigendianp is too neat to
	keep it private.

2005-01-22 Saturday 03:41  Rocky Bernstein <rocky@panix.com>

	* example/: Makefile.am, paranoia.c, paranoia2.c: Add an example
	which opens the cdio object first. Also show off data_bigendianp().

2005-01-22 Saturday 01:18  Rocky Bernstein <rocky@panix.com>

	* cvs2cl_usermap: Add Justin's info.

2005-01-21 Friday 23:12  Rocky Bernstein <rocky@panix.com>

	* lib/driver/_cdio_osx.c: Use strerror in all ioctl to give
	additional info.

2005-01-21 Friday 20:54  Rocky Bernstein <rocky@panix.com>

	* lib/driver/: _cdio_aix.c, _cdio_bsdi.c, _cdio_linux.c,
	_cdio_osx.c, _cdio_sunos.c, scsi_mmc.c, scsi_mmc_private.h: Remove
	a number of const's since Darwin's run_scsi_mmc doesn't work that
	way :-(

2005-01-21 Friday 15:30  Rocky Bernstein <rocky@panix.com>

	* lib/driver/MSWindows/win32.c: routine name change.

2005-01-21 Friday 10:11  Rocky Bernstein <rocky@panix.com>

	* NEWS, lib/driver/_cdio_stream.c, lib/driver/image.h,
	lib/driver/image/cdrdao.c, test/vcd_demo_toc.right: _cdio_stream.c:
	replace assert's with failures.  Make cdrdao be able to handle the
	kind of images vcdimager produces.
	
	There was a slight regression (perhaps so vcd_demo_toc.right may in
	fact not be right. Deal with some other time.

2005-01-21 Friday 03:15  Rocky Bernstein <rocky@panix.com>

	* lib/driver/_cdio_osx.c: Remove get_scsi for now.

2005-01-21 Friday 02:59  Rocky Bernstein <rocky@panix.com>

	* lib/driver/: _cdio_aix.c, _cdio_bsdi.c, _cdio_generic.c,
	_cdio_linux.c, _cdio_sunos.c, cdio_private.h, generic.h,
	scsi_mmc.c, scsi_mmc_private.h, FreeBSD/freebsd.c,
	MSWindows/win32.c: Move some of the "generic" routines using MMC
	into SCSI-MMC. Think is a little bit clearer and cleaner.

2005-01-21 Friday 02:57  Rocky Bernstein <rocky@panix.com>

	* lib/driver/read.c: Remove probably some serious lapses: Now check
	all reads for exceeding end of disc and info messages can be
	logged. We were also returning 0 on error reads. Regularize by
	using a couple of macros.

2005-01-20 Thursday 14:58  Rocky Bernstein <rocky@panix.com>

	* lib/driver/FreeBSD/freebsd.c: Missed a couple of env -> p_env's

2005-01-20 Thursday 12:36  Rocky Bernstein <rocky@panix.com>

	* lib/driver/_cdio_osx.c: Add Scott Wood's code for issuing
	SCSI-MMC command. It doesn't work though.

2005-01-20 Thursday 05:07  Rocky Bernstein <rocky@panix.com>

	* lib/driver/: _cdio_generic.c, _cdio_linux.c, _cdio_sunos.c,
	cdio_private.h, generic.h, FreeBSD/freebsd.c,
	FreeBSD/freebsd_cam.c: Add get_blocksize. There may be some
	breakage as I haven't tested all of the various drivers yet.

2005-01-20 Thursday 04:51  Rocky Bernstein <rocky@panix.com>

	* include/cdio/: device.h, iso9660.h, paranoia.h, read.h: Various
	doxygen improvements.

2005-01-20 Thursday 04:46  Rocky Bernstein <rocky@panix.com>

	* include/cdio/scsi_mmc.h: Turn a bunch of defines into an
	enumeration. Makes debugging a bit nicer.

2005-01-20 Thursday 01:00  Rocky Bernstein <rocky@panix.com>

	* lib/: driver/_cdio_generic.c, driver/_cdio_linux.c,
	driver/_cdio_stdio.c, driver/_cdio_stdio.h, driver/_cdio_stream.c,
	driver/_cdio_stream.h, driver/_cdio_sunos.c, driver/cdio_private.h,
	driver/generic.h, driver/image.h, driver/FreeBSD/freebsd.c,
	driver/MSWindows/win32.c, iso9660/iso9660_fs.c: Move a set_speed
	and set_blocksize (via MMC)from driver-specific places to generic.
	
	Add _t to yet another type.

2005-01-20 Thursday 00:36  Rocky Bernstein <rocky@panix.com>

	* include/cdio/device.h, lib/driver/_cdio_linux.c,
	lib/driver/_cdio_sunos.c, lib/driver/cdio.c, lib/driver/device.c,
	lib/driver/scsi_mmc.c: Add DRIVER_OP_UNINIT and change appropriate
	DRIVER_OP_ERROR's to DRIVER_OP_UNINIT.

2005-01-19 Wednesday 17:25  Rocky Bernstein <rocky@panix.com>

	* lib/driver/MSWindows/win32_ioctl.c: Type cast that might make
	this more robust. 'Dunno.

2005-01-19 Wednesday 17:24  Rocky Bernstein <rocky@panix.com>

	* lib/cdda_interface/scan_devices.c: Even though this may not be
	nstrictly the way the original cdda_interface does things, add a
	spaces between the vendor, model, and revison number.

2005-01-19 Wednesday 17:23  Rocky Bernstein <rocky@panix.com>

	* src/cd-paranoia/cd-paranoia.c: Accomodate Windows that sometimes
	gives an argc that seems one greater than what's not NULL in argv.
	And it is probably a good idea anyway to test for null strings
	before calling strdup()

2005-01-19 Wednesday 09:42  Rocky Bernstein <rocky@panix.com>

	* lib/driver/_cdio_bsdi.c: Change to use driver_return_t

2005-01-19 Wednesday 09:40  Rocky Bernstein <rocky@panix.com>

	* lib/driver/: _cdio_linux.c, _cdio_sunos.c, image_common.c: Change
	to use driver_return_t.

2005-01-19 Wednesday 09:23  Rocky Bernstein <rocky@panix.com>

	* include/cdio/cdio.h, include/cdio/device.h,
	lib/driver/_cdio_generic.c, lib/driver/_cdio_linux.c,
	lib/driver/cdio.c, lib/driver/device.c, lib/driver/generic.h,
	lib/driver/image_common.c, lib/driver/scsi_mmc.c: Try to regularize
	driver operation return codes via a new enumeation return type. (I
	may regret this later as we return ioctl's int value in some
	cases).
	
	cdio.h: get/set_arg moved to device.

2005-01-18 Tuesday 16:05  Rocky Bernstein <rocky@panix.com>

	* lib/cdda_interface/interface.c: Do not try to process if we got
	errors. More needs to be done, but this is a start.

2005-01-18 Tuesday 12:59  Rocky Bernstein <rocky@panix.com>

	* src/cd-paranoia/doc/cd-paranoia.1.in: Note change in -g option
	and that we scan for a CD-DA (rather than merely a CD-ROM).

2005-01-18 Tuesday 12:34  Rocky Bernstein <rocky@panix.com>

	* lib/driver/device.c: Got test backwards.

2005-01-18 Tuesday 12:26  Rocky Bernstein <rocky@panix.com>

	* src/cd-paranoia/: cd-paranoia.c, usage.txt.in:
	--force-generic-device -g is an alias for --force-cdrom-device -d

2005-01-18 Tuesday 05:46  Rocky Bernstein <rocky@panix.com>

	* src/cd-paranoia/doc/.cvsignore: The usual.

2005-01-18 Tuesday 05:41  Rocky Bernstein <rocky@panix.com>

	* include/cdio/scsi_mmc.h, lib/driver/scsi_mmc.c,
	lib/driver/MSWindows/win32.c: Attempt SCSI-MMC speed setting (e.g.
	for M$).

2005-01-18 Tuesday 04:03  Rocky Bernstein <rocky@panix.com>

	* lib/driver/FreeBSD/freebsd.c: Add FreeBSD set speed routine.

2005-01-18 Tuesday 03:46  Rocky Bernstein <rocky@panix.com>

	* NEWS, test/Makefile.am: test/Makefile.am: forgot to add vcd2.toc
	NEWS: what's up.

2005-01-18 Tuesday 03:27  Rocky Bernstein <rocky@panix.com>

	* test/testparanoia.c: gcc < 3.0 compilation fix.

2005-01-18 Tuesday 03:03  Rocky Bernstein <rocky@panix.com>

	* lib/cdda_interface/scan_devices.c: Bug in accessing via snprintf
	a NULL string.

2005-01-18 Tuesday 02:18  Rocky Bernstein <rocky@panix.com>

	* example/Makefile.am, lib/driver/_cdio_osx.c: Add set_speed for
	OSX.

2005-01-18 Tuesday 01:48  Rocky Bernstein <rocky@panix.com>

	* lib/driver/: _cdio_linux.c, _cdio_sunos.c: Add set_speed for
	Solaris via ioctl and set_blocksize via SCSI-MMC.  Update comments
	in GNU/Linux driver.

2005-01-18 Tuesday 00:57  Rocky Bernstein <rocky@panix.com>

	* include/cdio/device.h, include/cdio/scsi_mmc.h,
	lib/cdda_interface/cooked_interface.c, lib/driver/_cdio_generic.c,
	lib/driver/_cdio_linux.c, lib/driver/cdio_private.h,
	lib/driver/device.c, lib/driver/generic.h,
	lib/driver/image_common.c, lib/driver/image_common.h,
	lib/driver/libcdio.sym, lib/driver/scsi_mmc.c,
	lib/driver/image/cdrdao.c, src/cd-paranoia/cd-paranoia.c: Add
	interface for setting speed and blocksize. Reinstated it in
	cd-paranoia libraries and command.
	
	Some more variable convention regularizations.

2005-01-17 Monday 17:20  Rocky Bernstein <rocky@panix.com>

	* lib/driver/: _cdio_aix.c, _cdio_bsdi.c, _cdio_linux.c,
	_cdio_osx.c, _cdio_sunos.c, cdio.c, cdio_private.h, device.c,
	FreeBSD/freebsd.c, MSWindows/win32.c, image/bincue.c,
	image/cdrdao.c, image/nrg.c: add _t to another time. driver_id
	inside p_cdio wasn't initialized.

2005-01-17 Monday 16:29  Rocky Bernstein <rocky@panix.com>

	* example/paranoia.c: We don't need driver_id, so simplify this
	code a little bit.

2005-01-16 Sunday 13:08  Rocky Bernstein <rocky@panix.com>

	* configure.ac, src/cd-paranoia/Makefile.am,
	src/cd-paranoia/cd-paranoia.c, src/cd-paranoia/usage.txt.in,
	src/cd-paranoia/doc/cd-paranoia.1,
	src/cd-paranoia/doc/cd-paranoia.1.in,
	src/cd-paranoia/doc/cd-paranoia.1.jp,
	src/cd-paranoia/doc/cd-paranoia.1.jp.in: Work on documentation.
	cd-paranoia name is now properly substituted.  Offset option
	described better.

2005-01-16 Sunday 11:47  Rocky Bernstein <rocky@panix.com>

	* src/cd-paranoia/: Makefile.am, cd-paranoia.1, cd-paranoia.1.jp,
	doc/cd-paranoia.1, doc/cd-paranoia.1.jp: Move cd-paranoia
	documentation into its own directory.

2005-01-16 Sunday 04:35  Rocky Bernstein <rocky@panix.com>

	* test/testtoc.c: Add another VCD toc test. We can't actually
	handle this fully, but at least we can parse it correctly (I
	think).

2005-01-16 Sunday 04:34  Rocky Bernstein <rocky@panix.com>

	* test/vcd2.toc: Add another TOC test. This one taken from one
	modified from Steve Schultz's VCD collection.

2005-01-16 Sunday 04:28  Rocky Bernstein <rocky@panix.com>

	* lib/driver/image/cdrdao.c: At least parse DATAFILE lines more
	fully. Things are better but we're still having problems reading
	the ISO-9660 of sms VCD's.

2005-01-16 Sunday 04:25  Rocky Bernstein <rocky@panix.com>

	* lib/driver/image.h: It appears for cdrdao datastart needs to be
	larger. Could possibly be unsigned too.

2005-01-16 Sunday 04:23  Rocky Bernstein <rocky@panix.com>

	* include/cdio/cdda.h: Redo bit masks for test flags. Should
	accomodate what is in (even if not working) in cdparanoia.

2005-01-16 Sunday 04:20  Rocky Bernstein <rocky@panix.com>

	* test/: .cvsignore, Makefile.am: Remove testparanoia .raw output
	on clean Also ignore these for CVS if they are around.

2005-01-15 Saturday 16:08  Rocky Bernstein <rocky@panix.com>

	* include/cdio/cdda.h, src/cd-paranoia/cd-paranoia.c: Remove a
	couple of unused SCSI fields.

2005-01-15 Saturday 16:05  Rocky Bernstein <rocky@panix.com>

	* include/cdio/cdda.h, lib/cdda_interface/Makefile.am,
	lib/cdda_interface/cooked_interface.c,
	lib/cdda_interface/interface.c, lib/cdda_interface/scan_devices.c,
	src/cd-paranoia/cd-paranoia.c, test/check_paranoia.sh.in: Add
	regression-test mechanism. Right now we only have underrun testing.
	 Perhaps more later...	cd-paranoia: -x option added to specify
	what to test.

2005-01-15 Saturday 10:19  Rocky Bernstein <rocky@panix.com>

	* src/cd-paranoia/cd-paranoia.c: Replace some paranoia-specific
	copystring's with strdups.

2005-01-15 Saturday 10:17  Rocky Bernstein <rocky@panix.com>

	* test/: Makefile.am, check_paranoia.sh.in: Start another
	cd-paranoia test. This one uses image reading so it doesn't require
	a CD-DA loaded.

2005-01-15 Saturday 03:22  Rocky Bernstein <rocky@panix.com>

	* lib/cdda_interface/scan_devices.c: Redo in a way simpler way that
	and in a way that valgrind doesn't think there's a memory leak.

2005-01-15 Saturday 02:23  Rocky Bernstein <rocky@panix.com>

	* lib/cdda_interface/cooked_interface.c,
	src/cd-paranoia/cd-paranoia.c: cooked_interface.c: check for
	TOC-read error.  cd-paranoia.c: check that list of drives isn't
	just NULL list.

2005-01-14 Friday 22:04  Rocky Bernstein <rocky@panix.com>

	* lib/driver/_cdio_osx.c: Small error. Used the wrong variable for
	extracting the revision.

2005-01-14 Friday 21:41  Rocky Bernstein <rocky@panix.com>

	* lib/driver/MSWindows/win32.c: More changes to deal with error
	conditions.

2005-01-14 Friday 21:40  Rocky Bernstein <rocky@panix.com>

	* test/Makefile.am: Need to put in libcdio libs for testparanoia.

2005-01-14 Friday 19:25  Rocky Bernstein <rocky@panix.com>

	* lib/driver/device.c, lib/driver/MSWindows/win32.c,
	test/testparanoia.c: win32.c: was not indicating a failure when
	reading the TOC failed.  testparanoia.c: better check that there
	are drives.  device.c: I think better checking on drive capability.
	At least we now       check for the TOC failure case and not add a
	drive there.

2005-01-14 Friday 04:26  Rocky Bernstein <rocky@panix.com>

	* test/testparanoia.c: Use a more statistical approach to
	determining if cd-paranoia worked.  We still are really testing the
	error correction part which may be the most interesting (and
	useful).

2005-01-14 Friday 04:09  Rocky Bernstein <rocky@panix.com>

	* lib/cdda_interface/interface.c, test/testparanoia.c: Looked at
	WAV spec format. Probably (but I'm not certain) the thing that was
	wrong was the test program which needs to byte swap. What confuses
	me now is how the media players sort this out.

2005-01-14 Friday 03:41  Rocky Bernstein <rocky@panix.com>

	* lib/cdda_interface/: interface.c, scan_devices.c: The sense I'm
	getting is that while the bigendianp detection is clever, it isn't
	complete. It may be that we need to use this along in conjunctin
	with the endianness of the OS. That is instead of big/little
	endian, what's needed is same/not same endian.
	
	For now, the simplest thing is to just disable all of this and wait
	to discover a CD-ROM drive where we have a problem.

2005-01-14 Friday 02:13  Rocky Bernstein <rocky@panix.com>

	* test/testparanoia.c: Spelling mistake.

2005-01-14 Friday 02:02  Rocky Bernstein <rocky@panix.com>

	* src/cd-paranoia/Makefile.am: I think I've finally got things
	worked out so that usage.h gets created before it is needed.

2005-01-14 Friday 01:37  Rocky Bernstein <rocky@panix.com>

	* lib/paranoia/paranoia.c: Fix a couple memory leaks by freeing
	resources.

2005-01-14 Friday 01:36  Rocky Bernstein <rocky@panix.com>

	* lib/cdda_interface/: common_interface.c, utils.c, utils.h:
	Reinstate more of the libcdio routines.

2005-01-13 Thursday 21:38  Rocky Bernstein <rocky@panix.com>

	* lib/cdda_interface/: common_interface.c, utils.h: Put back
	original cdparanoia byte-swapping routines until we smoke out
	what's going wrong on cygwin.

2005-01-13 Thursday 19:39  Rocky Bernstein <rocky@panix.com>

	* lib/driver/MSWindows/win32_ioctl.c: Fix syntax error of last
	commit

2005-01-13 Thursday 19:35  Rocky Bernstein <rocky@panix.com>

	* lib/driver/MSWindows/win32_ioctl.c: Remove warning and make sure
	variable is initialized

2005-01-13 Thursday 19:30  Rocky Bernstein <rocky@panix.com>

	* src/cd-drive.c: Just list the drivers that are available.

2005-01-13 Thursday 04:00  Rocky Bernstein <rocky@panix.com>

	* include/cdio/paranoia.h, lib/paranoia/paranoia.c: Add array to
	convert paranoia_mode_cb into a string.

2005-01-13 Thursday 03:58  Rocky Bernstein <rocky@panix.com>

	* test/: Makefile.am, testparanoia.c: Start of a paranoia
	regression test program.

2005-01-12 Wednesday 12:15  Rocky Bernstein <rocky@panix.com>

	* lib/driver/FreeBSD/freebsd.c: Save track flags for FreeBSD
	(preemphasis, # number of audio channels and copy permit)

2005-01-12 Wednesday 11:34  Rocky Bernstein <rocky@panix.com>

	* example/iso1.c, include/cdio/bytesex.h, include/cdio/ds.h,
	include/cdio/iso9660.h, lib/driver/ds.c, lib/driver/image_common.h,
	lib/driver/image/nrg.c, lib/iso9660/iso9660_fs.c, src/cd-info.c,
	src/iso-info.c, test/vcd_demo_toc.right: Non-functional changes:  
	Small coding style changes: add _t to some types, p_/psz_ to some
	variables   Update/add doxygen comments   add missing regression
	test output

2005-01-12 Wednesday 04:36  Rocky Bernstein <rocky@panix.com>

	* example/: Makefile.am, paranoia.c: Add an example of using
	paranoia with libcdio.

2005-01-12 Wednesday 02:39  Rocky Bernstein <rocky@panix.com>

	* src/cd-paranoia/Makefile.am: I really don't understand how
	Makefile's. Put in an explict dependency between usage.h and
	usage.txt since the generic one isn't sufficient.

2005-01-11 Tuesday 10:51  Rocky Bernstein <rocky@panix.com>

	* src/cd-paranoia/Makefile.am: Install program and manpage
	according to name specificed in --with-cdparnoia-name

2005-01-11 Tuesday 04:11  Rocky Bernstein <rocky@panix.com>

	* src/cd-paranoia/Makefile.am: 2nd try at getting tarball built
	right. This time, ...

2005-01-11 Tuesday 04:05  Rocky Bernstein <rocky@panix.com>

	* src/cd-paranoia/Makefile.am: Missing two headers.

2005-01-11 Tuesday 04:00  Rocky Bernstein <rocky@panix.com>

	* configure.ac, include/cdio/paranoia.h,
	src/cd-paranoia/.cvsignore, src/cd-paranoia/Makefile.am,
	src/cd-paranoia/cd-paranoia.c, src/cd-paranoia/pod2c.pl,
	src/cd-paranoia/usage.txt.in, src/cd-paranoia/doc/FAQ.txt,
	src/cd-paranoia/doc/overlapdef.txt: doc: add some paranoia
	documentation.	src: Cleaner way to get usage and allow it to be
	customized to a particular	name configure.ac: add
	--with-cd-paranoia-name to allow customization of the cd-paranoia
	name.
	
	More work is needed to get the binary renamed.

2005-01-11 Tuesday 00:34  Rocky Bernstein <rocky@panix.com>

	* lib/: driver/Makefile.am, iso9660/Makefile.am,
	iso9660/libiso9660.sym: lib/{driver,iso9660}/Makefile.am: new
	improved script for handling the case where there are no local
	symbols (or global symbols).  libsio9660.sym: The last remaining
	local symbol really should be global.
	
	Change made on behalf of Nicolas Boullis.

2005-01-10 Monday 03:39  Rocky Bernstein <rocky@panix.com>

	* lib/cdda_interface/interface.c: Had commented out bigendiap
	avoidance. Use - things go much faster.

2005-01-10 Monday 02:10  Rocky Bernstein <rocky@panix.com>

	* include/cdio/cdda.h, lib/cdda_interface/toc.c,
	lib/paranoia/p_block.c: toc.c: don't assume first sector is 1. 
	cdda.h: document TOC better.  p_block.c: revise getting paranoia
	first/last sector

2005-01-09 Sunday 17:30  Rocky Bernstein <rocky@panix.com>

	* src/cd-drive.c: Another slight error message change.

2005-01-09 Sunday 16:42  Rocky Bernstein <rocky@panix.com>

	* src/cd-paranoia/cd-paranoia.c: Let people customize what program
	name to call this.  More accurate error message when auto-detecting
	drive fails.

2005-01-09 Sunday 16:33  Rocky Bernstein <rocky@panix.com>

	* src/util.c: Some OS's (e.g. BSDI) have limitations on var_arg
	routines. Accommodate this.

2005-01-09 Sunday 16:26  Rocky Bernstein <rocky@panix.com>

	* lib/driver/scsi_mmc.c, test/vcd_demo.right: scsi_mmc.c: style
	differences. Need to do something about checking to make sure we
	don't exceed the disc though.  vcd_demo.right: output has changed
	yet again.

2005-01-09 Sunday 16:07  Rocky Bernstein <rocky@panix.com>

	* include/cdio/Makefile.am, include/cdio/cdio.h,
	include/cdio/device.h, include/cdio/disc.h, include/cdio/read.h,
	lib/cdda_interface/interface.c, lib/driver/Makefile.am,
	lib/driver/cdio.c, lib/driver/device.c, lib/driver/disc.c,
	lib/driver/read.c, lib/driver/track.c: cdio.{c,h}: moved various
	reading and device/driver routines out into the below read.{c,h}:
	separate include for the reading routines.  disc.{c,h}: more moved
	here from corresponding cdio.  device.c: a place for device/driver
	related routines.  interface.c: break up line to make debugging
	easier.

2005-01-09 Sunday 13:19  Rocky Bernstein <rocky@panix.com>

	* src/cd-paranoia/cd-paranoia.c: Better error message when CD audio
	scanning failed.

2005-01-09 Sunday 12:32  Rocky Bernstein <rocky@panix.com>

	* lib/cdda_interface/: common_interface.c, common_interface.h: Got
	BE and LE conversion backwards. Caused cdda-endianess determination
	to fail.

2005-01-09 Sunday 01:50  Rocky Bernstein <rocky@panix.com>

	* lib/: cdda_interface/cooked_interface.c,
	cdda_interface/drive_exceptions.h, cdda_interface/scan_devices.c,
	driver/_cdio_sunos.c: Fix my recent breakage in adding back
	GNU/Linux endian determination.  Need to seet nsectors if not
	GNU/Linux. Some lint things for non-GNU/Linux.

2005-01-09 Sunday 00:47  Rocky Bernstein <rocky@panix.com>

	* lib/: cdda_interface/cooked_interface.c, driver/_cdio_sunos.c:
	Fix a bad bug where we were requesting potentially a huge number of
	blocks (-1 unsigned). Fix both the driver to disallow such a
	nonsensical thing as well as just don't make the request.

2005-01-09 Sunday 00:12  Rocky Bernstein <rocky@panix.com>

	* lib/driver/cdio.c: Handle the case were we want to open only real
	CD-ROM devices versus those where we're willing to open CD-images
	and real CDs.
	
	Don't know why I never fixed this earlier.

2005-01-09 Sunday 00:10  Rocky Bernstein <rocky@panix.com>

	* src/cd-drive.c, test/cdda-read.right, test/check_common_fn.in,
	test/isofs-m1-read.right, src/cd-info.c, src/cd-read.c, src/util.c,
	src/util.h: Create open_input() for common input open routines.
	
	Input error messages have been gone over. cd-read is a little more
	like the rest.
	
	Regression output now has NO-WARRANTY.

2005-01-08 Saturday 20:47  Rocky Bernstein <rocky@panix.com>

	* lib/cdda_interface/scan_devices.c: Compilation fix for
	non-GNU/linux

2005-01-08 Saturday 20:39  Rocky Bernstein <rocky@panix.com>

	* configure.ac, include/cdio/cdda.h,
	lib/cdda_interface/cooked_interface.c,
	lib/cdda_interface/drive_exceptions.h,
	lib/cdda_interface/interface.c, lib/cdda_interface/scan_devices.c:
	Put back some of the GNU/Linux-ism for detecting drive endian-ness.
	
	The data-driven endian correction isn't working correctly.
	
	Ultimately though this code should move down into libcdio (and get
	removed from here.)

2005-01-08 Saturday 00:56  Rocky Bernstein <rocky@panix.com>

	* lib/cdda_interface/scan_devices.c: Better about handling non-Unix
	devices.

2005-01-07 Friday 22:15  Rocky Bernstein <rocky@panix.com>

	* configure.ac, lib/cdda_interface/low_interface.h,
	src/cd-paranoia/cd-paranoia.c: Remove a GNU/Linux includes that
	isn't used any more.  Move other GNU/Linux tests to the
	linux-specific part of configure.

2005-01-07 Friday 02:42  Rocky Bernstein <rocky@panix.com>

	* lib/paranoia/: isort.c, isort.h, overlap.c, p_block.c, p_block.h,
	paranoia.c: Small convention changes.

2005-01-07 Friday 02:40  Rocky Bernstein <rocky@panix.com>

	* lib/cdda_interface/common_interface.c: Initialize buff in case
	read doesn't do it. (But I'm no sure why the read isn't doing this
	properly.)

2005-01-06 Thursday 23:34  Rocky Bernstein <rocky@panix.com>

	* include/cdio/cdda.h: Doxygen documentatoin on more routines.
	Remove some things that aren't useable any more.

2005-01-06 Thursday 23:32  Rocky Bernstein <rocky@panix.com>

	* lib/cdda_interface/toc.c: Add doxygen doc for exxternal routines.

2005-01-06 Thursday 22:26  Rocky Bernstein <rocky@panix.com>

	* src/cd-paranoia/cd-paranoia.c: When verbose, show cdio info
	messages.

2005-01-06 Thursday 16:37  Rocky Bernstein <rocky@panix.com>

	* lib/: cdda_interface/scan_devices.c,
	driver/MSWindows/win32_ioctl.c: Remove some Unixisms in checking
	drive. Rely on libcdio to do the checking - it's platform
	independent.
	
	win32_ioctl.c: more detailed info message.

2005-01-06 Thursday 13:10  Rocky Bernstein <rocky@panix.com>

	* src/cd-paranoia/cd-paranoia.1: Revise for libcdio's name
	(cd-paranoia).

2005-01-06 Thursday 11:55  Rocky Bernstein <rocky@panix.com>

	* src/Makefile.am: Various small bugs in setting variables to
	disable utility programs.

2005-01-06 Thursday 11:39  Rocky Bernstein <rocky@panix.com>

	* configure.ac, src/cd-paranoia/Makefile.am,
	src/cd-paranoia/cd-paranoia.c, src/cd-paranoia/getopt.c,
	src/cd-paranoia/getopt.h, src/cd-paranoia/getopt1.c: Test for GNU
	getopt_long() and add to cd-paranoia sources. Compile a local copy
	if not available.

2005-01-06 Thursday 10:56  Rocky Bernstein <rocky@panix.com>

	* src/Makefile.am: Fix bug in disabling building of utility
	programs: cd-info, cd-read. Bug noticed by Steve Schultz.

2005-01-06 Thursday 04:09  Rocky Bernstein <rocky@panix.com>

	* lib/driver/_cdio_osx.c: Include code to save audio pre-emphasis,
	# of tracks and copy-permit bit.  I think cd-paranoia may do
	something now on Darwin.

2005-01-06 Thursday 03:38  Rocky Bernstein <rocky@panix.com>

	* lib/cdda_interface/: common_interface.h, cooked_interface.c,
	interface.c, scan_devices.c, toc.c: More portability fixes. I think
	this now does something on BSDI.

2005-01-06 Thursday 03:09  Rocky Bernstein <rocky@panix.com>

	* configure.ac, lib/cdda_interface/common_interface.c,
	lib/cdda_interface/cooked_interface.c,
	lib/cdda_interface/interface.c, lib/cdda_interface/low_interface.h,
	src/cd-paranoia/cd-paranoia.c, src/cd-paranoia/version.h: Lots of
	portability fixes to make non GNU/Linux-specific. Now runs on
	Solaris!

2005-01-06 Thursday 01:15  Rocky Bernstein <rocky@panix.com>

	* lib/cdda_interface/cooked_interface.c,
	lib/cdda_interface/interface.c, lib/driver/cdio.c,
	lib/paranoia/paranoia.c, src/cd-paranoia/cd-paranoia.c,
	src/cd-paranoia/report.c, src/cd-paranoia/utils.h,
	src/cd-paranoia/version.h: First working all-libcdio cd-paranoia
	(modulo various omissions and memory leaks).

2005-01-05 Wednesday 22:28  Rocky Bernstein <rocky@panix.com>

	* lib/cdda_interface/low_interface.h: Conditional code for
	non-linux

2005-01-05 Wednesday 22:28  Rocky Bernstein <rocky@panix.com>

	* configure.ac: Another header for Linux and cdparanoia.

2005-01-05 Wednesday 04:16  Rocky Bernstein <rocky@panix.com>

	* include/cdio/Makefile.am, include/cdio/cdda.h,
	include/cdio/cdda_interface.h, include/cdio/cdio.h,
	include/cdio/device.h, include/cdio/scsi_mmc.h,
	lib/cdda_interface/Makefile.am,
	lib/cdda_interface/common_interface.c,
	lib/cdda_interface/cooked_interface.c,
	lib/cdda_interface/drive_exceptions.h,
	lib/cdda_interface/interface.c, lib/cdda_interface/low_interface.h,
	lib/cdda_interface/scan_devices.c, lib/cdda_interface/toc.c,
	lib/driver/track.c, lib/paranoia/p_block.c, lib/paranoia/p_block.h,
	lib/paranoia/paranoia.c: The first all libcdio cdda_interface.
	There are some gaps could be filled.
	
	cdda_inteface.h renamed to cdda.h
	
	cdio_destroy moved from cdio.h to device.h

2005-01-04 Tuesday 10:58  Rocky Bernstein <rocky@panix.com>

	* include/cdio/Makefile.am, include/cdio/cdio.h,
	include/cdio/device.h, include/cdio/disc.h, include/cdio/track.h,
	lib/driver/disc.c: Add device for drive(r)/device things.
	Reorganize more to pull things out of cdio and into their
	respective units.

2005-01-04 Tuesday 04:42  Rocky Bernstein <rocky@panix.com>

	* src/util.c: CdIo -> CdIo_t

2005-01-04 Tuesday 04:40  Rocky Bernstein <rocky@panix.com>

	* example/: cdtext.c, iso2.c, sample2.c, sample3.c, sample4.c,
	tracks.c: Revise for current conventions.

2005-01-04 Tuesday 04:33  Rocky Bernstein <rocky@panix.com>

	* include/cdio/Makefile.am, include/cdio/cdio.h,
	include/cdio/disc.h, include/cdio/sector.h, include/cdio/track.h,
	include/cdio/types.h, lib/driver/Makefile.am, lib/driver/cdio.c,
	lib/driver/cdio_private.h, lib/driver/disc.c, lib/driver/generic.h,
	lib/driver/image.h, lib/driver/image_common.c,
	lib/driver/image_common.h, lib/driver/libcdio.sym,
	lib/driver/track.c, lib/driver/image/bincue.c,
	lib/driver/image/cdrdao.c, lib/driver/image/nrg.c: Break out track
	and disc routines. (Disc needs more work) Add more convenience
	track routines.  Set access-mode for image routines to be the image
	drivers - for uniformity.  Some name regularization.  And we're in
	2005 now.

2005-01-02 Sunday 22:49  Rocky Bernstein <rocky@panix.com>

	* src/: cd-drive.c, cd-info.c: CdIo -> CdIo_t

2005-01-02 Sunday 22:43  Rocky Bernstein <rocky@panix.com>

	* include/cdio/cdio.h, include/cdio/track.h,
	lib/driver/_cdio_aix.c, lib/driver/_cdio_bsdi.c,
	lib/driver/_cdio_generic.c, lib/driver/_cdio_linux.c,
	lib/driver/cd_types.c, lib/driver/cdio.c, lib/driver/scsi_mmc.c,
	lib/iso9660/iso9660_fs.c: Add Cdio_t, move some more stuff into
	track.h

2005-01-01 Saturday 15:16  Rocky Bernstein <rocky@panix.com>

	* test/: cdda-mcn.right, cdda.right, check_opts2.right,
	check_opts3.right, check_opts4.right, check_opts5.right,
	check_opts6.right, check_opts7.right, isofs-m1.right,
	monvoisin.right, svcd_ogt_test_ntsc.right, svcdgs.right,
	vcd_demo_vcdinfo.right, vcd_demo_vcdinfo_toc.right, videocd.right:
	Regression output changed again.

2005-01-01 Saturday 15:08  Rocky Bernstein <rocky@panix.com>

	* lib/driver/: _cdio_generic.c, _cdio_linux.c, _cdio_sunos.c,
	generic.h, image_common.c, MSWindows/aspi32.c,
	MSWindows/win32_ioctl.c: Add common routine for setting track
	flags.

2005-01-01 Saturday 14:55  Rocky Bernstein <rocky@panix.com>

	* lib/driver/image/nrg.c: Typo.

2005-01-01 Saturday 14:20  Rocky Bernstein <rocky@panix.com>

	* src/cd-info.c: Show raw and formatted sizes.

2005-01-01 Saturday 14:20  Rocky Bernstein <rocky@panix.com>

	* lib/driver/: _cdio_linux.c, image/nrg.c: NRG: get track flags
	working.  linux: small clanup in track flags. more to come.

2005-01-01 Saturday 14:19  Rocky Bernstein <rocky@panix.com>

	* include/cdio/sector.h: Typo in CDIO_FRAMSIZE_RAW0 definition.

2005-01-01 Saturday 04:17  Rocky Bernstein <rocky@panix.com>

	* lib/driver/MSWindows/: aspi32.c, win32.c, win32_ioctl.c: Add
	track control info for Doze.

2004-12-31 Friday 08:27  Rocky Bernstein <rocky@panix.com>

	* lib/driver/_cdio_linux.c, lib/driver/_cdio_sunos.c,
	test/check_cue.sh.in, test/vcd_demo.right: Add track flags for
	solaris. Regression test without vcdinfo corrected.

2004-12-31 Friday 07:51  Rocky Bernstein <rocky@panix.com>

	* lib/driver/Makefile.am, lib/driver/image_common.c,
	lib/driver/image_common.h, lib/driver/image/bincue.c,
	lib/driver/image/cdrdao.c, lib/driver/image/nrg.c, src/cd-info.c,
	test/Makefile.am, test/cdda-mcn.right, test/cdda.cue,
	test/cdda.right, test/cdda.toc, test/check_cue.sh.in,
	test/check_opts2.right, test/check_opts3.right,
	test/check_opts4.right, test/check_opts5.right,
	test/check_opts6.right, test/check_opts7.right,
	test/isofs-m1.right, test/monvoisin.right,
	test/svcd_ogt_test_ntsc.right, test/svcdgs.right,
	test/vcd_demo_vcdinfo.right, test/vcd_demo_vcdinfo_toc.right,
	test/videocd.right: Add image driver track flag reporting.
	Reorganize code for image drivers a little better (via
	image_common.c).
	
	Update regression tests for more expanded cd-info output.

2004-12-31 Friday 05:48  Rocky Bernstein <rocky@panix.com>

	* include/cdio/track.h: Track-related calls go here.

2004-12-31 Friday 05:47  Rocky Bernstein <rocky@panix.com>

	* include/cdio/Makefile.am, include/cdio/cdio.h,
	lib/driver/_cdio_generic.c, lib/driver/_cdio_linux.c,
	lib/driver/cdio.c, lib/driver/cdio_private.h, lib/driver/generic.h,
	lib/driver/image_common.h, lib/driver/libcdio.sym,
	lib/driver/image/bincue.c, lib/driver/image/cdrdao.c,
	src/cd-info.c: Start to fill in cdio_get_preemphasis,
	cdio_get_copy_permit, and cdio_get_channels. Internals reworked a
	little for this.

2004-12-30 Thursday 11:13  Rocky Bernstein <rocky@panix.com>

	* include/cdio/cdda_interface.h, include/cdio/cdio.h,
	lib/driver/_cdio_generic.c, lib/driver/cdio.c,
	lib/driver/cdio_private.h, lib/driver/generic.h: Add cd-paranoia's
	track flag routines: copy-permitted, pre-emphasis, channels. 
	Updates to drivers to set this properly is still needed.

2004-12-27 Monday 23:50  Rocky Bernstein <rocky@panix.com>

	* lib/iso9660/libiso9660.sym: Perhaps this is okay.

2004-12-27 Monday 23:33  Rocky Bernstein <rocky@panix.com>

	* lib/iso9660/libiso9660.sym: Remove some semicolons at the end of
	lines.

2004-12-24 Friday 10:41  Rocky Bernstein <rocky@panix.com>

	* Makefile.am: Typo causing "make install" to fail. Problem found
	by Steve Schultz.

2004-12-23 Thursday 10:05  Rocky Bernstein <rocky@panix.com>

	* test/vcd_demo.right: We now list the CD size on the leadout line.

2004-12-23 Thursday 09:57  Rocky Bernstein <rocky@panix.com>

	* src/cd-paranoia/Makefile.am: Correct bin_PROGRAMS name.   
	cd-paranoia/.deps/cd-paranoia$(EXEEXT).Po was getting created when 
	when it should be   cd-paranoia/.deps/cd-paranoia.Po
	
	Problem reported by C.Y.M.

2004-12-22 Wednesday 10:23  Rocky Bernstein <rocky@panix.com>

	* test/: check_opts0.right, check_opts1.right, check_opts2.right,
	check_opts3.right, check_opts4.right, check_opts5.right,
	check_opts6.right, check_opts7.right: Regress last regression test
	output change.

2004-12-22 Wednesday 10:17  Rocky Bernstein <rocky@panix.com>

	* test/.cvsignore: Add derived paranoia regession test.

2004-12-22 Wednesday 10:04  Rocky Bernstein <rocky@panix.com>

	* lib/Makefile.am, lib/iso9660/Makefile.am, src/Makefile.am: Until
	we put in more fine-grain control, don't make libcdio_paranoia and
	libcdda_interface libraries if we aren't making cd-paranoia.
	
	src/Makefile.am: correct way to disable cd-paranoia.

2004-12-22 Wednesday 10:02  Rocky Bernstein <rocky@panix.com>

	* test/: check_opts0.right, check_opts1.right, check_opts2.right,
	check_opts3.right, check_opts4.right, check_opts5.right,
	check_opts6.right, check_opts7.right: discmode output changed its
	Data Mode2 not Data Form1.

2004-12-22 Wednesday 09:41  Rocky Bernstein <rocky@panix.com>

	* lib/paranoia/: isort.c, overlap.c, p_block.c, paranoia.c: Read in
	configuration settings from config.h. paranoia was GNU/Linux based
	so the #includes had been set specific to that.

2004-12-22 Wednesday 09:09  Rocky Bernstein <rocky@panix.com>

	* lib/driver/_cdio_osx.c: CDIO_DRIVE_CAP_{MCN,ISRC} are now
	CDIO_DRIVE_CAP_READ_{MCN,ISRC} respectively. Thanks yet again to
	Steve Schultz.

2004-12-19 Sunday 02:31  Rocky Bernstein <rocky@panix.com>

	* NEWS: Much has been going on. Note it.

2004-12-19 Sunday 01:43  Rocky Bernstein <rocky@panix.com>

	* include/cdio/cdda_interface.h,
	lib/cdda_interface/common_interface.c,
	lib/cdda_interface/common_interface.h,
	lib/cdda_interface/cooked_interface.c,
	lib/cdda_interface/interface.c, lib/cdda_interface/scan_devices.c,
	lib/cdda_interface/scsi_interface.c, lib/cdda_interface/utils.h,
	src/cd-paranoia/buffering_write.c,
	src/cd-paranoia/buffering_write.h, src/cd-paranoia/cd-paranoia.c,
	src/cd-paranoia/utils.h, test/Makefile.am: More
	integration/cleanup. Now uses cdio bytesex.h's BE/LE routines. 
	copystring -> strdup.
	
	Some int's changed to track_t. But I need to be careful *not* to
	change cdda_interface.h.

2004-12-19 Sunday 00:02  Rocky Bernstein <rocky@panix.com>

	* configure.ac, lib/cdda_interface/interface.c,
	lib/cdda_interface/utils.h, src/cd-paranoia/cd-paranoia.c,
	src/cd-paranoia/utils.h, test/Makefile.am,
	test/check_paranoia.sh.in: test/*, configure.ac:   First paranoia
	regression test. It's run automatically as it assumes	that you
	have a *flawless* CD-DA in a drive.
	
	*.{c,h}: more integration toward libcdio routines. In particular
	remove swap16 and swap32.

2004-12-18 Saturday 21:24  Rocky Bernstein <rocky@panix.com>

	* configure.ac, src/Makefile.am, src/cd-info.c, src/iso-info.c,
	src/cd-paranoia/Makefile.am, test/cdda-mcn.right, test/cdda.right,
	test/check_opts2.right, test/check_opts3.right,
	test/check_opts4.right, test/check_opts5.right,
	test/check_opts6.right, test/check_opts7.right,
	test/isofs-m1.right, test/monvoisin.right,
	test/svcd_ogt_test_ntsc.right, test/svcdgs.right,
	test/vcd_demo_vcdinfo.right, test/videocd.right: cd-info now shows
	size of CD.  iso-info takes options -l and -f to be a little more
	like isoinfo
	
	configure.ac now allows for disabling cd-paranoia, iso-read,
	iso-drive, cd-drive.
	
	Regression tests adjusted to new output and more drive reading
	capabilities.

2004-12-18 Saturday 17:29  Rocky Bernstein <rocky@panix.com>

	* .cvsignore, Makefile.am, configure.ac, libcdio_cdda.pc.in,
	libcdio_paranoia.pc.in, include/cdio/Makefile.am,
	include/cdio/cdda_interface.h, include/cdio/cdio.h,
	include/cdio/paranoia.h, include/cdio/scsi_mmc.h,
	include/cdio/types.h, lib/.cvsignore, lib/Makefile.am,
	lib/_cdio_aix.c, lib/_cdio_bsdi.c, lib/_cdio_generic.c,
	lib/_cdio_linux.c, lib/_cdio_osx.c, lib/_cdio_stdio.c,
	lib/_cdio_stdio.h, lib/_cdio_stream.c, lib/_cdio_stream.h,
	lib/_cdio_sunos.c, lib/cd_types.c, lib/cdio.c, lib/cdio_assert.h,
	lib/cdio_private.h, lib/cdtext.c, lib/cdtext_private.h, lib/ds.c,
	lib/generic.h, lib/image.h, lib/image_common.h, lib/iso9660.c,
	lib/iso9660_fs.c, lib/iso9660_private.h, lib/libcdio.sym,
	lib/libiso9660.sym, lib/logging.c, lib/portable.h, lib/scsi_mmc.c,
	lib/scsi_mmc_private.h, lib/sector.c, lib/util.c, lib/xa.c,
	lib/cdda_interface/.cvsignore, lib/cdda_interface/Makefile.am,
	lib/cdda_interface/common_interface.c,
	lib/cdda_interface/common_interface.h,
	lib/cdda_interface/cooked_interface.c,
	lib/cdda_interface/drive_exceptions.h,
	lib/cdda_interface/interface.c, lib/cdda_interface/low_interface.h,
	lib/cdda_interface/scan_devices.c,
	lib/cdda_interface/scsi_interface.c, lib/cdda_interface/smallft.c,
	lib/cdda_interface/smallft.h, lib/cdda_interface/test_interface.c,
	lib/cdda_interface/toc.c, lib/cdda_interface/utils.c,
	lib/cdda_interface/utils.h, lib/driver/.cvsignore,
	lib/driver/Makefile.am, lib/driver/_cdio_aix.c,
	lib/driver/_cdio_bsdi.c, lib/driver/_cdio_generic.c,
	lib/driver/_cdio_linux.c, lib/driver/_cdio_osx.c,
	lib/driver/_cdio_stdio.c, lib/driver/_cdio_stdio.h,
	lib/driver/_cdio_stream.c, lib/driver/_cdio_stream.h,
	lib/driver/_cdio_sunos.c, lib/driver/cd_types.c, lib/driver/cdio.c,
	lib/driver/cdio_assert.h, lib/driver/cdio_private.h,
	lib/driver/cdtext.c, lib/driver/cdtext_private.h, lib/driver/ds.c,
	lib/driver/generic.h, lib/driver/image.h,
	lib/driver/image_common.h, lib/driver/libcdio.sym,
	lib/driver/logging.c, lib/driver/portable.h, lib/driver/scsi_mmc.c,
	lib/driver/scsi_mmc_private.h, lib/driver/sector.c,
	lib/driver/util.c, lib/driver/FreeBSD/Makefile,
	lib/driver/FreeBSD/freebsd.c, lib/driver/FreeBSD/freebsd.h,
	lib/driver/FreeBSD/freebsd_cam.c,
	lib/driver/FreeBSD/freebsd_ioctl.c, lib/driver/MSWindows/Makefile,
	lib/driver/MSWindows/aspi32.c, lib/driver/MSWindows/aspi32.h,
	lib/driver/MSWindows/win32.c, lib/driver/MSWindows/win32.h,
	lib/driver/MSWindows/win32_ioctl.c, lib/driver/image/Makefile,
	lib/driver/image/bincue.c, lib/driver/image/cdrdao.c,
	lib/driver/image/nrg.c, lib/driver/image/nrg.h,
	lib/iso9660/.cvsignore, lib/iso9660/Makefile.am,
	lib/iso9660/iso9660.c, lib/iso9660/iso9660_fs.c,
	lib/iso9660/iso9660_private.h, lib/iso9660/libiso9660.sym,
	lib/iso9660/xa.c, lib/paranoia/.cvsignore,
	lib/paranoia/Makefile.am, lib/paranoia/gap.c, lib/paranoia/gap.h,
	lib/paranoia/isort.c, lib/paranoia/isort.h, lib/paranoia/overlap.c,
	lib/paranoia/overlap.h, lib/paranoia/p_block.c,
	lib/paranoia/p_block.h, lib/paranoia/paranoia.c, src/Makefile.am,
	src/cd-info.c, src/util.c, src/cd-paranoia/.cvsignore,
	src/cd-paranoia/Makefile.am, src/cd-paranoia/buffering_write.c,
	src/cd-paranoia/buffering_write.h, src/cd-paranoia/cd-paranoia.1,
	src/cd-paranoia/cd-paranoia.1.jp, src/cd-paranoia/cd-paranoia.c,
	src/cd-paranoia/header.c, src/cd-paranoia/header.h,
	src/cd-paranoia/report.c, src/cd-paranoia/report.h,
	src/cd-paranoia/utils.h, src/cd-paranoia/version.h,
	test/Makefile.am: BIG REORGANIZATION.
	
	Reorganize directory structure for inclusion of cd-paranoia. Works
	for GNU/Linux. Other OS's may be broken. Regression test output
	needs to be adjusted too.
	
	Move: lib/driver (split off of lib) lib/iso9660 (split off of lib)
	
	Add from paranoia: lib/cdda_interface lib/paranoia src/paranoia
	
	Also made some small changes to capability indentification to show
	more reading capabilties and show that.
	
	cd-info now shows the total disc size.

2004-12-17 Friday 04:50  Rocky Bernstein <rocky@panix.com>

	* lib/cdio.c: Change wording of discmode2str.

2004-12-17 Friday 04:49  Rocky Bernstein <rocky@panix.com>

	* test/: check_opts0.right, check_opts1.right, check_opts2.right,
	check_opts3.right, check_opts4.right, check_opts5.right,
	check_opts6.right, check_opts7.right, monvoisin.right,
	svcdgs.right, videocd.right: cd-info output changed.
	
	Stupid me: I keep getting mode/form confusted. Discs are Mode 1, 2,
	CDDA or mixed. (Not form 1 and 2).

2004-12-15 Wednesday 01:45  Rocky Bernstein <rocky@panix.com>

	* configure.ac, include/cdio/cdio.h, lib/Makefile.am,
	lib/_cdio_aix.c, lib/cdio.c: Towards getting an AIX driver working.

2004-12-09 Thursday 01:03  Rocky Bernstein <rocky@panix.com>

	* configure.ac: As per Tilman Linneweh FreeBSD 6 is like FreeBSD 5.

2004-12-06 Monday 05:30  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_sunos.c: Add better discmode detection via FULLTOC that
	we use on GNU/Linux.

2004-12-06 Monday 04:47  Rocky Bernstein <rocky@panix.com>

	* lib/scsi_mmc.c: scsi_mmc_get_discmode: As per Justin B Ruggles,
	SCSI, MMC-5 may require setting db.field[1] = CDIO_CDROM_MSF.

2004-12-04 Saturday 12:01  Rocky Bernstein <rocky@panix.com>

	* include/cdio/scsi_mmc.h: Small typo.

2004-12-04 Saturday 11:52  Rocky Bernstein <rocky@panix.com>

	* THANKS: Add Justin B. Ruggles.

2004-12-04 Saturday 11:50  Rocky Bernstein <rocky@panix.com>

	* include/cdio/scsi_mmc.h, include/cdio/sector.h,
	lib/_cdio_linux.c, lib/cdio.c, lib/scsi_mmc.c: Move scsi mmc
	discmode determination to scsi-mmc.  Add discmode for CD-i.

2004-12-04 Saturday 11:44  Rocky Bernstein <rocky@panix.com>

	* src/cd-info.c: Add cast to remove compiler warning.

2004-12-04 Saturday 05:49  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_linux.c: Justin B Ruggles <jruggle@earthlink.net>
	reports:
	
	  GNU/Linux ioctl(.., CDROM_DISC_STATUS does not return "CD DATA
	Form
	  2" for SVCD's when I know they are form 2, so we read a FULL TOC
	in
	  an attempt to make it more accurate.	Most of the info was
	obtained
	  the SCSI MMC draft spec revision 10a from
	  http://www.t10.org/ftp/t10/drafts/mmc/mmc-r10a.pdf
	
	  Pages 56 to 62 give more details.  Libcdio does not have CD-i as
	a
	  discmode, so I just have it treat CD-i as if it is CD-XA.
	
	This doesn't work for the SVCD I tried but it is probably a step in
	the right direction. And when things settle down, it should be done
	on other OS drivers as well.

2004-12-04 Saturday 05:20  Rocky Bernstein <rocky@panix.com>

	* lib/Makefile.am: Small typo.

2004-12-01 Wednesday 12:33  Rocky Bernstein <rocky@panix.com>

	* TODO: Small update.

2004-11-29 Monday 02:50  Rocky Bernstein <rocky@panix.com>

	* autogen.sh: Make sure we have automake version 1.6 or greater.
	Problem reported by C.Y.M

2004-11-22 Monday 11:03  Rocky Bernstein <rocky@panix.com>

	* lib/Makefile.am: make -j4 was failing because the Makefile
	variable libcdio_la_dependencies was not getting set. I don't know
	why this happens, but I've worked around the problem by removing
	this variable and adding the value of it (libcdio.la) in the places
	libcdio_la_dependencies is used.
	
	Problem reported by Goetz Waschk.

2004-11-22 Monday 03:38  Rocky Bernstein <rocky@panix.com>

	* example/.cvsignore: Add C++ binaries.

2004-11-22 Monday 03:36  Rocky Bernstein <rocky@panix.com>

	* example/iso3cpp.cpp: C++ version of iso3.c

2004-11-22 Monday 01:25  Rocky Bernstein <rocky@panix.com>

	* example/README: Add C++ programs.

2004-11-22 Monday 01:03  Rocky Bernstein <rocky@panix.com>

	* configure.ac, example/Makefile.am, example/iso1cpp.cpp,
	example/iso2.c, example/iso2cpp.cpp, example/iso3.c,
	include/cdio/ds.h: Fix up ability to use in C++ programs.  Add some
	C++ example programs to make sure those compile.

2004-11-21 Sunday 22:32  Rocky Bernstein <rocky@panix.com>

	* NEWS, configure.ac, include/cdio/iso9660.h, lib/iso9660.c:
	configure.ac: in 72cvs now.
	
	iso9660.{c,h}: "new" is a reserved word in C++. Don't use it as a
	parameter name

2004-11-21 Sunday 22:30  Rocky Bernstein <rocky@panix.com>

	* example/iso1.c: Add cast to make this possible to compile via g++

2004-11-21 Sunday 11:36  Rocky Bernstein <rocky@panix.com>

	* doc/libcdio.texi: Update OS section and note ISO 9660 library in
	the history part.

2004-11-21 Sunday 09:59  Rocky Bernstein <rocky@panix.com>

	* doc/: glossary.texi, libcdio.texi: Go over. Add section on
	Joliet. Add iso-info sample output. Break out info nodes for tracks
	and sectors. Some small improvements.

2004-11-21 Sunday 04:02  Rocky Bernstein <rocky@panix.com>

	* test/Makefile.am: Solaris creates core files not, core.$pid.
	Change to make "make distcheck" work.

2004-11-20 Saturday 12:50  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_bsdi.c: Make sure we initialize get_hwinfo expliscitly.

2004-11-20 Saturday 12:41  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_linux.c: Make sure get_hwinfo is initialized. Add cdio_
	in front of to/from_bcd8

2004-11-19 Friday 22:10  Rocky Bernstein <rocky@panix.com>

	* src/cd-info.c: Add cdio_ in front of to_bcd8 and from_bcd8.

2004-11-19 Friday 13:04  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_bsdi.c: Add cdio_ in front of to_bcd8 and from_bcd8.

2004-11-19 Friday 02:16  Rocky Bernstein <rocky@panix.com>

	* src/cd-info.c: Add "toc-file" option for cdrdao images.

2004-11-18 Thursday 01:56  Rocky Bernstein <rocky@panix.com>

	* lib/: _cdio_sunos.c, sector.c: _cdio_sunos.c: fix bug in audio
	mode reading.  *.c: replcate {from,to}_bcd8 with corresponding
	cdio_ names.

2004-11-16 Tuesday 00:58  Nicolas Boullis <nboullis@debian.org>

	* lib/Makefile.am: When a list of exported symbols is modified, the
	corresponding library should be rebuilt.

2004-11-16 Tuesday 00:57  Nicolas Boullis <nboullis@debian.org>

	* lib/libcdio.sym: libcdio's ABI should provide all the symbols
	required by the API.

2004-11-16 Tuesday 00:12  Nicolas Boullis <nboullis@debian.org>

	* configure.ac: If ld is not GNU ld, --without-versioned-libs is
	assumed, so it is useless to fail if make is also not GNU make.

2004-11-16 Tuesday 00:10  Nicolas Boullis <nboullis@debian.org>

	* Makefile.am: Lots of files referenced in EXTRA_DIST were not
	actually available; remove them from EXTRA_DIST.

2004-11-15 Monday 21:34  Nicolas Boullis <nboullis@debian.org>

	* lib/Makefile.am: Access libcdio.sym and libiso9660.sym through
	$(srcdir) to enable building outside the source directory. (Used by
	"make distcheck".)

2004-11-15 Monday 20:54  Nicolas Boullis <nboullis@debian.org>

	* lib/libcdio.sym: There is no _cdio_list_preappend symbol, but
	_cdio_list_prepend instead.

2004-11-15 Monday 19:51  Rocky Bernstein <rocky@panix.com>

	* Makefile.am: Don't need config.rpath and don't recall why it was
	needed.

2004-11-15 Monday 19:41  Nicolas Boullis <nboullis@debian.org>

	* include/cdio/util.h: "static inline __attribute__((deprecated))"
	functions are not available in standard C; only use them with GCC 3
	and above, and replace them with simple #defines for other
	compilers.

2004-11-15 Monday 03:45  Rocky Bernstein <rocky@panix.com>

	* lib/libcdio.sym: Add symbols that VCDimager uses.

2004-11-15 Monday 01:34  Rocky Bernstein <rocky@panix.com>

	* include/cdio/util.h, lib/Makefile.am, lib/libcdio.sym,
	lib/util.c: rename to_bcd8 and from_bcd8 to cdio_to_bcd8 and
	cdio_from_bcd8.  (N. Boullis)
	
	lib/Makefile.am: avoid non-GNU ld options when
	--without-versioned-libs is in effect.

2004-11-14 Sunday 19:32  Rocky Bernstein <rocky@panix.com>

	* lib/libiso9660.sym: Move local files to global.

2004-11-14 Sunday 18:57  Rocky Bernstein <rocky@panix.com>

	* Makefile.am: Remove more unused .m4 files. Probably a hold over
	from requiring gettext.  (So we may yet add these back in sometime
	in the future.)

2004-11-14 Sunday 18:33  Rocky Bernstein <rocky@panix.com>

	* Makefile.am, configure.ac, lib/Makefile.am: lib/Makefile.am: make
	sure we include .sys files in distribution.  configure.ac: get
	ready for 0.71 Makefile.am: one of those m4's doesn't exist here.

2004-11-14 Sunday 17:06  Nicolas Boullis <nboullis@debian.org>

	* lib/: Makefile.am, libiso9660.sym: Only export the required
	symbols of libiso9660.

2004-11-14 Sunday 16:35  Nicolas Boullis <nboullis@debian.org>

	* lib/: Makefile.am, libcdio.sym: Only export the required symbols
	of libcdio.

2004-11-14 Sunday 00:03  Rocky Bernstein <rocky@panix.com>

	* src/cd-drive.c: Opens cd driver a little less and checks for
	NULL. Helps things especially on AIX.

2004-11-13 Saturday 23:36  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_sunos.c: Add explicit NULL for get_hwinfo.

2004-11-13 Saturday 23:33  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_sunos.c: env -> p_env

2004-11-13 Saturday 20:38  Rocky Bernstein <rocky@panix.com>

	* example/scsi-mmc1.c: Small typo.

2004-11-12 Friday 03:44  Rocky Bernstein <rocky@panix.com>

	* lib/Makefile.am: Guidence from Nicolas Boullis on how to library
	versioning works or should work.

2004-11-08 Monday 04:13  Rocky Bernstein <rocky@panix.com>

	* lib/cdtext.c: cdtext.c: was not converting arranger string
	properly.

2004-11-07 Sunday 21:13  Rocky Bernstein <rocky@panix.com>

	* NEWS, lib/portable.h: Hoist common "portable" definitions into
	portable.h NEWS - rearrange.

2004-11-07 Sunday 19:26  Rocky Bernstein <rocky@panix.com>

	* configure.ac: fixes to make run on AIX

2004-11-06 Saturday 17:50  Rocky Bernstein <rocky@panix.com>

	* lib/iso9660_fs.c: Small warning change when we don't have
	nl_langinfo(CODESET).

2004-11-06 Saturday 17:24  Rocky Bernstein <rocky@panix.com>

	* test/testtoc.c: Remove erroneous free()'s. This now give a
	valgrind error that looks to me bogus.

2004-11-06 Saturday 16:10  Rocky Bernstein <rocky@panix.com>

	* configure.ac: Clean up headers - remove "obsolete" names. Some
	OS's weren't testing some, and some OS-specific we were testing
	for.

2004-11-06 Saturday 12:29  Rocky Bernstein <rocky@panix.com>

	* Makefile.am, configure.ac, lib/Makefile.am: Automake woes. Think
	I have PACKAGE and VERSION set right now.  lib/Makefile.am: we'll
	say libcdio has new interfaces

2004-11-06 Saturday 11:41  Rocky Bernstein <rocky@panix.com>

	* lib/Makefile.am: Change library numbers.

2004-11-06 Saturday 11:32  Rocky Bernstein <rocky@panix.com>

	* Makefile.am: Typo.

2004-11-06 Saturday 09:16  Rocky Bernstein <rocky@panix.com>

	* NEWS, src/util.c, src/util.h: src/util.{c,h}: use report more
	often.
	
	NEWS - what's up

2004-11-06 Saturday 03:17  Rocky Bernstein <rocky@panix.com>

	* src/util.c, test/cdda.right: src/util.c: remove extra white space
	test/cdda.right: adjust for recently found bug.

2004-11-06 Saturday 03:12  Rocky Bernstein <rocky@panix.com>

	* src/cd-info.c: Bug in showing cdtext for individual tracks.

2004-11-04 Thursday 10:08  Rocky Bernstein <rocky@panix.com>

	* configure.ac, MSVC/stdint.h, src/cd-drive.c, src/cd-info.c,
	src/cd-read.c, src/iso-info.c, src/iso-read.c, src/util.c,
	src/util.h: Common output routine in utility programs as a
	concession to environments which may no have or prefer
	stdout/stderr such as XBOX.

2004-11-04 Thursday 07:44  Rocky Bernstein <rocky@panix.com>

	* libiso9660.pc.in: Wrong Version substitution. Thanks again to
	Steve Schultz.

2004-11-04 Thursday 03:35  Rocky Bernstein <rocky@panix.com>

	* libcdio.pc.in: Wrong substitution name. Thanks to Steve Schultz
	for finding this problem.

2004-11-01 Monday 09:14  Rocky Bernstein <rocky@panix.com>

	* Makefile.am, MSVC/config.h, MSVC/stdint.h, lib/_cdio_generic.c,
	lib/portable.h: Merging in MSVC/XBOX from John Oseman

2004-11-01 Monday 08:53  Rocky Bernstein <rocky@panix.com>

	* configure.ac: Set some package strings.

2004-11-01 Monday 08:35  Rocky Bernstein <rocky@panix.com>

	* configure.ac: Typo.

2004-10-31 Sunday 17:18  Rocky Bernstein <rocky@panix.com>

	* lib/scsi_mmc.c: scsi_mmc.c: get CD-Text length before reading
	CD-Text.  win32.c: make sure we can't set ASPI when XBOX. Other
	small changes for XBOX compatibility.

2004-10-31 Sunday 14:55  Rocky Bernstein <rocky@panix.com>

	* lib/: logging.c, portable.h: portable.h: remove rcsid. 
	logging.c: include portable.h

2004-10-31 Sunday 13:58  Rocky Bernstein <rocky@panix.com>

	* NEWS, configure.ac, example/iso2.c, example/iso3.c,
	lib/Makefile.am, lib/_cdio_generic.c, lib/iso9660_fs.c,
	lib/portable.h, src/iso-read.c: configure.ac, lib/*, example/*.c,
	src/iso-read.c:   start to separate compiler/OS deficiencies into
	"portable.h"
	
	configure.ac, lib/iso9660_fs.c:   use AM_LANGINFO_CODESET rather
	than code in our ouwn langinfo.h and   CODESET tests.

2004-10-31 Sunday 06:07  Rocky Bernstein <rocky@panix.com>

	* include/cdio/: logging.h, util.h: Mostly portability issues from
	or inspired by mog's changes for XBOX.
	
	image/*.c: initialize func structure to 0 (NULL).
	
	include/cdio/*.h: add "extern C" for C++ compilations where
	appropriate.

2004-10-31 Sunday 04:55  Rocky Bernstein <rocky@panix.com>

	* lib/iso9660_fs.c: Fixes when no Joliet support.

2004-10-31 Sunday 03:10  Rocky Bernstein <rocky@panix.com>

	* configure.ac: Fix up Joliet detection or lack thereof.

2004-10-30 Saturday 21:53  Rocky Bernstein <rocky@panix.com>

	* lib/scsi_mmc.c: Add include of stdlib.h (From mog for XBOX)

2004-10-30 Saturday 14:18  Rocky Bernstein <rocky@panix.com>

	* MSVC/: README, cd-info.vcproj, libcdio.sln, libcdio.vcproj: Files
	for compiling with MSVC. Courtesy of John Oseman (mog).

2004-10-30 Saturday 04:43  Rocky Bernstein <rocky@panix.com>

	* lib/iso9660_fs.c: NLS fixups. Wrong preprocessor symbol used.

2004-10-30 Saturday 02:55  Rocky Bernstein <rocky@panix.com>

	* configure.ac, lib/iso9660.c, lib/iso9660_fs.c, src/iso-info.c:
	configure.ac, iso9660.c: test for tzname variable.  configure.ac,
	iso9660_fs.c: test for nls_langinfo() and #include <langinfo.h>
	iso-info.c: some OS's need 2 args for multi-arg defines.

2004-10-30 Saturday 01:43  Rocky Bernstein <rocky@panix.com>

	* libiso9660.pc.in: libiso9660 needs iconv. Also, we're not
	libvcdino.

2004-10-30 Saturday 00:38  Rocky Bernstein <rocky@panix.com>

	* configure.ac, lib/iso9660.c: *: test for daylight and timezone
	configure.ac: test for stdbool.h

2004-10-29 Friday 02:11  Rocky Bernstein <rocky@panix.com>

	* lib/iso9660_fs.c, src/cd-info.c, src/iso-info.c: Conditional
	compilation of Joliet support.

2004-10-28 Thursday 11:14  Rocky Bernstein <rocky@panix.com>

	* test/Makefile.am: Add joliet regression test files.

2004-10-28 Thursday 11:13  Rocky Bernstein <rocky@panix.com>

	* configure.ac, lib/iso9660_fs.c, test/Makefile.am,
	test/check_common_fn.in, test/check_iso.sh.in,
	test/joliet-nojoliet.right, test/joliet.iso, test/joliet.right:
	configure.ac: Add --disable-joliet and disable joliet if iconv is
	not around iso9660_fs.c: Setting string length on of UCBE wrong?
	test/*: add joliet regression test.

2004-10-28 Thursday 10:08  Rocky Bernstein <rocky@panix.com>

	* include/cdio/Makefile.am: cdio.h accidently got removed.

2004-10-28 Thursday 03:50  Rocky Bernstein <rocky@panix.com>

	* lib/cdtext_private.h: Add more fields from the MMC-3 spec.

2004-10-28 Thursday 03:49  Rocky Bernstein <rocky@panix.com>

	* lib/Makefile.am: bytesex files have moved from private to public.
	Forgot to remove them for "make dist"

2004-10-28 Thursday 00:03  Rocky Bernstein <rocky@panix.com>

	* include/cdio/iso9660.h: A small change which caused a
	hard-to-find bug in using Joliet filenames.

2004-10-26 Tuesday 10:00  Rocky Bernstein <rocky@panix.com>

	* lib/iso9660_fs.c: iconv manpages sys the return is size_t not int

2004-10-26 Tuesday 09:56  Rocky Bernstein <rocky@panix.com>

	* lib/iso9660_fs.c: Reinstate -1 test.

2004-10-26 Tuesday 09:35  Rocky Bernstein <rocky@panix.com>

	* lib/iso9660_fs.c: Respect --no-joliet better.

2004-10-26 Tuesday 09:00  Rocky Bernstein <rocky@panix.com>

	* configure.ac: Remove some gettext fascism.

2004-10-26 Tuesday 08:32  Rocky Bernstein <rocky@panix.com>

	* configure.ac, example/Makefile.am, src/Makefile.am,
	test/Makefile.am, test/vcd_demo.right: Solaris fixes
	test/vcd_demo.right: fix when vcd-info is not installed.

2004-10-26 Tuesday 07:51  Rocky Bernstein <rocky@panix.com>

	* src/cd-info.c: Add --no-joliet option

2004-10-26 Tuesday 07:34  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_linux.c, lib/_cdio_osx.c, lib/_cdio_sunos.c,
	src/cd-info.c: Various valgrind-detected memory leaks and
	unitialized variable errors.

2004-10-26 Tuesday 06:33  Rocky Bernstein <rocky@panix.com>

	* configure.ac, lib/iso9660.c: Test for presence of tzset().

2004-10-26 Tuesday 01:21  Rocky Bernstein <rocky@panix.com>

	* lib/cdio.c, lib/iso9660.c, lib/iso9660_fs.c, src/cd-info.c,
	test/Makefile.am, test/isofs-m1.right, test/monvoisin.right,
	test/svcd_ogt_test_ntsc.right, test/svcdgs.right,
	test/testbincue.c, test/testiso9660.c, test/vcd_demo_vcdinfo.right,
	test/videocd.right: Joliet filename detection for CD images is now
	done.  Various valgrind-caught errors fixed Output changed: we no
	longer print root block number.  (It is still shown when XA
	attributes are printed.)

2004-10-25 Monday 01:41  Rocky Bernstein <rocky@panix.com>

	* lib/iso9660.c: root_directory accounting is now a little
	different since we don't count the filename as part of the
	root_directory record.

2004-10-24 Sunday 23:42  Rocky Bernstein <rocky@panix.com>

	* example/iso2.c, include/cdio/cdio.h, include/cdio/iso9660.h,
	lib/_cdio_generic.c, lib/_cdio_stream.c, lib/cdio.c, lib/generic.h,
	lib/iso9660.c, lib/iso9660_fs.c, src/cd-info.c: First attempt to
	extent Joliet to CD reading portion.

2004-10-24 Sunday 14:32  Rocky Bernstein <rocky@panix.com>

	* .cvsignore, Makefile.am, configure.ac: Makefile.am: "make test"
	now means the same thing as "make check" configure.ac: make sure we
	test for iconv. gettext isn't all that important	right now.

2004-10-24 Sunday 13:01  Rocky Bernstein <rocky@panix.com>

	* lib/iso9660_fs.c: Was looking at wrong place for
	joliet/non-joliet.

2004-10-24 Sunday 12:26  Rocky Bernstein <rocky@panix.com>

	* example/Makefile.am, lib/iso9660_fs.c, src/Makefile.am,
	test/Makefile.am: Add libiconv libraries where needed.

2004-10-24 Sunday 11:32  Rocky Bernstein <rocky@panix.com>

	* configure.ac: Try to reduce duplicate header tests.

2004-10-24 Sunday 11:25  Rocky Bernstein <rocky@panix.com>

	* .cvsignore, doc/doxygen/.cvsignore: Add more derived files from
	recent changes.

2004-10-24 Sunday 11:20  Rocky Bernstein <rocky@panix.com>

	* Makefile.am, configure.ac, doc/Makefile.am, doc/doxygen/Doxyfile,
	doc/doxygen/Doxyfile.in, src/iso-info.c: configure.ac: test for
	intl and iconv needed for Joliet support iso-info.c: add
	--no-joliet option Doxyfile*, configure.ac: Automatically update
	some ofthe Doxyfile information

2004-10-24 Sunday 03:29  Rocky Bernstein <rocky@panix.com>

	* include/cdio/iso9660.h, lib/iso9660_fs.c: Various portability
	fixes when libiconv isn't available or is broken.

2004-10-23 Saturday 21:10  Rocky Bernstein <rocky@panix.com>

	* TODO: Revise. Note iso-tar.

2004-10-23 Saturday 20:55  Rocky Bernstein <rocky@panix.com>

	* NEWS, configure.ac, doc/glossary.texi, include/cdio/iso9660.h,
	lib/iso9660.c, lib/iso9660_fs.c, src/iso-info.c, test/testbincue.c:
	First cut at Joliet support for ISO 9660 images. More work is
	needed to integrate this into CD reading.

2004-10-22 Friday 09:51  Rocky Bernstein <rocky@panix.com>

	* src/iso-info.c: Slightly better error messages.

2004-10-22 Friday 09:44  Rocky Bernstein <rocky@panix.com>

	* doc/glossary.texi: Update definition of ISO 9660

2004-10-22 Friday 01:14  Rocky Bernstein <rocky@panix.com>

	* NEWS: What's up.

2004-10-22 Friday 01:13  Rocky Bernstein <rocky@panix.com>

	* include/cdio/Makefile.am, include/cdio/bytesex.h,
	include/cdio/bytesex_asm.h, include/cdio/iso9660.h,
	lib/Makefile.am, lib/bytesex.h, lib/bytesex_asm.h, lib/iso9660.c,
	lib/iso9660_fs.c, lib/xa.c, src/cd-info.c, src/iso-info.c:
	iso9660.h, iso9660_fs.c: Add iso9660_ifs_is_xa() a routine to
	determine if an iso image has XA attributes.
	
	bytesex.h and bytesex_asm.h are now public. (Down the line should
	use glib though.) Package  has been revised to the move.
	
	iso-info.c: shows XA attributes what that it is available.

2004-10-12 Tuesday 07:05  Rocky Bernstein <rocky@panix.com>

	* THANKS: Add Ian MacIntosh.

2004-10-10 Sunday 20:36  Rocky Bernstein <rocky@panix.com>

	* include/cdio/iso9660.h: small formatting change.

2004-10-10 Sunday 20:28  Rocky Bernstein <rocky@panix.com>

	* NEWS: What's changed.

2004-10-10 Sunday 00:21  Rocky Bernstein <rocky@panix.com>

	* doc/libcdio.texi, example/.cvsignore, example/Makefile.am,
	example/README, example/cdtext.c, example/drives.c, example/iso1.c,
	example/iso2.c, example/iso3.c, example/sample1.c,
	example/sample10.c, example/sample5.c, example/sample6.c,
	example/sample7.c, example/sample8.c, example/sample9.c,
	example/scsi-mmc1.c, example/scsi-mmc2.c, example/tracks.c: Rename
	many of the "sample" programs to something more descriptive. 
	libcdio.texi: add a SCSI-MMC example program.

2004-10-09 Saturday 23:20  Rocky Bernstein <rocky@panix.com>

	* include/cdio/iso9660.h, lib/iso9660_fs.c: Change some void *
	return types to what they really are. The void * was helping to
	propagate the mistake of not exporting CdioList in ds.h.  CVS:
	
	----------------------------------------------------------------------
	include/cdio/iso9660.h lib/iso9660_fs.c CVS:
	----------------------------------------------------------------------

2004-10-09 Saturday 03:20  Rocky Bernstein <rocky@panix.com>

	* example/Makefile.am, include/cdio/Makefile.am, include/cdio/ds.h,
	include/cdio/iso9660.h, lib/Makefile.am, lib/ds.c, lib/ds.h,
	lib/image_common.h, lib/iso9660_fs.c, src/cd-info.c,
	src/iso-info.c: Make ds.h public. It should have been that way
	since it *is* public.  Eventually though we'll redo things using
	glib and then ds.h will get removed.

2004-09-11 Saturday 13:02  Rocky Bernstein <rocky@panix.com>

	* src/Makefile.am: Apply Patch #3043 Thanks to mccarthy from U of
	Alberta:
	
	Building libcdio with libcddb in a non-standard directory --prefix
	causes make to fail.

2004-09-06 Monday 10:50  Rocky Bernstein <rocky@panix.com>

	* TODO: Update wish-list.

2004-09-05 Sunday 13:03  Rocky Bernstein <rocky@panix.com>

	* include/cdio/cdtext.h, test/Makefile.am, test/testbincue.c,
	test/testtoc.c: cdtext.h: minor doxygen improvemtn others: make
	"make distcheck" work again.

2004-09-04 Saturday 23:49  Rocky Bernstein <rocky@panix.com>

	* doc/doxygen/Doxyfile, include/cdio/cdio.h, include/cdio/cdtext.h,
	include/cdio/dvd.h, include/cdio/iso9660.h, include/cdio/logging.h,
	include/cdio/scsi_mmc.h: Changes to make doxygen doc better.

2004-09-04 Saturday 00:06  Rocky Bernstein <rocky@panix.com>

	* test/: cdda-mcn.right, cdda.right, check_cue.sh.in,
	check_nrg.sh.in, check_opts.sh, check_opts0.right,
	check_opts1.right, check_opts2.right, check_opts3.right,
	check_opts4.right, check_opts5.right, check_opts6.right,
	check_opts7.right, isofs-m1.right, monvoisin.right,
	svcd_ogt_test_ntsc.right, svcdgs.right, vcd_demo_vcdinfo.right,
	videocd.right: Add get_hwinfo functions in image drivers.

2004-09-03 Friday 23:20  Rocky Bernstein <rocky@panix.com>

	* configure.ac, include/cdio/types.h, lib/_cdio_bsdi.c,
	lib/_cdio_generic.c, lib/_cdio_linux.c, lib/_cdio_osx.c,
	lib/_cdio_sunos.c, lib/cdio.c, lib/cdio_private.h, lib/cdtext.c,
	lib/cdtext_private.h, lib/scsi_mmc.c, lib/sector.c, lib/util.c:
	configure.ac: now in 0.71cvs *.c: lint-like changes. Tested on
	Sun's SUNPRO cc compiler.	Removed feild initialization lingo
	(even if it is C99).

2004-09-02 Thursday 03:45  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_osx.c: Fix bugs in discmode determination. And actually
	in general due to moving i_first_track to generic structure.

2004-09-02 Thursday 02:33  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_osx.c: Remove include which is not needed.

2004-09-02 Thursday 01:33  Rocky Bernstein <rocky@panix.com>

	* src/cd-info.c: Possibly some C compilers need at least 2
	arguments. Noticed on old FreeBSD box.

2004-09-02 Thursday 00:49  Rocky Bernstein <rocky@panix.com>

	* lib/Makefile.am: Update for release. I think I have it right this
	time. (Well, at least Nicolas Boullis doesn't strongly *disagree*).

2004-09-01 Wednesday 23:39  Rocky Bernstein <rocky@panix.com>

	* configure.ac: Update for release.

2004-08-30 Monday 02:44  Rocky Bernstein <rocky@panix.com>

	* THANKS: How could I have forgotten...

2004-08-30 Monday 01:59  Rocky Bernstein <rocky@panix.com>

	* lib/cdtext.c: Put in later after tested.

2004-08-30 Monday 01:25  Rocky Bernstein <rocky@panix.com>

	* src/cd-info.c: Error messages was slightly incorrect. And add
	another one of that ilk.

2004-08-30 Monday 01:21  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_osx.c: Use generic routines for getting first track and
	number of tracks.

2004-08-30 Monday 01:14  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_osx.c, src/cd-info.c: _cdio_osx.c: wasnt' returning
	CDIO_INVALID_TRACK on TOC read error.  cd-info.c: abort sooner if
	we can't read the TOC.

2004-08-30 Monday 01:01  Rocky Bernstein <rocky@panix.com>

	* include/cdio/sector.h, src/cd-info.c: cd-info.c: bug in DVD test.
	
	sector.h: redo the way the dvd and cd tests work. Isn't strictl
	necessary, but	  this is has fewer implicit dependencies.

2004-08-30 Monday 00:26  Rocky Bernstein <rocky@panix.com>

	* include/cdio/sector.h, lib/cdtext.c, lib/cdtext_private.h,
	src/cd-info.c: sector.h: add routines for determining if discmode
	is DVD or CD.
	
	cdtext*: adjust for bigendian or not. Check for double-byte
	characters.
	
	cd-info.c: new option --dvd. Don't attempt to understand DVD unless
	this is 	   given.

2004-08-29 Sunday 15:16  Rocky Bernstein <rocky@panix.com>

	* lib/Makefile.am: Incremented the wrong thing.

2004-08-29 Sunday 15:14  Rocky Bernstein <rocky@panix.com>

	* lib/Makefile.am: Increment before release.

2004-08-29 Sunday 03:45  Rocky Bernstein <rocky@panix.com>

	* lib/: _cdio_osx.c, cdio.c: cdio.c: missing string for discmode
	enumeration.  _cdio_osx.c: fix a couple of bus faults. Detects
	DVD-RW properly now.	Better error message for failing to read
	TOC.

2004-08-29 Sunday 03:05  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_osx.c: CD-ROM media type does not indicate whether a CD
	is CD-DA or CD-DATA

2004-08-28 Saturday 16:31  Rocky Bernstein <rocky@panix.com>

	* NEWS: Note CD-text addition.

2004-08-28 Saturday 16:06  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_osx.c: Some cleanups, possibly bug fixes. Hack in
	optimistic guess for drive properties.

2004-08-28 Saturday 09:15  Rocky Bernstein <rocky@panix.com>

	* lib/: _cdio_generic.c, _cdio_osx.c, cdio.c, cdio_private.h,
	generic.h: _cdio_osx.c: add getting hw info. Get some read/write
	capabilities and disc info.
	
	*generic*: split off CD discmode classification so it can be used
	by OSX
	
	cdio: env -> p_env

2004-08-27 Friday 11:53  Rocky Bernstein <rocky@panix.com>

	* example/sample9.c, include/cdio/cdio.h, lib/_cdio_linux.c,
	lib/scsi_mmc.c, src/cd-drive.c, src/cd-info.c: add psz_ to hwinfo
	type.  _cdio_linux.c: go back to using SCSI MMC drive cap routine.

2004-08-27 Friday 11:36  Rocky Bernstein <rocky@panix.com>

	* example/sample7.c: Add p_ where appropriate.

2004-08-27 Friday 11:34  Rocky Bernstein <rocky@panix.com>

	* example/sample6.c: add p_ where appropriate.

2004-08-27 Friday 11:32  Rocky Bernstein <rocky@panix.com>

	* example/sample5.c: cd_drives -> ppsz_cd_drives

2004-08-27 Friday 11:26  Rocky Bernstein <rocky@panix.com>

	* doc/doxygen/: .cvignore, .cvsignore: filename typo: .cvignore ->
	.cvsignore

2004-08-27 Friday 11:23  Rocky Bernstein <rocky@panix.com>

	* include/cdio/cdio.h, lib/cdio.c: Add constant variable to
	indicate which OS driver we've got in build.

2004-08-27 Friday 11:22  Rocky Bernstein <rocky@panix.com>

	* NEWS: What's up.

2004-08-27 Friday 04:17  Rocky Bernstein <rocky@panix.com>

	* include/cdio/cdio.h, lib/cdio.c, src/cd-drive.c, src/cd-info.c:
	Add a couple of routines to pass back the driver used in getting a
	drive.	Speeds up a little the task of opening the drive. Is now
	used in cd-drive and cd-info.

2004-08-27 Friday 02:59  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_osx.c: Wrong access for setting drive capabilites to
	unknown.

2004-08-27 Friday 02:50  Rocky Bernstein <rocky@panix.com>

	* include/cdio/cdio.h, include/cdio/scsi_mmc.h, lib/cdio.c,
	lib/cdio_private.h, lib/scsi_mmc.c, src/cd-drive.c, src/cd-info.c:
	Expose hwinfo call as a cdio command. It was SCSI-MMC. This may
	help on OSX.

2004-08-27 Friday 01:24  Rocky Bernstein <rocky@panix.com>

	* lib/: _cdio_linux.c, scsi_mmc.c: scsi_mmc.c: more aggressive
	about getting drive capabilites. Try to get length first. Also try
	CAPABILITIES_PAGEs as well as ALL_PAGEs.

2004-08-27 Friday 00:03  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_osx.c: Devices list fixed, compilation error and give
	up on drive capabilities for now

2004-08-27 Friday 00:02  Rocky Bernstein <rocky@panix.com>

	* src/util.c: Show status unknown when it is unknown

2004-08-26 Thursday 10:44  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_linux.c: Small variable name changes

2004-08-26 Thursday 10:43  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_osx.c: Small formatting changes

2004-08-22 Sunday 00:43  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_osx.c: Save more IOkit information in private structure
	and separate this from reading TOC.
	
	Many small changes that I hope will eventually get us closer to
	getting more drive and CD information although for now it doesn't
	help all that much.

2004-08-19 Thursday 04:01  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_osx.c: Partial OSX improvements -- more work is needed.

2004-08-19 Thursday 02:50  Rocky Bernstein <rocky@panix.com>

	* configure.ac: Another attempt at a pkgconfig bug workaround

2004-08-19 Thursday 01:12  Rocky Bernstein <rocky@panix.com>

	* configure.ac, libcdio.pc.in: Fixes for making libcdio work with
	pkg-config on Darwin when linking vcdimager and when linking just
	libcdio. From Steven M. Schultz:
	
	  I blew a couple minutes tinkering with libcdio.pc and found that
	  manually adding a quote character (not even a matched set of
	quotes!)
	  around the second -framework was enough.
	
	  What works for now is manually editing libcdio.pc after it's been
	  installed:
	
	   Libs: -L${libdir} -lcdio  -lm  -Wl,-framework -Wl,CoreFoundation
	-Wl,-framework -Wl,IOKit
	
	  to:
	
	   Libs: -L${libdir} -lcdio  -lm  -Wl,-framework -Wl,CoreFoundation
	"-Wl,-framework" -Wl,IOKit
	
	  is enough to get vcdimager compiled and linked.
	
	  Appears that the thing to do is somehow get the quotes into
	  libcdio.pc but not into $LIBS - or something like that at any
	rate.

2004-08-18 Wednesday 11:31  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_osx.c: Make sure pp_scsiTaskDeviceInterface is
	initialized. The code should probably be reorganized better for
	this. For now this probably works.

2004-08-16 Monday 01:47  Rocky Bernstein <rocky@panix.com>

	* lib/: _cdio_bsdi.c, _cdio_linux.c, _cdio_osx.c, _cdio_sunos.c:
	Initialize gen.toc_init

2004-08-16 Monday 01:04  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_osx.c: Forgot to init CD-Text variables.

2004-08-16 Monday 00:52  Rocky Bernstein <rocky@panix.com>

	* lib/: _cdio_linux.c, _cdio_osx.c, _cdio_sunos.c: _cdio_osx.c:
	first attempt at issuing general SCSI-MMC passthrough command. 
	others: small changes.

2004-08-15 Sunday 16:15  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_osx.c: First attempt at getting drive capabilities.

2004-08-15 Sunday 13:53  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_osx.c: Compilation fix.

2004-08-13 Friday 13:04  Rocky Bernstein <rocky@panix.com>

	* lib/: _cdio_generic.c, image_common.h: Merge common cdtext code
	into image drivers.

2004-08-13 Friday 11:54  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_osx.c: Compilaton fixes.

2004-08-12 Thursday 09:22  Rocky Bernstein <rocky@panix.com>

	* README.libcdio: Add instructions for CVS.

2004-08-10 Tuesday 11:58  Rocky Bernstein <rocky@panix.com>

	* example/sample10.c, lib/Makefile.am, lib/_cdio_bsdi.c,
	lib/_cdio_generic.c, lib/_cdio_linux.c, lib/_cdio_sunos.c,
	lib/cdio_private.h, lib/generic.h, src/util.c: lib/*.c: create and
	use get_cdtext_generic.
	
	lib/generic.h: prototypes for _cdio_generic.c (move out of
	_cdio_private.h)
	
	example/sample10.c, src/util.c: small print format improvement

2004-08-10 Tuesday 03:47  Rocky Bernstein <rocky@panix.com>

	* src/util.c: Ooops. Debug info creapt in.

2004-08-10 Tuesday 03:44  Rocky Bernstein <rocky@panix.com>

	* src/util.c: Compilation fixes for Win32 and cd-text breakage.

2004-08-10 Tuesday 03:44  Rocky Bernstein <rocky@panix.com>

	* example/.cvsignore: We now have 10 samples so it's sample?? as
	well as sample?

2004-08-10 Tuesday 03:37  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_bsdi.c: Compilation fixes from cd-text breakage. Also
	make style more like the others.

2004-08-10 Tuesday 03:10  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_sunos.c: compilation fix

2004-08-10 Tuesday 03:10  Rocky Bernstein <rocky@panix.com>

	* test/vcd_demo.right: More correct output and add additional
	capability lines

2004-08-10 Tuesday 03:03  Rocky Bernstein <rocky@panix.com>

	* lib/: _cdio_bsdi.c, _cdio_generic.c, _cdio_linux.c,
	_cdio_sunos.c, cdio_private.h: 1st attempt to reduce duplicate
	CD-Text code. (It works on GNU/Linux)...

2004-08-10 Tuesday 02:29  Rocky Bernstein <rocky@panix.com>

	* example/sample10.c, include/cdio/scsi_mmc.h, src/util.c: Add a
	couple of "features".  freebsd_ioctl.c: hopefully less-erroneous
	MCN extraction.

2004-08-08 Sunday 14:55  Rocky Bernstein <rocky@panix.com>

	* lib/Makefile.am: Pedantic alphabetization.

2004-08-08 Sunday 03:11  Rocky Bernstein <rocky@panix.com>

	* example/sample10.c, src/util.c: Print hardware serial number if
	given by feature.

2004-08-08 Sunday 03:03  Rocky Bernstein <rocky@panix.com>

	* src/util.c: Add more feature info.

2004-08-07 Saturday 23:17  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_bsdi.c: Make like the others.

2004-08-07 Saturday 22:58  Rocky Bernstein <rocky@panix.com>

	* lib/: _cdio_bsdi.c, _cdio_generic.c, _cdio_linux.c,
	_cdio_sunos.c, cdio_private.h, scsi_mmc.c: Add b_cdtext_init and
	b_cdtext_error to generic structure.  If we can't read cdtext once,
	mark as an error and don't try to read again.

2004-08-07 Saturday 11:27  Rocky Bernstein <rocky@panix.com>

	* doc/libcdio.texi: Add section to Give complete list of example
	programs. A few small updates, spelling corrections, typo is other
	places.

2004-08-07 Saturday 11:26  Rocky Bernstein <rocky@panix.com>

	* src/cd-drive.c: Bug: listing wrong drive capabilities. Was using
	wrong source_name.

2004-08-07 Saturday 10:50  Rocky Bernstein <rocky@panix.com>

	* example/: sample1.c, sample2.c, sample3.c, sample4.c:
	cdio->p_cdio

2004-08-07 Saturday 09:42  Rocky Bernstein <rocky@panix.com>

	* example/sample10.c, lib/scsi_mmc.c, src/util.c: FreeBSD and gcc <
	3.0 fixes Some variable name changes to match style.

2004-08-07 Saturday 03:37  Rocky Bernstein <rocky@panix.com>

	* example/sample10.c, src/util.c: Add power management feature
	display.

2004-08-07 Saturday 03:25  Rocky Bernstein <rocky@panix.com>

	* include/cdio/scsi_mmc.h: Add more feature codes.

2004-08-07 Saturday 03:24  Rocky Bernstein <rocky@panix.com>

	* src/util.c, example/sample10.c: Add more feature descriptions.

2004-08-07 Saturday 01:48  Rocky Bernstein <rocky@panix.com>

	* example/sample10.c, include/cdio/scsi_mmc.h, src/cd-drive.c,
	src/util.c, src/util.h: util.*, cd-drive: Add feature listing to
	cd-drives.
	
	sample10.c: More feature information printed
	
	scsi_mmc.h: more doxygen comments about features.

2004-08-06 Friday 22:13  Rocky Bernstein <rocky@panix.com>

	* include/cdio/scsi_mmc.h, lib/scsi_mmc.c: small changes.

2004-08-06 Friday 22:08  Rocky Bernstein <rocky@panix.com>

	* include/cdio/scsi_mmc.h: Add more feature definitions.

2004-08-06 Friday 22:07  Rocky Bernstein <rocky@panix.com>

	* example/README: Update.

2004-08-06 Friday 22:05  Rocky Bernstein <rocky@panix.com>

	* example/: Makefile.am, sample10.c: SCSI MMC example to show
	feature list of a drive.

2004-08-06 Friday 14:27  Rocky Bernstein <rocky@panix.com>

	* src/util.c: win32.c: initialize capabilities before setting them.
	 util.c: typo was using read parameter for determining CD-RW
	writing.

2004-08-06 Friday 11:55  Rocky Bernstein <rocky@panix.com>

	* include/cdio/scsi_mmc.h: Fill out GET_CONFIGURATION - add some
	feature info and return types.

2004-08-06 Friday 01:07  Rocky Bernstein <rocky@panix.com>

	* test/: cdda-mcn.right, cdda.right, check_opts0.right,
	check_opts1.right, check_opts2.right, check_opts3.right,
	check_opts4.right, check_opts5.right, check_opts6.right,
	check_opts7.right, isofs-m1.right, monvoisin.right,
	svcd_ogt_test_ntsc.right, svcdgs.right, vcd_demo_vcdinfo.right,
	videocd.right: Output had been erroneously showing CD-RW write
	capability.  We also now show DVD-RW and DVD+RW capabilities.

2004-08-06 Friday 00:55  Rocky Bernstein <rocky@panix.com>

	* include/cdio/types.h: Comment corrections.

2004-08-06 Friday 00:53  Rocky Bernstein <rocky@panix.com>

	* src/: cd-info.c, util.c: cd-info.c: should not try to print out
	MCN for DVD's - they don't have any such thing.
	
	util.c: wasn't reading right/write parms when showing write
	capabilities.	    now also show DVD+RW and DVD-RW capabilities.

2004-08-05 Thursday 04:02  Rocky Bernstein <rocky@panix.com>

	* NEWS: What's up.

2004-08-05 Thursday 03:58  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_linux.c: As with Win32 was passing the wrong pointer
	(p_cdio instead of p_env).  CD-TEXT now sometimes works on
	GNU/Linux!

2004-08-05 Thursday 03:49  Rocky Bernstein <rocky@panix.com>

	* lib/scsi_mmc.c: Up the timeout. Seems to work a little better.
	Probably also need either to retry or try a timeout of 0.

2004-08-05 Thursday 02:58  Rocky Bernstein <rocky@panix.com>

	* lib/scsi_mmc.c: Was passing in the wrong pointer (p_cdio instead
	of p_env)

2004-08-03 Tuesday 11:30  imacintosh

	* lib/_cdio_sunos.c: Now uses DKIOCGMEDIAINFO to get discmode and
	handles Soalris media

2004-08-01 Sunday 11:29  Rocky Bernstein <rocky@panix.com>

	* include/cdio/scsi_mmc.h: Add GET_CONFIGURATION.

2004-08-01 Sunday 11:28  Rocky Bernstein <rocky@panix.com>

	* lib/scsi_mmc.c: scsi_mmc.c: doc change
	
	FreeBSD: use generic routines more often. Initialize TOC before
	getting drive capabilities (seems to be desired, not completely
	sure or sure why this would be so.)

2004-07-31 Saturday 07:43  Rocky Bernstein <rocky@panix.com>

	* include/cdio/scsi_mmc.h, lib/_cdio_linux.c, lib/scsi_mmc.c,
	lib/scsi_mmc_private.h, src/cd-drive.c, src/cd-info.c,
	src/cd-read.c, src/util.h: Add scsi_mmc_get_hwinfo.

2004-07-29 Thursday 05:32  Rocky Bernstein <rocky@panix.com>

	* example/sample8.c: message->psz_msg

2004-07-29 Thursday 05:32  Rocky Bernstein <rocky@panix.com>

	* doc/libcdio.texi: Small changes.

2004-07-29 Thursday 05:31  Rocky Bernstein <rocky@panix.com>

	* include/cdio/scsi_mmc.h: Add lengths of hardware vendor, model,
	and revision.

2004-07-29 Thursday 05:26  Rocky Bernstein <rocky@panix.com>

	* example/: Makefile.am, README, sample8.c, sample9.c: sample9: A
	program to show issuing a SCSI-MMC command.  sample8: cdio->p_cdio;
	update copyright

2004-07-29 Thursday 05:24  Rocky Bernstein <rocky@panix.com>

	* lib/scsi_mmc.c: Bug: passing wrong object.

2004-07-29 Thursday 02:48  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_bsdi.c: Convert to use generic routines for first
	track, num tracks and getting discmode.

2004-07-29 Thursday 02:27  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_sunos.c: compilation fix.

2004-07-29 Thursday 02:16  Rocky Bernstein <rocky@panix.com>

	* include/cdio/scsi_mmc.h, lib/_cdio_generic.c, lib/_cdio_linux.c,
	lib/_cdio_sunos.c, lib/cdio_private.h, lib/image_common.h,
	test/cdda-mcn.right, test/cdda.right, test/check_opts0.right,
	test/check_opts1.right, test/check_opts2.right,
	test/check_opts3.right, test/check_opts4.right,
	test/check_opts5.right, test/check_opts6.right,
	test/check_opts7.right, test/monvoisin.right, test/svcdgs.right,
	test/videocd.right: Tighten code by putting more generic routines
	in cdio_generic:   to get first track number and number of tracks  
	to get discmode
	
	everybody now has gen.i_tracks and gen.i_first_track.
	
	test/* format of output changed yet again.

2004-07-28 Wednesday 22:03  Rocky Bernstein <rocky@panix.com>

	* example/sample8.c, include/cdio/cdio.h, lib/cdio.c,
	src/cd-info.c: Add discmode to string array. Simplifies some code a
	bit.

2004-07-28 Wednesday 22:02  Rocky Bernstein <rocky@panix.com>

	* doc/libcdio.texi: Add CD-TEXT example. Note existence of MMC
	interface.

2004-07-28 Wednesday 11:45  Rocky Bernstein <rocky@panix.com>

	* include/cdio/scsi_mmc.h, lib/_cdio_linux.c, lib/scsi_mmc.c: Make
	setting read lengths more precise (and correct).

2004-07-28 Wednesday 01:14  Rocky Bernstein <rocky@panix.com>

	* lib/scsi_mmc_private.h: Typo in fn name.

2004-07-28 Wednesday 01:09  Rocky Bernstein <rocky@panix.com>

	* include/cdio/dvd.h, include/cdio/scsi_mmc.h, lib/_cdio_bsdi.c,
	lib/_cdio_linux.c, lib/_cdio_sunos.c, lib/scsi_mmc.c,
	lib/scsi_mmc_private.h: Make sure milliseconds get converted to
	seconds if needed.  Some function renaming, and a typo in a DVD
	book type.

2004-07-27 Tuesday 18:57  Rocky Bernstein <rocky@panix.com>

	* lib/: scsi_mmc.c, util.c: fixes for DVD handling

2004-07-27 Tuesday 16:51  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_bsdi.c: Add CD-TEXT

2004-07-27 Tuesday 16:36  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_bsdi.c: Add disc mode and small bug fixes

2004-07-27 Tuesday 15:02  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_bsdi.c: Best guess of how to do scsi_mmc_run_cmd.
	Thanks to Steven M. Schultz

2004-07-27 Tuesday 13:10  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_bsdi.c: compilation fixes

2004-07-27 Tuesday 02:45  Rocky Bernstein <rocky@panix.com>

	* include/cdio/scsi_mmc.h, lib/_cdio_sunos.c, lib/scsi_mmc.c,
	lib/scsi_mmc_private.h: Yet more alternate "_generic" to simplify
	CD-ROM drivers (like all of them except Windows) were there is in
	fact only one MMC passthrough command.

2004-07-27 Tuesday 01:36  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_sunos.c, test/vcd_demo.right: Compilation fixes. Added
	get_discmode.

2004-07-27 Tuesday 01:06  Rocky Bernstein <rocky@panix.com>

	* include/cdio/scsi_mmc.h, lib/_cdio_bsdi.c, lib/_cdio_linux.c,
	lib/_cdio_sunos.c, lib/cdio_private.h, lib/scsi_mmc.c,
	lib/scsi_mmc_private.h: More consolidation of code by adding
	routines to scsi_mmc.

2004-07-26 Monday 04:33  Rocky Bernstein <rocky@panix.com>

	* lib/: scsi_mmc.c, scsi_mmc_private.h: get_dvd_physical common
	routine now works.

2004-07-26 Monday 03:58  Rocky Bernstein <rocky@panix.com>

	* include/cdio/scsi_mmc.h, lib/_cdio_linux.c, lib/scsi_mmc.c,
	lib/scsi_mmc_private.h: Try to make get_dvd_physical a common
	routine. (Haven't tested yet.)

2004-07-26 Monday 03:39  Rocky Bernstein <rocky@panix.com>

	* lib/: scsi_mmc.c, scsi_mmc_private.h: Start to break out routines
	into a device-callable routine as well as a publically callable
	routine. The device-callable routine will be able to change the
	passthrough routine as M$ has two distinct routines for aspi and
	ioctl.

2004-07-26 Monday 02:54  Rocky Bernstein <rocky@panix.com>

	* include/cdio/scsi_mmc.h, lib/Makefile.am, lib/_cdio_linux.c,
	lib/cdio.c, lib/cdio_private.h, lib/scsi_mmc.c,
	lib/scsi_mmc_private.h: Big change!
	
	We now are starting to have universal MMC routines. To do this we
	need to have function pointers to the OS-specific MMC send/run
	command.
	
	Expect some breakage. Down the line though this will increase code
	reuse, reliabilty, and make the library more user-customizable.

2004-07-25 Sunday 20:59  Rocky Bernstein <rocky@panix.com>

	* example/sample8.c: Enumeration has changed.

2004-07-25 Sunday 18:37  Rocky Bernstein <rocky@panix.com>

	* include/cdio/sector.h, lib/_cdio_linux.c, lib/sector.c,
	src/cd-info.c, test/check_opts0.right, test/check_opts1.right,
	test/check_opts2.right, test/check_opts3.right,
	test/check_opts4.right, test/check_opts5.right,
	test/check_opts6.right, test/check_opts7.right,
	test/monvoisin.right, test/svcdgs.right, test/videocd.right: Reduce
	overall number of CD disc modes. I thing the main purpose that will
	be used is to separate CD Audio from CD Data, XA and DVD's.
	
	On GNU/Linux it seems that the implementation is a bit artificial.

2004-07-25 Sunday 17:35  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_linux.c: Pedantic ordering.

2004-07-25 Sunday 17:32  Rocky Bernstein <rocky@panix.com>

	* src/cd-info.c: MSWindows: add DVD type determination.
	
	cd-info.c: poor disc-mode error message string

2004-07-25 Sunday 16:38  Rocky Bernstein <rocky@panix.com>

	* include/cdio/scsi_mmc.h: Typo

2004-07-25 Sunday 16:35  Rocky Bernstein <rocky@panix.com>

	* include/cdio/Makefile.am: Add dvd.h to list of includes.

2004-07-25 Sunday 15:47  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_linux.c: Typo and small formatting changes.

2004-07-25 Sunday 15:46  Rocky Bernstein <rocky@panix.com>

	* include/cdio/dvd.h: Typo

2004-07-25 Sunday 15:29  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_linux.c: Better testing to see if TOC is initialized by
	read_toc_linux before using info based on that.
	
	Order of routines alphabetized a little bit better.

2004-07-25 Sunday 11:32  Rocky Bernstein <rocky@panix.com>

	* src/cd-info.c: Some weird problem when --no-cddb and libcddb was
	not around. I'd rather switch than fight it.

2004-07-25 Sunday 11:18  Rocky Bernstein <rocky@panix.com>

	* include/cdio/dvd.h: Definitions for DVD access.

2004-07-25 Sunday 09:57  Rocky Bernstein <rocky@panix.com>

	* test/: cdda.cue, cdda.right, cdda.toc, check_opts0.right,
	check_opts1.right, check_opts2.right, check_opts3.right,
	check_opts4.right, check_opts5.right, check_opts6.right,
	check_opts7.right, isofs-m1.cue, isofs-m1.right, isofs-m1.toc: Not
	sure if we can have a MCN on a CD-DATA filesystem, but I know we
	can have one on a CD-DA. So remove it from the ISO and add it to
	the CD-DA.  Also isofs-m1 is now reports that it is a CD-DATA CD
	since that's what it is.

2004-07-25 Sunday 03:17  Rocky Bernstein <rocky@panix.com>

	* example/sample8.c, include/cdio/scsi_mmc.h,
	include/cdio/sector.h: Changes to facilitate DVD detection.

2004-07-25 Sunday 03:05  Rocky Bernstein <rocky@panix.com>

	* include/cdio/sector.h, lib/_cdio_linux.c, src/cd-info.c:
	sector.h: add more DVD types.
	
	_cdio_linux.c: Add ability in GNU/Linux to determine if a drive has
	a DVD in it.
	
	cd-info: show the drive type.

2004-07-24 Saturday 14:23  Rocky Bernstein <rocky@panix.com>

	* lib/image_common.h, src/cd-info.c, test/cdda-mcn.right,
	test/cdda.right, test/check_cue.sh.in, test/check_opts0.right,
	test/check_opts1.right, test/check_opts2.right,
	test/check_opts3.right, test/check_opts4.right,
	test/check_opts5.right, test/check_opts6.right,
	test/check_opts7.right, test/isofs-m1.right, test/monvoisin.right,
	test/svcd_ogt_test_ntsc.right, test/svcdgs.right,
	test/vcd_demo_vcdinfo.right, test/videocd.right: Add get_disc_mode
	to image readers.  Add it in cd-info display.  Update regression
	tests.
	
	I'm not sure disc_mode is all that helpful or correct.

2004-07-24 Saturday 06:11  Rocky Bernstein <rocky@panix.com>

	* example/: README, sample8.c: sample8 program shows CD-TEXT and
	Disc mode info.

2004-07-24 Saturday 05:42  Rocky Bernstein <rocky@panix.com>

	* include/cdio/sector.h, lib/_cdio_linux.c: freebsd: add
	scsi_mmc_cmd_run and use it.  Others: small changes.

2004-07-23 Friday 11:29  Rocky Bernstein <rocky@panix.com>

	* include/cdio/: scsi_mmc.h, sector.h: Formatting and small name
	change.

2004-07-23 Friday 10:37  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_sunos.c: Oops mande MCN buffer too short. More
	intelligible and tighter code.

2004-07-23 Friday 03:48  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_sunos.c: More small changes.

2004-07-23 Friday 02:54  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_sunos.c: Small changes - perhaps not really in the
	category of bugfixes.

2004-07-23 Friday 02:23  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_sunos.c: Use common SCSI MMC routine where possible.

2004-07-22 Thursday 11:00  Rocky Bernstein <rocky@panix.com>

	* lib/: _cdio_linux.c, cdio_private.h: Wasn't allowing call of new
	scsi_mmc_run_cmd.

2004-07-22 Thursday 10:13  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_linux.c: Fell into the a common C pitfall

2004-07-22 Thursday 09:52  Rocky Bernstein <rocky@panix.com>

	* include/cdio/scsi_mmc.h, include/cdio/sector.h,
	lib/_cdio_linux.c, lib/_cdio_sunos.c, lib/cdio_private.h,
	lib/scsi_mmc.c: Work on SCSI MMC layer. Some things may be broken.

2004-07-21 Wednesday 11:28  Rocky Bernstein <rocky@panix.com>

	* lib/cdio.c: Turn an assertion into a return failure.

2004-07-21 Wednesday 11:07  Rocky Bernstein <rocky@panix.com>

	* include/cdio/scsi_mmc.h: Add more SCSI MMC-3 commands

2004-07-21 Wednesday 11:01  Rocky Bernstein <rocky@panix.com>

	* example/sample8.c: Correct for get_disctype to get_discmode
	change.

2004-07-21 Wednesday 10:29  Rocky Bernstein <rocky@panix.com>

	* include/cdio/sector.h: Correct discmode comments.

2004-07-21 Wednesday 10:19  Rocky Bernstein <rocky@panix.com>

	* example/sample8.c, include/cdio/cdio.h, include/cdio/scsi_mmc.h,
	include/cdio/sector.h, lib/_cdio_linux.c, lib/cdio.c,
	lib/cdio_private.h: Add get_discmode to return what kind of CD or
	DVD we've got. This is no where near finished. In fact I just
	started it on GNU/Linux.
	
	CD-TEXT on GNU/Linux: turn "warning" into "info". Reduce the chance
	of error (although we still don't get the CD-TEXT.)

2004-07-19 Monday 01:29  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_sunos.c: Initialize/null out drive capabilities before
	setting them.

2004-07-19 Monday 01:13  Rocky Bernstein <rocky@panix.com>

	* include/cdio/scsi_mmc.h, include/cdio/types.h, lib/_cdio_linux.c,
	lib/_cdio_sunos.c, lib/scsi_mmc.c: Add READTOC format defines.

2004-07-19 Monday 00:07  Rocky Bernstein <rocky@panix.com>

	* doc/glossary.texi: Add CD+G.

2004-07-18 Sunday 05:12  Rocky Bernstein <rocky@panix.com>

	* lib/cdio.c: gcc 2.95 vs 3.0 fix. Thanks yet again to Steven
	Schultz.

2004-07-18 Sunday 05:10  Rocky Bernstein <rocky@panix.com>

	* test/: cdda-mcn.right, monvoisin.right, svcd_ogt_test_ntsc.right,
	svcdgs.right, vcd_demo_vcdinfo.right: Output has changed again.
	"eject" seems to be more commonly used than "open tray."

2004-07-18 Sunday 03:35  Rocky Bernstein <rocky@panix.com>

	* example/sample2.c, include/cdio/types.h, lib/_cdio_linux.c,
	lib/_cdio_sunos.c, lib/scsi_mmc.c, src/util.c, test/cdda.right,
	test/check_opts0.right, test/check_opts1.right,
	test/check_opts2.right, test/check_opts3.right,
	test/check_opts4.right, test/check_opts5.right,
	test/check_opts6.right, test/check_opts7.right,
	test/isofs-m1.right, test/vcd_demo.right, test/videocd.right: MMC
	mode page capabilities gone over. Some more were added.

2004-07-17 Saturday 22:16  Rocky Bernstein <rocky@panix.com>

	* example/sample2.c, include/cdio/cdio.h, include/cdio/scsi_mmc.h,
	include/cdio/types.h, lib/_cdio_linux.c, lib/_cdio_sunos.c,
	lib/cdio.c, lib/cdio_private.h, lib/image_common.h, lib/scsi_mmc.c,
	src/cd-drive.c, src/cd-info.c, src/util.c, src/util.h,
	test/cdda-mcn.right, test/cdda.right, test/check_opts0.right,
	test/check_opts1.right, test/check_opts2.right,
	test/check_opts3.right, test/check_opts4.right,
	test/check_opts5.right, test/check_opts6.right,
	test/check_opts7.right, test/isofs-m1.right, test/monvoisin.right,
	test/svcd_ogt_test_ntsc.right, test/svcdgs.right,
	test/vcd_demo_vcdinfo.right, test/videocd.right: Expand getting
	drive capabilities. We now have 3 masks where we had only one
	before.

2004-07-17 Saturday 16:47  Rocky Bernstein <rocky@panix.com>

	* src/iso-read.c: Check that mandatory options are mandatory and
	note in help where they are.
	
	Error messages gone over a little.
	
	Closes bug #9675
	http://savannah.gnu.org/bugs/?func=detailitem&item_id=9675

2004-07-17 Saturday 15:43  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_sunos.c: Make use of more CDIO_CDROM_LBA and
	CDIO_CDROM_MSF #defines.

2004-07-17 Saturday 15:31  Rocky Bernstein <rocky@panix.com>

	* include/cdio/sector.h, lib/_cdio_sunos.c: Add common defines for
	some subchannel commands, and use them.

2004-07-17 Saturday 09:35  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_sunos.c: Fix for Sunos and new CD-TEXT API.

2004-07-17 Saturday 09:34  Rocky Bernstein <rocky@panix.com>

	* lib/cdtext_private.h: Fix for Win32.

2004-07-17 Saturday 08:59  Rocky Bernstein <rocky@panix.com>

	* lib/: _cdio_linux.c, cdtext.c, cdtext_private.h: Add common
	routine to extract cdtext data.

2004-07-17 Saturday 02:43  Rocky Bernstein <rocky@panix.com>

	* lib/: _cdio_linux.c, _cdio_sunos.c: Corrections for new cdtext
	interface.  Some more precise track handling when the first track
	is not 1.  Some of this needs to be tested.

2004-07-17 Saturday 02:18  Rocky Bernstein <rocky@panix.com>

	* example/sample8.c, include/cdio/cdio.h, include/cdio/cdtext.h,
	lib/_cdio_linux.c, lib/cdio.c, lib/cdio_private.h,
	lib/image_common.h, src/cd-info.c, test/cdda-mcn.right,
	test/cdda.right: Expand get_cdtext to include a track number. 0 =
	disc info.

2004-07-16 Friday 21:29  Rocky Bernstein <rocky@panix.com>

	* include/cdio/cdtext.h, lib/cdtext.c, src/cd-info.c,
	src/cd-read.c, test/cdda-mcn.right, test/cdda.right, test/cdda.toc:
	Add cdtext display to cd-info and adjust regression tests
	accordingly.
	
	cd-read.c: don't try to print null strings.

2004-07-16 Friday 11:37  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_sunos.c: insignificant changes

2004-07-15 Thursday 11:55  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_sunos.c: Get MCN now works.
	
	Retrieving CD TEXT no longer causes core dump. (It still doesn't
	give useful info back though.)
	
	Code cleanups.

2004-07-15 Thursday 11:36  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_linux.c: cmd -> cdb to match MMC terminology and
	Solaris naming.

2004-07-15 Thursday 04:03  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_sunos.c: Closer to getting CDTEXT working.

2004-07-15 Thursday 02:24  Rocky Bernstein <rocky@panix.com>

	* lib/: _cdio_linux.c, cdio.c: MSWindows: comment corrections
	_cdio_linux.c: perhaps closer to getting CD TEXT correct.

2004-07-13 Tuesday 12:28  Rocky Bernstein <rocky@panix.com>

	* example/sample2.c: MSWindows lint.

2004-07-13 Tuesday 04:33  Rocky Bernstein <rocky@panix.com>

	* lib/: _cdio_linux.c, image_common.h: Yet more code cleanups.

2004-07-13 Tuesday 03:45  Rocky Bernstein <rocky@panix.com>

	* example/sample8.c, lib/cdio_private.h, lib/image_common.h: Add
	CD-TEXT to MS-Windows ASPI driver. (The first real CD driver!) In
	the process we've had to remove "const" from get_aspi.

2004-07-12 Monday 03:59  Rocky Bernstein <rocky@panix.com>

	* test/bad-cat1.cue: Bad catalog cue test 1.

2004-07-12 Monday 03:58  Rocky Bernstein <rocky@panix.com>

	* test/bad-msf-3.cue: Bad MSF cue test 3.

2004-07-12 Monday 03:57  Rocky Bernstein <rocky@panix.com>

	* test/bad-msf-1.cue: MSF cue test 1

2004-07-12 Monday 03:34  Rocky Bernstein <rocky@panix.com>

	* include/cdio/sector.h: MS Windows compilation fixes.

2004-07-11 Sunday 14:25  Rocky Bernstein <rocky@panix.com>

	* example/sample8.c, include/cdio/cdio.h, include/cdio/cdtext.h,
	lib/cdio.c, lib/cdio_private.h, lib/cdtext.c, lib/image.h,
	lib/image_common.h, test/cdda.cue: Redo CD-TEXT handling. First
	minimally working version for CD bin/cue and cdrdao images.

2004-07-11 Sunday 02:33  Rocky Bernstein <rocky@panix.com>

	* test/: Makefile.am, cdtext.toc, testtoc.c: Add cdtext regression
	test.

2004-07-11 Sunday 02:26  Rocky Bernstein <rocky@panix.com>

	* lib/cdtext.c: Correct some string initalization bugs in
	cdtext_keywords. We switched from binary search to linear search
	for now.

2004-07-10 Saturday 11:06  Rocky Bernstein <rocky@panix.com>

	* lib/: image.h, image_common.h: Hoist some more common image
	routines and make image drivers look more common. In particular we
	now have a "cue", "source", and "access-mode" parameters defined
	even when "cue" and "source" are the same as in NRG.
	
	The _img_private_t's for the image drivers are now more similar if
	not the same.
	
	Some memory leaks when there are error conditions in opening image
	drivers have been fixed.

2004-07-10 Saturday 02:17  Rocky Bernstein <rocky@panix.com>

	* include/cdio/sector.h, lib/Makefile.am, lib/image.h,
	lib/image_common.h: Hoist common track mode, disk format and disk
	flags into sector.h Hoist track information into image.h

2004-07-10 Saturday 01:21  Rocky Bernstein <rocky@panix.com>

	* include/cdio/sector.h, lib/sector.c: Pull out mmssff_to_lba
	routine and fix bug when in error reporting when frame >= 100.
	
	Add msf3_to_lba and use that where possible (win32_ioctl.c for
	example).

2004-07-10 Saturday 01:18  Rocky Bernstein <rocky@panix.com>

	* test/: .cvsignore, Makefile.am, bad-cat3.cue, bad-mode1.cue,
	bad-msf-2.cue, bad-msf-3.toc, testbincue.c, testtoc.c: More cue
	tests. Add another bad msf toc test.  If argc > 1 in testtoc,
	testbincue, then we give debug output.

2004-07-09 Friday 20:47  Rocky Bernstein <rocky@panix.com>

	* test/: Makefile.am, bad-cat2.cue, bad-cat2.toc, bad-cat3.cue,
	testbincue.c: Add some bincue regression tests.

2004-07-09 Friday 10:29  Rocky Bernstein <rocky@panix.com>

	* NEWS: Buzz, buzz, buzz. Tell me what's a happenin'.

2004-07-09 Friday 10:05  Rocky Bernstein <rocky@panix.com>

	* include/cdio/cdio.h: API version change. If it's not already it
	will be with planned CDTEXT changes, capability return changes	and
	get_default drive returning the driver used.

2004-07-09 Friday 10:04  Rocky Bernstein <rocky@panix.com>

	* THANKS: Note that Svend also supplied CUE parsing code.

2004-07-09 Friday 02:46  Rocky Bernstein <rocky@panix.com>

	* lib/: cdtext.c, image_common.h: mcn -> psz_mcn and other psz
	variables.  bincue.c: a little closer to getting cuetools
	parse_cuefile useable.

2004-07-09 Friday 01:34  Rocky Bernstein <rocky@panix.com>

	* include/cdio/cdtext.h: Small changes.

2004-07-09 Friday 01:05  Rocky Bernstein <rocky@panix.com>

	* example/sample8.c, include/cdio/cdtext.h, lib/Makefile.am,
	lib/_cdio_linux.c, lib/cdio.c, lib/cdio_private.h, lib/cdtext.c,
	lib/cdtext_private.h: Start to merge in cue parsing from cuetools.
	Also moves forward CDTEXT from a different direction.

2004-07-08 Thursday 06:33  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_sunos.c: Small changes.

2004-07-08 Thursday 06:29  Rocky Bernstein <rocky@panix.com>

	* include/cdio/scsi_mmc.h, lib/_cdio_sunos.c: Sun drive
	capabilities improved. Sun and Windows ASPI  use common MODE_SENSE
	defines defines now.

2004-07-08 Thursday 05:19  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_sunos.c: #define changed name. Fix compilation error.

2004-07-08 Thursday 01:27  Rocky Bernstein <rocky@panix.com>

	* example/Makefile.am, include/cdio/Makefile.am,
	include/cdio/cdtext.h, include/cdio/scsi_mmc.h, lib/_cdio_linux.c,
	lib/cdio.c, lib/cdio_private.h: Regularize MMC commands more. Add
	ALLOW_PREVENT_MEDIUM.  Start CDTEXT. _cdio_linux.c: better at
	reporting errors.

2004-07-01 Thursday 19:34  Rocky Bernstein <rocky@panix.com>

	* libcdio.spec.in: All files in cdinfo should be owned by root and
	the root group.  Change from Manfred Tremmel in response to a
	problem reported by Gabriel L. Somlo.

2004-07-01 Thursday 15:56  Rocky Bernstein <rocky@panix.com>

	* test/vcd_demo.right: Update for more capabilities in vcd-info
	-enabled cd-info.

2004-06-30 Wednesday 23:44  Rocky Bernstein <rocky@panix.com>

	* README.libcdio: Spelling mistake.

2004-06-29 Tuesday 02:01  Rocky Bernstein <rocky@panix.com>

	* include/cdio/iso9660.h: Preparation for handling Joliet (and
	RockRidge?) extensions.

2004-06-28 Monday 00:39  Rocky Bernstein <rocky@panix.com>

	* lib/scsi_mmc.c: Compilation fix.

2004-06-28 Monday 00:26  Rocky Bernstein <rocky@panix.com>

	* lib/scsi_mmc.c: Add multisession test.

2004-06-27 Sunday 22:00  Rocky Bernstein <rocky@panix.com>

	* include/cdio/scsi_mmc.h, lib/Makefile.am: Add common SCSI MMC
	routine for getting drive capabilities.

2004-06-27 Sunday 21:58  Rocky Bernstein <rocky@panix.com>

	* lib/scsi_mmc.c: Add common routine for SCSI MMC.

2004-06-27 Sunday 21:57  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_sunos.c: Compilation fix. Remove magic number 100. Use
	common mmc routine for drive capabilites.

2004-06-27 Sunday 16:45  Rocky Bernstein <rocky@panix.com>

	* test/: cdda-mcn.right, cdda.right, check_opts0.right,
	check_opts1.right, check_opts2.right, check_opts3.right,
	check_opts4.right, check_opts5.right, check_opts6.right,
	check_opts7.right, isofs-m1.right, monvoisin.right,
	svcd_ogt_test_ntsc.right, svcdgs.right, vcd_demo_vcdinfo.right,
	videocd.right: Changed drive capability output.

2004-06-27 Sunday 16:37  Rocky Bernstein <rocky@panix.com>

	* src/util.c: Print out more of the capabilities.

2004-06-27 Sunday 16:36  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_linux.c: Revert last change. Need to return char * for
	MCN. Also replace that magic number 100 with MAX_TRACKS+1.

2004-06-27 Sunday 16:25  Rocky Bernstein <rocky@panix.com>

	* configure.ac: Don't know how $target_os got in there, but it's
	not defined. $host_os will work although there probably is
	something better for cross-compiling.

2004-06-27 Sunday 15:29  Rocky Bernstein <rocky@panix.com>

	* configure.ac, doc/glossary.texi, include/cdio/cdio.h,
	include/cdio/sector.h, include/cdio/types.h, lib/_cdio_linux.c,
	lib/_cdio_osx.c: Add type for holding MCN and ISRC. Add type for
	session
	
	Replace magic constant 100 with CDIO_MAX_TRACK+1 where appropriate.
	
	_cdio_osx: save session number and presumably some tighter coding. 
	nrg.c: make sure we add zero byte to end of MCN.

2004-06-26 Saturday 19:26  Rocky Bernstein <rocky@panix.com>

	* configure.ac: thesin says the double -Wl,-framework is necessary
	when building vcdimager.

2004-06-26 Saturday 10:01  Rocky Bernstein <rocky@panix.com>

	* README: Update to mention/include cdrdao, iso-info, iso-read and
	kiso.

2004-06-26 Saturday 01:20  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_osx.c: Use .adr rather than session number to determine
	if we've got a valid track.

2004-06-26 Saturday 01:08  Rocky Bernstein <rocky@panix.com>

	* configure.ac, include/cdio/scsi_mmc.h: configure.ac: we're now in
	0.70cvs scsi_mmc.h: add doxygen comment.

2004-06-26 Saturday 00:47  Rocky Bernstein <rocky@panix.com>

	* include/cdio/xa.h: Typo.

2004-06-26 Saturday 00:39  Rocky Bernstein <rocky@panix.com>

	* lib/: _cdio_bsdi.c, _cdio_generic.c, _cdio_linux.c,
	_cdio_sunos.c, cdio_private.h: Reduce cut and paste - add common
	routine, to _cdio_generic.c: cdio_read_mode1_sector.

2004-06-25 Friday 21:26  Rocky Bernstein <rocky@panix.com>

	* configure.ac: Get ready for real 0.69 release.

2004-06-25 Friday 21:10  Rocky Bernstein <rocky@panix.com>

	* NEWS, lib/_cdio_bsdi.c, lib/_cdio_generic.c, lib/_cdio_linux.c,
	lib/_cdio_sunos.c: fewer error exits in drivers. Instead, a failure
	code is returned.

2004-06-25 Friday 00:16  Rocky Bernstein <rocky@panix.com>

	* doc/glossary.texi: Add SPTI and ASPI.

2004-06-24 Thursday 07:51  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_osx.c: Non-critical cdio_error's changed to cdio_warn's
	or cdio_info as more appropriate.

2004-06-23 Wednesday 23:43  Rocky Bernstein <rocky@panix.com>

	* THANKS: Credit where it is due.

2004-06-23 Wednesday 09:28  Rocky Bernstein <rocky@panix.com>

	* include/cdio/cd_types.h, lib/cd_types.c, src/cd-info.c: Add
	getting UDF label and major/minor version numbers.  cd_types.c:
	also replace unsafe use of sprintf with strncpy.

2004-06-23 Wednesday 09:25  Rocky Bernstein <rocky@panix.com>

	* lib/Makefile.am: Update library numbers as per libtool
	documentation instructions.  libiso9660: added read_pvd routines. 
	libcdio: added cdio_get_drive_cap

2004-06-23 Wednesday 03:56  Rocky Bernstein <rocky@panix.com>

	* include/cdio/cd_types.h, lib/cd_types.c, src/cd-info.c: More (but
	not all) UDF stuff from the Xbox project.

2004-06-23 Wednesday 02:25  Rocky Bernstein <rocky@panix.com>

	* NEWS: What's new.

2004-06-23 Wednesday 00:37  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_osx.c: Clarification of 0xA0, 0xA2 and 0xAA.

2004-06-22 Tuesday 15:05  Justin F. Hallett <thesin@southofheaven.org>

	* lib/_cdio_osx.c: Changed a few warns to debugs for release
	version

2004-06-22 Tuesday 04:35  Justin F. Hallett <thesin@southofheaven.org>

	* lib/_cdio_osx.c: Remove noisy debug code, or at least hide it for
	now

2004-06-22 Tuesday 04:31  Justin F. Hallett <thesin@southofheaven.org>

	* lib/_cdio_osx.c: OSX support works...now to get into the eject
	and drive caps next

2004-06-22 Tuesday 03:38  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_osx.c: correct some of the many bugs (I hope)

2004-06-21 Monday 16:18  Rocky Bernstein <rocky@panix.com>

	* lib/iso9660_fs.c: Don't abort if we can't read the PVD.

2004-06-20 Sunday 15:35  Rocky Bernstein <rocky@panix.com>

	* lib/Makefile.am: Add boilerplate Makefiles for convenience

2004-06-19 Saturday 19:15  Rocky Bernstein <rocky@panix.com>

	* include/cdio/cd_types.h, lib/_cdio_generic.c, lib/_cdio_stdio.c,
	lib/cd_types.c, lib/cdio.c, lib/util.c, src/cd-info.c,
	src/iso-info.c, src/util.c: Lint-like things.  Add X-BOX detection
	courtesy of the xmbc project.

2004-06-19 Saturday 16:17  Rocky Bernstein <rocky@panix.com>

	* configure.ac: libvcdinfo is used by cd-info not cd-read.

2004-06-19 Saturday 10:39  Rocky Bernstein <rocky@panix.com>

	* include/cdio/cdio.h: Note that getting default drive and listing
	all drives may change depending on OS/driver and whether media is
	installed.

2004-06-19 Saturday 10:38  Rocky Bernstein <rocky@panix.com>

	* src/: cd-info.c, iso-info.c: More information about ISO 9660
	images is printed.

2004-06-19 Saturday 10:37  Rocky Bernstein <rocky@panix.com>

	* test/: check_opts0.right, check_opts1.right, check_opts4.right,
	check_opts5.right, check_opts6.right, check_opts7.right,
	isofs-m1.right, monvoisin.right, svcd_ogt_test_ntsc.right,
	svcdgs.right, vcd_demo_vcdinfo.right, videocd.right: Changes as a
	result of printing more ISO 9660 information in cd-info.

2004-06-19 Saturday 02:27  Rocky Bernstein <rocky@panix.com>

	* NEWS, include/cdio/iso9660.h, lib/iso9660_fs.c: Add const's where
	possible.  Add cdio mode2 read routine.

2004-06-19 Saturday 00:15  Rocky Bernstein <rocky@panix.com>

	* include/cdio/iso9660.h, lib/iso9660_fs.c, src/iso-info.c:
	iso9660_iso_... -> iso9660_ifs_...

2004-06-19 Saturday 00:10  Rocky Bernstein <rocky@panix.com>

	* include/cdio/iso9660.h, lib/iso9660_fs.c, src/iso-info.c:
	iso9660*.{c,h}: Add PVD read for ISO 9660 images.
	
	iso-info now shows this info.

2004-06-18 Friday 23:00  Rocky Bernstein <rocky@panix.com>

	* include/cdio/iso9660.h, lib/iso9660.c: Add some trivial routines
	to get volumeid, volumeset id, application id and system id. Moved
	over from vcdimager.
	
	Thanks to Stephan (mephisto..@...) for the suggestion.

2004-06-17 Thursday 10:41  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_osx.c: Ignore info where session is 0. At least for
	now.

2004-06-17 Thursday 03:24  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_osx.c: Make sure we get TOC info for a single session.
	For new we can really only deal with a single-session CD.

2004-06-17 Thursday 01:20  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_osx.c: Note OSX LBA is cdio LSN.

2004-06-17 Thursday 01:16  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_osx.c: Don't need to set i_leadout twice.

2004-06-17 Thursday 01:15  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_osx.c: getFirstrack_osx and getNumberOfTracks_osx do
	duplicate scanning that could be done when looking for the leadout
	track. Revised code to removes these routines, consolidating the
	searching in one loop.
	
	To be *very* conservative, a first loop finds the positions of the
	leadout, first track and last track. This code then doesn't assume
	that the track numbers are in order.  They could be given track 3,
	2, and then 1 or 2, 3, and then 1. Another loop then maps
	first_track..last_track 0..number_of_tracks - 1

2004-06-16 Wednesday 04:51  Justin F. Hallett <thesin@southofheaven.org>

	* lib/_cdio_osx.c: Works with all burnt media, bought media is
	different some how.  Still better then it was since it didn't work
	at all.

2004-06-14 Monday 08:18  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_osx.c: Wait a minute - the 0xa2 *is* larger than
	CDIO_CD_MAX_TRACKS. But I guess we still should consider
	ptrackDescriptors[i_descriptors].

2004-06-13 Sunday 21:43  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_osx.c: Probably more correct.

2004-06-13 Sunday 20:38  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_sunos.c: Move include of glob.h inside conditional
	Solaris include since that's only where it is needed. configure on
	cygwin erroneously sets HAVE_GLOB_H and although that too should be
	fixed, there's no reason to have that failure cause one here.

2004-06-12 Saturday 17:33  Rocky Bernstein <rocky@panix.com>

	* configure.ac: Allow FreeBSD 5.X: Heiner says it sort of works.

2004-06-12 Saturday 17:32  Rocky Bernstein <rocky@panix.com>

	* lib/sector.c: Use %2.2x rather than %.2x. Is there a difference?

2004-06-12 Saturday 17:30  Rocky Bernstein <rocky@panix.com>

	* test/cdda-mcn.right, test/cdda.right, test/check_opts2.right,
	test/check_opts3.right, test/check_opts4.right,
	test/check_opts5.right, test/check_opts6.right,
	test/check_opts7.right, test/isofs-m1.right, test/monvoisin.right,
	test/svcd_ogt_test_ntsc.right, test/svcdgs.right,
	test/vcd_demo.right, test/vcd_demo_vcdinfo.right,
	test/videocd.right, src/cd-info.c: Go back to 8-place MM:SS:FF.

2004-06-11 Friday 02:22  Rocky Bernstein <rocky@panix.com>

	* configure.ac: It is a tad nicer to switch off
	--without-versioned-libs when GNU ld isn't around rather than give
	and error and halt.

2004-06-09 Wednesday 11:01  Rocky Bernstein <rocky@panix.com>

	* NEWS: Duplicate entry.

2004-06-07 Monday 14:04  Rocky Bernstein <rocky@panix.com>

	* README.libcdio: It's cd-info, not cd-read. Note other
	alternatives to the elusive "circular" dependency.

2004-06-07 Monday 00:24  Rocky Bernstein <rocky@panix.com>

	* lib/cdio.c: Bug: wasn't adding drives with detected capability,
	but the first drive on the list of drives. Don't know how this went
	undetected this long.

2004-06-06 Sunday 11:51  Rocky Bernstein <rocky@panix.com>

	* doc/libcdio.texi: Refer to libcdio constants more. Note OSX and
	FreeBSD drivers. Note there is a maximum LSN/LBA/MSF value.

2004-06-06 Sunday 11:47  Rocky Bernstein <rocky@panix.com>

	* include/cdio/cdio.h: Ooops spelling typo.

2004-06-06 Sunday 11:45  Rocky Bernstein <rocky@panix.com>

	* include/cdio/cdio.h: Doc fixes and some paramater name renamings.

2004-06-06 Sunday 11:44  Rocky Bernstein <rocky@panix.com>

	* lib/: _cdio_linux.c, _cdio_sunos.c: Comment fixes.

2004-06-06 Sunday 11:38  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_linux.c: Doc fix.

2004-06-06 Sunday 11:37  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_sunos.c: Remove another first track is 1 assumption.

2004-06-06 Sunday 11:30  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_linux.c: Remove another first_track = 1 assumption.

2004-06-06 Sunday 11:25  Rocky Bernstein <rocky@panix.com>

	* lib/: _cdio_linux.c, _cdio_osx.c: Back off of testing for unread
	TOC. Probably a good idea to do lazy TOC reading.

2004-06-06 Sunday 10:54  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_sunos.c: Compilation fixes.

2004-06-06 Sunday 10:50  Rocky Bernstein <rocky@panix.com>

	* lib/: _cdio_linux.c, _cdio_osx.c, _cdio_sunos.c: More work on
	removing assumption that first_track is 1.

2004-06-05 Saturday 03:16  Rocky Bernstein <rocky@panix.com>

	* THANKS: Put in alphabetical order (by first name).

2004-06-05 Saturday 03:10  Rocky Bernstein <rocky@panix.com>

	* THANKS: Add Heiner. Note cuetools.

2004-06-05 Saturday 03:08  Rocky Bernstein <rocky@panix.com>

	* TODO: Current estimation of what's needed.

2004-06-05 Saturday 02:49  Rocky Bernstein <rocky@panix.com>

	* lib/sector.c, test/cdda-mcn.right, test/cdda.right,
	test/check_opts2.right, test/check_opts3.right,
	test/check_opts4.right, test/check_opts5.right,
	test/check_opts6.right, test/check_opts7.right,
	test/isofs-m1.right, test/monvoisin.right,
	test/svcd_ogt_test_ntsc.right, test/svcdgs.right,
	test/vcd_demo.right, test/vcd_demo_vcdinfo.right,
	test/videocd.right: Go back to two-digit format for minutes in MSF.
	CD's really can't have more than 99 minutes in them. So we
	shouldn't give the illusion they can.

2004-06-03 Thursday 12:37  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_bsdi.c: Compilation fixes.

2004-06-03 Thursday 09:22  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_bsdi.c: Fix all those *env = env after renaming; It
	should be *env = user_data.

2004-06-03 Thursday 08:50  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_linux.c: Minor coding changes.

2004-06-02 Wednesday 13:30  Justin F. Hallett <thesin@southofheaven.org>

	* lib/Makefile.am: Fix the -I-I here instead, sorry about that

2004-06-02 Wednesday 08:23  Rocky Bernstein <rocky@panix.com>

	* configure.ac: Revert last change which is at least wrong for me.

2004-06-02 Wednesday 07:44  Rocky Bernstein <rocky@panix.com>

	* lib/iso9660_private.h: #include "config.h" got deleted.

2004-06-02 Wednesday 07:40  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_osx.c: # include vs #include a problem?

2004-06-02 Wednesday 04:52  Justin F. Hallett <thesin@southofheaven.org>

	* configure.ac, lib/_cdio_osx.c: Few fixed for the big rename and
	fixed a long standing mmmm thing that bothered me, -I-I../lib ;)

2004-06-02 Wednesday 04:03  Justin F. Hallett <thesin@southofheaven.org>

	* NEWS: Fixed my name in NEWS

2004-06-02 Wednesday 01:01  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_osx.c: Compilation fixes.

2004-06-02 Wednesday 00:43  Rocky Bernstein <rocky@panix.com>

	* include/cdio/sector.h, lib/Makefile.am, lib/_cdio_bsdi.c,
	lib/_cdio_linux.c, lib/_cdio_osx.c, lib/_cdio_sunos.c,
	lib/image_common.h: Remove some of the bogus assume 1 is first
	track.
	
	Renamings: env -> user_data	   _obj -> env

2004-06-02 Wednesday 00:37  Rocky Bernstein <rocky@panix.com>

	* lib/iso9660_private.h: Some compilers can't hack "# include"

2004-06-01 Tuesday 16:02  Justin F. Hallett <thesin@southofheaven.org>

	* lib/_cdio_osx.c: Now knows XA and CD-i tracks, thought I'm not
	sure it's working 100%, reads the correct amount of tracks, still
	need to fix the MCN code.

2004-06-01 Tuesday 03:44  Justin F. Hallett <thesin@southofheaven.org>

	* lib/_cdio_osx.c: Now knows the difference between DATA and Audio
	tracks on OSX, also temp change to eject command till I find the
	right way to implement it in code.

2004-05-31 Monday 21:23  Rocky Bernstein <rocky@panix.com>

	* NEWS: What's up.

2004-05-31 Monday 19:07  Rocky Bernstein <rocky@panix.com>

	* THANKS: Acknowledge debt to Micheal Kukat

2004-05-31 Monday 15:21  Justin F. Hallett <thesin@southofheaven.org>

	* configure.ac, lib/_cdio_osx.c: Fix compile on OS X 10.3, should
	work on 10.2 and 10.3, still testing for 10.1, OS X Drivers still
	incomplete this is just to fix compiling.

2004-05-31 Monday 14:52  Rocky Bernstein <rocky@panix.com>

	* src/cd-read.c: Make sure source_name a malloc'd, so we can
	uniformly free it when not needed.

2004-05-31 Monday 13:32  Rocky Bernstein <rocky@panix.com>

	* test/: check_nrg.sh.in, svcdgs.right: check_nrg.sh.in: add NRG
	5.5 cdda MCN test.  svcdgs.right: we now have a MCN.

2004-05-31 Monday 12:29  Rocky Bernstein <rocky@panix.com>

	* lib/: _cdio_generic.c, _cdio_linux.c, _cdio_sunos.c: Hopefully
	improve names. "user_data" comes from user. "env" an environment is
	really what this is. "obj" is just to vague.

2004-05-31 Monday 12:19  Rocky Bernstein <rocky@panix.com>

	* src/cd-info.c: Handle error reporting with null source correctly.

2004-05-31 Monday 11:50  Rocky Bernstein <rocky@panix.com>

	* test/vcd_demo.right: Added another 0 to MSF output. (Having 2nd
	thoughts though since the maximum msf minute value is two places.)

2004-05-31 Monday 11:44  Rocky Bernstein <rocky@panix.com>

	* test/cdda-mcn.right: NRG MCN CDDA test.

2004-05-31 Monday 04:00  Rocky Bernstein <rocky@panix.com>

	* src/cd-info.c: Strive to make source_name always a malloc'd
	variable (so it can always be free'd).

2004-05-27 Thursday 10:58  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_linux.c: Remove some of the bogosity in assuming the
	first track starts at 1.  (Probably will be useful on multi-session
	CD's).

2004-05-27 Thursday 10:47  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_osx.c: We shouldn't terminate if we can't get an MCN.

2004-05-27 Thursday 02:46  Rocky Bernstein <rocky@panix.com>

	* src/Makefile.am: Put LIBPOPT_CFLAGS after local include in case
	LIBPOPT has headers common to those in LIBCDIO_CFLAGS.

2004-05-27 Thursday 01:11  Rocky Bernstein <rocky@panix.com>

	* lib/cdio_private.h: Fix prototype mismatch.

2004-05-27 Thursday 01:06  Rocky Bernstein <rocky@panix.com>

	* lib/cdio.c: Correct mismatched prototypes.

2004-05-26 Wednesday 06:29  Rocky Bernstein <rocky@panix.com>

	* include/cdio/: scsi_mmc.h, types.h: scsi_mmc.h: add definition
	for SET_SPEED types.h: add size of MCN.

2004-05-26 Wednesday 00:52  Rocky Bernstein <rocky@panix.com>

	* src/cd-read.c: Add --hexdump and --no-hexdump options. We now can
	hexdump to a file and dump bytes stdout (which may be useful in a
	pipe).

2004-05-24 Monday 23:28  Rocky Bernstein <rocky@panix.com>

	* src/cd-info.c: Test variable is not already free before freeing.

2004-05-19 Wednesday 03:00  Rocky Bernstein <rocky@panix.com>

	* include/cdio/cdio.h, lib/cdio.c, lib/sector.c: Add
	cdio_open_am_cd.  Use network order for FreeBSD lsn/lba's and other
	small FreeBSD patches.	Thanks again to Heiner.

2004-05-16 Sunday 13:33  Rocky Bernstein <rocky@panix.com>

	* src/cd-info.c: MSWindows/*: get access mode working better. ASPI
	support is faulty though
	
	freebsd.c: it's "ioctl" not "IOCTL"; cdrdao: it's cdrdao, not "toc"
	cd-info: slightly better error message?

2004-05-13 Thursday 04:32  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_linux.c: Go over FreeBSD code based on output from
	Heiner.  Hopefully 3 bugs are fixed:   - we get the leadout track
	now, no core dumps   - MSF reporting is corrected   - track format
	and mode
	
	_cdio_linux.c: use cdio #define rather than GNU/Linux one.

2004-05-13 Thursday 01:50  Rocky Bernstein <rocky@panix.com>

	* include/cdio/cdio.h, lib/_cdio_generic.c, lib/cdio.c,
	src/cd-info.c: Allow more freedom in specifying access mode.  Image
	drivers now have an "image" access mode.

2004-05-11 Tuesday 12:17  Rocky Bernstein <rocky@panix.com>

	* include/cdio/cdio.h, lib/sector.c: cdio.h: update doxygen
	documentation sector.c: remove erroneous fix.

2004-05-11 Tuesday 02:15  Rocky Bernstein <rocky@panix.com>

	* NEWS, include/cdio/scsi_mmc.h, include/cdio/sector.h,
	include/cdio/types.h, lib/sector.c: - Redo types of lsn and lba to
	allow negative values. Should model MMC3   specs. Add max/min
	values for lsn.  - More complete MMC command set

2004-05-10 Monday 03:28  Rocky Bernstein <rocky@panix.com>

	* include/cdio/Makefile.am, include/cdio/scsi_mmc.h,
	include/cdio/sector.h, lib/Makefile.am, lib/_cdio_linux.c,
	lib/_cdio_sunos.c, lib/scsi_mmc.h: Make scsi_mmc.h public.

2004-05-10 Monday 02:10  Rocky Bernstein <rocky@panix.com>

	* include/cdio/sector.h: Minor format change.

2004-05-09 Sunday 23:06  Rocky Bernstein <rocky@panix.com>

	* test/Makefile.am: Add bad catalog tests.

2004-05-09 Sunday 22:12  Rocky Bernstein <rocky@panix.com>

	* lib/cdio.c: Check for invalid LSNs. Turn some asserts into just
	returning failed status.

2004-05-09 Sunday 22:10  Rocky Bernstein <rocky@panix.com>

	* include/cdio/cdio.h: Small typo.

2004-05-09 Sunday 17:05  Rocky Bernstein <rocky@panix.com>

	* src/cd-info.c, test/cdda.right, test/check_opts2.right,
	test/check_opts3.right, test/check_opts4.right,
	test/check_opts5.right, test/check_opts6.right,
	test/check_opts7.right, test/data7.toc, test/isofs-m1.right,
	test/monvoisin.right, test/svcd_ogt_test_ntsc.right,
	test/svcdgs.right, test/vcd_demo_vcdinfo.right, test/videocd.right:
	Ouptut of LSN has one more place just to be sure.
	
	cd-info.c: use new msf_to_str routine.

2004-05-09 Sunday 17:03  Rocky Bernstein <rocky@panix.com>

	* configure.ac: It's now AC_HEADER_STDC rather than
	AC_STDC_HEADERS. Woopie doo.

2004-05-09 Sunday 16:55  Rocky Bernstein <rocky@panix.com>

	* include/cdio/sector.h: Add cdio_msf_to_str - convert MSF to
	string representation of MSF.

2004-05-09 Sunday 16:54  Rocky Bernstein <rocky@panix.com>

	* include/cdio/cdio.h: Add cdio_is_nrg to check if name is Nero NRG
	image.

2004-05-09 Sunday 16:53  Rocky Bernstein <rocky@panix.com>

	* lib/sector.c: Even more checking on conversion routines. Add
	cdio_msf_to_str.

2004-05-08 Saturday 22:01  Rocky Bernstein <rocky@panix.com>

	* test/Makefile.am: That's data7.toc, not doc.

2004-05-08 Saturday 20:36  Rocky Bernstein <rocky@panix.com>

	* NEWS, test/Makefile.am, test/bad-cat1.toc, test/bad-cat2.toc,
	test/bad-cat3.toc, test/data1.toc, test/data2.toc, test/data5.toc,
	test/data6.toc, test/testtoc.c: freebsd_ioctl.c: Erroneous data
	size. Thanks again to Heiner.  toc: better error messages and more
	tests.

2004-05-08 Saturday 14:07  Rocky Bernstein <rocky@panix.com>

	* include/cdio/types.h: Doc change on what CDIO_DRIVE_CAP_CD_R
	means.

2004-05-08 Saturday 14:06  Rocky Bernstein <rocky@panix.com>

	* lib/cdio.c: Be more optimistic about CD drive capabilities.

2004-05-08 Saturday 10:50  Rocky Bernstein <rocky@panix.com>

	* configure.ac: Make sure entire warning is printed.

2004-05-07 Friday 11:00  Rocky Bernstein <rocky@panix.com>

	* configure.ac: Warn when cd-drive, cd-info, cd-read, iso-info and
	iso-read don't get built.

2004-05-07 Friday 10:59  Rocky Bernstein <rocky@panix.com>

	* lib/sector.c: Don't try to convert bad LBA's/LSN's. I wonder how
	many cascaded problems this has caused in the past.

2004-05-07 Friday 10:57  Rocky Bernstein <rocky@panix.com>

	* test/: .cvsignore, Makefile.am, bad-mode1.toc, bad-msf-1.toc,
	bad-msf-2.toc, t1.toc, t2.toc, t3.toc, t4.toc, t5.toc, t6.toc,
	t7.toc, t8.toc, t9.toc, testdefault.c, testtoc.c: cdrdo TOC parsing
	regression tests.  testdefault.c: more verbose about what's going
	on.

2004-05-07 Friday 09:55  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_osx.c: deal with disc-image device properly.

2004-05-07 Friday 03:04  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_osx.c: Typo.

2004-05-07 Friday 02:15  Rocky Bernstein <rocky@panix.com>

	* test/: check_cd_read.sh, check_iso.sh.in, check_opts.sh: Error
	reporting improved to make debugging easier.

2004-05-06 Thursday 12:06  Rocky Bernstein <rocky@panix.com>

	* src/.cvsignore: Add cd-drive.

2004-05-06 Thursday 12:05  Rocky Bernstein <rocky@panix.com>

	* test/: check_common_fn.in, check_cue.sh.in: Log command used when
	there's an error. Redo error message to make cut and paste of
	command line easier.

2004-05-06 Thursday 11:27  Rocky Bernstein <rocky@panix.com>

	* test/vcd_demo.cue: CUE sheet for VCD demo program.

2004-05-06 Thursday 11:12  Rocky Bernstein <rocky@panix.com>

	* test/check_cue.sh.in: Cater to old shells

2004-05-06 Thursday 01:37  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_bsdi.c: Detect disc-image and don't open this device
	driver for that.

2004-05-06 Thursday 01:22  Rocky Bernstein <rocky@panix.com>

	* test/check_cue.sh.in: Test for presence of vcd_demo.bin, not
	vcd_demo.cue to see if we can run this regression test.

2004-05-06 Thursday 01:21  Rocky Bernstein <rocky@panix.com>

	* lib/: _cdio_freebsd.c, _cdio_linux.c: _cdio_freebsd.c: is now in
	FreeBSD (with some cam code) _cdio_linux.c - minor name changes.

2004-05-06 Thursday 01:08  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_sunos.c: Detect disc-image and don't open this device
	driver for that.

2004-05-05 Wednesday 10:34  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_generic.c: memory freeing issues.

2004-05-05 Wednesday 02:47  Rocky Bernstein <rocky@panix.com>

	* include/cdio/logging.h, lib/_cdio_linux.c: Small fixes.

2004-05-05 Wednesday 01:50  Rocky Bernstein <rocky@panix.com>

	* include/cdio/logging.h: A doc elaboration for cdio_error.

2004-05-04 Tuesday 12:06  Rocky Bernstein <rocky@panix.com>

	* configure.ac: CDRDAO->cdrdao.

2004-05-04 Tuesday 11:47  Rocky Bernstein <rocky@panix.com>

	* test/Makefile.am: typo.

2004-05-04 Tuesday 03:27  Rocky Bernstein <rocky@panix.com>

	* test/cdda.toc: CDDA test TOC.

2004-05-04 Tuesday 02:06  Rocky Bernstein <rocky@panix.com>

	* THANKS, include/cdio/cdio.h, include/cdio/types.h,
	lib/Makefile.am, lib/cdio.c, src/cd-info.c, src/cd-read.c,
	src/util.h, test/Makefile.am, test/check_cue.sh.in,
	test/isofs-m1.toc, test/vcd_demo.toc: Add some cdrdao image reading
	support from Svend S. Sorensen's cuetools
	
	cdio.c: remove some complicated and extraneous code for auto-driver
	detection.

2004-05-04 Tuesday 01:57  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_linux.c: Don't give "source not a device message" for
	uniformity with other drivers.

2004-05-04 Tuesday 01:32  Rocky Bernstein <rocky@panix.com>

	* include/cdio/iso9660.h: Don't use "new" as a parameter names. C++
	barfs on it.  Closes bug #8786.

2004-05-03 Monday 03:22  Rocky Bernstein <rocky@panix.com>

	* configure.ac: Another patch from Heiner Eichmann.

2004-05-01 Saturday 01:05  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_osx.c: Compilation fix.

2004-04-30 Friday 22:27  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_sunos.c: Compilation fixes after adjustments.

2004-04-30 Friday 21:36  Rocky Bernstein <rocky@panix.com>

	* lib/: _cdio_linux.c, scsi_mmc.h: Compilation fixes and
	modulization improvements.

2004-04-30 Friday 09:59  Rocky Bernstein <rocky@panix.com>

	* lib/Makefile.am: Attempt to add FreeBSD CAM access method.  Hope
	I havent' broken FreeBSD otherwise.

2004-04-30 Friday 07:07  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_sunos.c: Compilation fixes.

2004-04-30 Friday 06:54  Rocky Bernstein <rocky@panix.com>

	* doc/libcdio.texi, include/cdio/cdio.h, lib/_cdio_bsdi.c,
	lib/_cdio_freebsd.c, lib/_cdio_linux.c, lib/_cdio_osx.c,
	lib/_cdio_sunos.c, lib/cdio.c, lib/cdio_private.h: Add cdio_open_am
	to allow specifying an access method use for reading/controlling
	CD.

2004-04-27 Tuesday 03:05  Rocky Bernstein <rocky@panix.com>

	* lib/scsi_mmc.h: Add READ_TOC

2004-04-26 Monday 07:54  Rocky Bernstein <rocky@panix.com>

	* lib/: _cdio_freebsd.c, _cdio_linux.c, scsi_mmc.h: More procedure
	canonicalization, some #defines added and used.

2004-04-26 Monday 06:40  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_freebsd.c: Remove unused _read_mode2.

2004-04-25 Sunday 17:19  Rocky Bernstein <rocky@panix.com>

	* doc/libcdio.texi: More on the libcdio plight.

2004-04-25 Sunday 17:05  Rocky Bernstein <rocky@panix.com>

	* lib/: _cdio_bsdi.c, _cdio_freebsd.c, _cdio_osx.c: Add const on
	get_mcn prototype and initialization of get_drive_cap in func
	structure

2004-04-25 Sunday 16:38  Rocky Bernstein <rocky@panix.com>

	* include/cdio/cdio.h, lib/_cdio_freebsd.c, lib/_cdio_osx.c:
	Missing a couple of const's in get_mcn when prototype changed. 
	cdio.h: doc fix.

2004-04-25 Sunday 15:41  Rocky Bernstein <rocky@panix.com>

	* lib/: _cdio_freebsd.c, _cdio_linux.c, _cdio_osx.c: More
	regularization of names. Warning: untested on freebsd and osx.

2004-04-25 Sunday 14:48  Rocky Bernstein <rocky@panix.com>

	* lib/image_common.h: Regularize and I hope simplify names a bit
	more.  image/*.c: (bogus) eject media now frees resources bincue.c:
	missing default_devices routine in function initialization table.

2004-04-25 Sunday 14:07  Rocky Bernstein <rocky@panix.com>

	* example/sample2.c, include/cdio/types.h, lib/_cdio_linux.c,
	lib/_cdio_sunos.c, lib/cdio.c, src/util.c: CDIO_DRIVE ->
	CDIO_DRIVE_CAP

2004-04-25 Sunday 03:52  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_linux.c, lib/_cdio_sunos.c, lib/cdio_private.h,
	lib/image_common.h, lib/scsi_mmc.h, src/cd-drive.c, src/util.c:
	get_mcn paramater is const.
	
	solaris: failed attempt to get mcn and drive capabilities. Some
	boilerplate routines used.
	
	scsi_mmc: more defines.
	
	src/cd-drive.c: bugfix when cdio is null src/util.c: small
	enhancement.

2004-04-25 Sunday 01:19  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_linux.c: Regularize naming convention of static
	routines a little bit.

2004-04-25 Sunday 00:46  Rocky Bernstein <rocky@panix.com>

	* include/cdio/cdio.h, include/cdio/types.h, lib/cdio.c,
	lib/image_common.h, src/Makefile.am, src/cd-drive.c, src/cd-info.c,
	src/util.c, src/util.h, test/cdda.right, test/check_opts0.right,
	test/check_opts1.right, test/check_opts2.right,
	test/check_opts3.right, test/check_opts4.right,
	test/check_opts5.right, test/check_opts6.right,
	test/check_opts7.right, test/isofs-m1.right, test/monvoisin.right,
	test/svcd_ogt_test_ntsc.right, test/svcdgs.right,
	test/vcd_demo.right, test/vcd_demo_vcdinfo.right,
	test/videocd.right: lib/*c, include/cdio/*.h: Add more drive
	capability info
	
	util.{c,h}: common routine for printing capbilities cd-info.c: use
	above.	*.right: update for capability display of above
	
	cd-drive.c: new program to show drive capabilities

2004-04-24 Saturday 19:18  Rocky Bernstein <rocky@panix.com>

	* lib/scsi_mmc.h: Small doxygen comment.

2004-04-24 Saturday 19:16  Rocky Bernstein <rocky@panix.com>

	* src/cd-info.c: Slightly better drive capability display. Will
	probably get moved to a separate program.

2004-04-24 Saturday 11:48  Rocky Bernstein <rocky@panix.com>

	* include/cdio/cdio.h, lib/scsi_mmc.h, src/cd-info.c: More drive
	capability fixups. (Not sure about win32 fixes yet though.)

2004-04-24 Saturday 04:49  Rocky Bernstein <rocky@panix.com>

	* include/cdio/cdio.h: Composite definitions for reader or writer.
	(More work needed.)

2004-04-24 Saturday 04:48  Rocky Bernstein <rocky@panix.com>

	* src/cd-info.c: Better formating of drive capabilities.

2004-04-23 Friday 22:10  Rocky Bernstein <rocky@panix.com>

	* NEWS, example/sample2.c, include/cdio/cdio.h, lib/cdio.c,
	src/cd-info.c: cdio.{c,h}: get_drive_cap -> get_drive_cap_dev and
	add get_drive_cap.
	
	cd-info.c, sample2.c: use it.

2004-04-23 Friday 02:18  Rocky Bernstein <rocky@panix.com>

	* lib/Makefile.am, lib/image_common.h, test/vcd_demo_vcdinfo.right:
	image/common.h -> image_common.h. I'd rather switch than fight. I
	still hate automake.

2004-04-23 Friday 01:01  Rocky Bernstein <rocky@panix.com>

	* example/sample2.c, lib/Makefile.am, lib/_cdio_linux.c,
	src/cd-info.c, test/cdda.right, test/check_opts0.right,
	test/check_opts1.right, test/check_opts2.right,
	test/check_opts3.right, test/check_opts4.right,
	test/check_opts5.right, test/check_opts6.right,
	test/check_opts7.right, test/isofs-m1.right, test/monvoisin.right,
	test/svcd_ogt_test_ntsc.right, test/svcdgs.right,
	test/vcd_demo.right, test/videocd.right: image/common.c,
	Makefile.am: common image routines.  src/cd-info.c, *.right: Now
	show file images under "drive capability" bincue.c/nrg.c: report
	file image "drive capability"

2004-04-22 Thursday 03:24  Rocky Bernstein <rocky@panix.com>

	* README.libcdio, configure.ac, example/sample2.c,
	include/cdio/cdio.h, include/cdio/types.h, lib/_cdio_linux.c,
	lib/cdio.c, lib/cdio_private.h: *.{c,h}: add cdio_get_drive_cap to
	determine what kind of CDROM device  we've got.
	
	README.libcdio: suggest stonger making a separate package for
	cd-info configure.ac: we are in 0.69cvs now

2004-04-21 Wednesday 09:26  Rocky Bernstein <rocky@panix.com>

	* README, libcdio.spec.in: Spelling typo.

2004-04-21 Wednesday 09:23  Rocky Bernstein <rocky@panix.com>

	* src/cd-info.c: Remove duplicate short option on --no-cddb. On
	CDDB error give a better error message.

2004-04-03 Saturday 12:25  Rocky Bernstein <rocky@panix.com>

	* doc/glossary.texi: Small addition.

2004-04-03 Saturday 12:24  Rocky Bernstein <rocky@panix.com>

	* doc/libcdio.texi: Add section on Green Book. Revise sample
	programs to explicitly free resources on exit.

2004-04-03 Saturday 11:50  Rocky Bernstein <rocky@panix.com>

	* example/sample7.c: Remove unused code.

2004-03-24 Wednesday 11:49  Rocky Bernstein <rocky@panix.com>

	* test/: svcdgs.right, vcd_demo_vcdinfo.right: Output changes due
	to %e -> %d change in strftime

2004-03-24 Wednesday 11:24  Rocky Bernstein <rocky@panix.com>

	* src/cd-info.c, test/vcd_demo.right: Change for -mno-cygwin to
	which doesn't support %e in strftime.

2004-03-24 Wednesday 00:06  Rocky Bernstein <rocky@panix.com>

	* configure.ac: 0.68 release.

2004-03-21 Sunday 03:43  Rocky Bernstein <rocky@panix.com>

	* lib/cdio.c: Yet another valgrind-found memory leak.

2004-03-21 Sunday 03:42  Rocky Bernstein <rocky@panix.com>

	* example/sample5.c: Cosmetic changes.

2004-03-21 Sunday 00:57  Rocky Bernstein <rocky@panix.com>

	* example/: sample6.c, sample7.c: memory leaks found by valgrind

2004-03-21 Sunday 00:51  Rocky Bernstein <rocky@panix.com>

	* lib/iso9660_fs.c: Allocation of buffer too short caught by
	valgrind.

2004-03-20 Saturday 22:49  Rocky Bernstein <rocky@panix.com>

	* lib/Makefile.am: Revision number got bumped - but reconsidered
	changing interface. So back to the old one.

2004-03-20 Saturday 22:46  Rocky Bernstein <rocky@panix.com>

	* example/sample5.c, include/cdio/cdio.h, lib/Makefile.am,
	lib/_cdio_generic.c, lib/cdio.c, src/cd-info.c, test/testdefault.c:
	Remove more memory leaks caught by valgrind.

2004-03-20 Saturday 22:44  Rocky Bernstein <rocky@panix.com>

	* example/sample6.c: Remove memory leaks found by valgrind.

2004-03-20 Saturday 13:16  Rocky Bernstein <rocky@panix.com>

	* example/: sample3.c, sample4.c: Fix memory leak caught by
	valgrind.

2004-03-20 Saturday 13:12  Rocky Bernstein <rocky@panix.com>

	* example/sample2.c: Remove memory leak (detected by valgrind).

2004-03-20 Saturday 12:43  Rocky Bernstein <rocky@panix.com>

	* include/cdio/version.h.in: Improve doxygen doc.

2004-03-20 Saturday 12:41  Rocky Bernstein <rocky@panix.com>

	* configure.ac, include/cdio/version.h.in: Add C-Preprocessor
	define CDIO_VERSION so this can easily be tested in C/C++
	applications.

2004-03-20 Saturday 04:16  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_osx.c: Fix compilation bug.

2004-03-20 Saturday 04:12  Rocky Bernstein <rocky@panix.com>

	* lib/Makefile.am: Bump revision of libcdio before release.

2004-03-20 Saturday 03:34  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_bsdi.c: Add mode1 reading in a hacky way.

2004-03-20 Saturday 03:15  Rocky Bernstein <rocky@panix.com>

	* configure.ac: Check for GNU ld if --with-versioned-libs.

2004-03-16 Tuesday 12:19  Rocky Bernstein <rocky@panix.com>

	* NEWS: What's shaken.

2004-03-16 Tuesday 12:18  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_sunos.c: From Ian MacIntosh:
	
	Modifications that it doesn't use the uscsi commands anymore and so
	all IDE and SCSI drives go through the same code path - a major
	simplification.
	
	This works with all the CD drives that work with Solaris (IDE or
	SCSI) as the ioctl's for CDROMCDXA in Solaris just end up doing
	uscsi calls anyway, but directly from the kernel. The added
	advantage of not using uscsi is that the user doesn't need to be
	root - which is important in Sunray environments.

2004-03-13 Saturday 03:32  Rocky Bernstein <rocky@panix.com>

	* include/cdio/types.h: MINGW seems now to define ssize_t.

2004-03-13 Saturday 03:31  Rocky Bernstein <rocky@panix.com>

	* src/iso-info.c: Cater to implimentations that don't impliment
	Single Unix strftime. Like mingw.

2004-03-11 Thursday 01:31  Rocky Bernstein <rocky@panix.com>

	* example/: sample6.c, sample7.c: make cygwin -mno-cygwin work.

2004-03-11 Thursday 01:01  Rocky Bernstein <rocky@panix.com>

	* src/iso-read.c: Make work under cygwin with -mno-cygwin.

2004-03-10 Wednesday 11:53  Rocky Bernstein <rocky@panix.com>

	* configure.ac, lib/logging.c: Changes to make -mno-cygwin (no
	POSIX emulation on M$) work. In the process, in configure.ac might
	have broken cygwin when -mno-cygwin isn't used. We'll see.

2004-03-10 Wednesday 10:57  Rocky Bernstein <rocky@panix.com>

	* lib/cdio.c: ioctl: printf lint for cygwin (and perhaps others)
	cdio.c: define SEEK_SET for cygwin -mno-cygwin (and perhaps others)

2004-03-09 Tuesday 02:55  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_osx.c: Best guess right now at what might work for
	mode1/mode2.

2004-03-07 Sunday 11:43  Rocky Bernstein <rocky@panix.com>

	* libcdio.pc.in: Add OS-specific libs. For cygwin -lwinmm is
	needed, not sure about -mcygwin. Also not sure if @LIBS@ is the
	right thing to add.

2004-03-07 Sunday 02:42  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_linux.c: mode{1,2}_form2 -> b_form2

2004-03-07 Sunday 01:40  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_linux.c: Not sure why we had *exclusive* access just to
	see if a CD-ROM is around.  Was causing failure to discover CD-ROM
	drives.

2004-03-06 Saturday 18:30  Rocky Bernstein <rocky@panix.com>

	* include/cdio/cdio.h, lib/cdio.c: regular *mode2 variable name.

2004-03-06 Saturday 18:22  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_sunos.c: regularize variable names mode{1,2}_form2 ->
	b_form2

2004-03-06 Saturday 05:04  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_sunos.c: Bogosity fixup for Solaris. Could be better.

2004-03-06 Saturday 04:49  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_linux.c: GNU/Linux mode1 sector bogosity reduction.
	(Could be greatly improved.)

2004-03-06 Saturday 03:51  Rocky Bernstein <rocky@panix.com>

	* test/check_common_fn.in: Typo.

2004-03-06 Saturday 03:51  Rocky Bernstein <rocky@panix.com>

	* configure.ac: We're 0.68cvs now.

2004-03-06 Saturday 03:49  Rocky Bernstein <rocky@panix.com>

	* lib/win32ioctl.c: Moved to MSWindows.

2004-03-05 Friday 12:32  Rocky Bernstein <rocky@panix.com>

	* lib/: Makefile.am, _cdio_bincue.c, _cdio_nrg.c, _cdio_win32.c,
	_cdio_win32.h, wnaspi32.c, wnaspi32.h: *: Create OS-specific
	directories.  bincue.c: remove more bogus behavior in mode1/mode2
	sector reading.

2004-03-05 Friday 04:23  Rocky Bernstein <rocky@panix.com>

	* lib/: _cdio_bincue.c, _cdio_win32.c, _cdio_win32.h, cdio.c,
	cdio_private.h, win32ioctl.c: Work on mode1 reading. Remove some of
	the bogusity in cdio.c and bincue.c win2, now works!

2004-03-05 Friday 02:06  Rocky Bernstein <rocky@panix.com>

	* doc/doxygen/: .cvignore, html/.cvsignore: CVS lint.

2004-03-04 Thursday 04:49  Rocky Bernstein <rocky@panix.com>

	* doc/libcdio.texi: Some typos.

2004-03-04 Thursday 04:48  Rocky Bernstein <rocky@panix.com>

	* include/cdio/xa.h: Doxygen addition

2004-03-04 Thursday 04:01  Rocky Bernstein <rocky@panix.com>

	* lib/win32ioctl.c: mode2 reading works on win2k via ioctl (so
	probaby on WINNT and xp as well.

2004-03-03 Wednesday 02:41  Rocky Bernstein <rocky@panix.com>

	* lib/: _cdio_win32.c, win32ioctl.c: Long needed start to improve
	WIN2k native support.

2004-03-02 Tuesday 00:57  Rocky Bernstein <rocky@panix.com>

	* configure.ac: Get ready for 0.67 release.

2004-03-01 Monday 02:17  Rocky Bernstein <rocky@panix.com>

	* lib/Makefile.am: shared library numbers - this time, for sure!

2004-03-01 Monday 01:34  Rocky Bernstein <rocky@panix.com>

	* README.libcdio: And note Solaris problems too.

2004-03-01 Monday 01:32  Rocky Bernstein <rocky@panix.com>

	* README.libcdio: Note that you need to use GNU make.

2004-03-01 Monday 01:29  Rocky Bernstein <rocky@panix.com>

	* configure.ac: FreeBSD/NetBSD too gets versioned library
	variables.

2004-03-01 Monday 01:28  Rocky Bernstein <rocky@panix.com>

	* lib/Makefile.am: Change AGE not CURRENT on libiso9660.

2004-02-29 Sunday 16:18  Rocky Bernstein <rocky@panix.com>

	* test/check_common_fn.in: diff program and opts somehow sneaked in
	here.

2004-02-29 Sunday 16:02  Rocky Bernstein <rocky@panix.com>

	* src/iso-read.c: Make older C compilers happy.

2004-02-29 Sunday 15:42  Rocky Bernstein <rocky@panix.com>

	* Makefile.am, test/check_common_fn.in, test/check_iso.sh.in: Add
	iso-read regression test.

2004-02-29 Sunday 15:04  Rocky Bernstein <rocky@panix.com>

	* test/Makefile.am: Need to include copying.iso for ISO 9660
	regression image test(s).

2004-02-29 Sunday 14:36  Rocky Bernstein <rocky@panix.com>

	* README.libcdio: Note something about --without-versioned-libs.

2004-02-29 Sunday 09:02  Rocky Bernstein <rocky@panix.com>

	* test/Makefile.am: Comparison file for check_iso.sh

2004-02-29 Sunday 04:41  Rocky Bernstein <rocky@panix.com>

	* configure.ac, test/.cvsignore, test/Makefile.am,
	test/check_iso.sh.in, test/copying.right: Add test of iso-info
	program (which means, of course, another test of libiso9660).

2004-02-29 Sunday 02:13  Rocky Bernstein <rocky@panix.com>

	* doc/: glossary.texi, libcdio.texi: glossary.texi: add most of the
	terms used in the doc.	libcdio.texi: Add a section for OS drivers.

2004-02-28 Saturday 22:43  Rocky Bernstein <rocky@panix.com>

	* doc/glossary.texi: typo.

2004-02-28 Saturday 22:41  Rocky Bernstein <rocky@panix.com>

	* doc/glossary.texi: More terms.

2004-02-28 Saturday 20:54  Rocky Bernstein <rocky@panix.com>

	* doc/libcdio.texi: Add some info (however meager) regarding
	cd-info, cd-read, iso-info and iso-read.

2004-02-28 Saturday 19:48  Rocky Bernstein <rocky@panix.com>

	* lib/Makefile.am: libiso9660 has changed - the fs_stat_translate
	routines added and that packed attribut on XA. Thus we've got to
	update "current" in libiso9660.

2004-02-28 Saturday 12:45  Rocky Bernstein <rocky@panix.com>

	* src/Makefile.am: Add iso-read to list of binaries in package.

2004-02-28 Saturday 03:57  Rocky Bernstein <rocky@panix.com>

	* configure.ac: If GNU make isn't found, then we should have
	--without-versioned-libs FreeBSD/NetBSD (but now BSDI) don't use
	versioned libs.

2004-02-27 Friday 02:53  Rocky Bernstein <rocky@panix.com>

	* configure.ac: Bug in setting enable_versioned_libs.

2004-02-27 Friday 02:36  Rocky Bernstein <rocky@panix.com>

	* doc/.cvsignore: The documentation has advanced to such a stage
	that We are now in the realm of more than one info file.

2004-02-27 Friday 02:35  Rocky Bernstein <rocky@panix.com>

	* README, configure.ac, doc/libcdio.texi, lib/Makefile.am:
	configure.ac, Makefile.am: don't do library symbol version on BSDis
	variants libcdio.texi: minor example improvements.

2004-02-26 Thursday 12:24  Rocky Bernstein <rocky@panix.com>

	* doc/libcdio.texi: New section on the purpose which mentions
	cd-read, iso-read, iso-info.  A couple more examples included Nodes
	for the examples.

2004-02-26 Thursday 04:42  Rocky Bernstein <rocky@panix.com>

	* doc/libcdio.texi: Looked up how to enter an umlaut correctly.

2004-02-26 Thursday 03:57  Rocky Bernstein <rocky@panix.com>

	* lib/: _cdio_bincue.c, _cdio_nrg.c: Need to make failure less
	severe. Especially in light of the ability to scan for devices.

2004-02-26 Thursday 02:31  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_nrg.c: Bug fix: don't try to free NRG track mapping DS
	if it wasn't allocated.

2004-02-26 Thursday 01:33  Rocky Bernstein <rocky@panix.com>

	* lib/iso9660_fs.c: Remove a couple of compiler sprintf warnings.

2004-02-26 Thursday 00:13  Rocky Bernstein <rocky@panix.com>

	* NEWS, example/sample7.c, include/cdio/iso9660.h,
	lib/iso9660_fs.c, src/iso-read.c: libiso9660 stat routines that
	match level 1 ISO-9600 filenames translating them into Unix-style
	names (i.e. lowercased letter with version numbers dropped.)

2004-02-25 Wednesday 10:11  Rocky Bernstein <rocky@panix.com>

	* Makefile.am: Add hvr's auto-changelog target.

2004-02-25 Wednesday 10:04  Rocky Bernstein <rocky@panix.com>

	* src/: .cvsignore, Makefile.am: Add iso-read program.

2004-02-25 Wednesday 10:03  Rocky Bernstein <rocky@panix.com>

	* src/iso-read.c: Add program for extracting files from an ISO-9660
	image.	(Until we change the iso9660_ifs_stat interface, names of
	files extracted have to have version numbers, e.g. ;1 after them.

2004-02-25 Wednesday 09:56  Rocky Bernstein <rocky@panix.com>

	* README: Update. The iso-read part isn't true yet, but will be
	(one way or another) by the next release.

2004-02-25 Wednesday 09:33  Rocky Bernstein <rocky@panix.com>

	* include/cdio/xa.h: Herbert Valerio Riedel has determined that the
	alignment problem seen on ARM noticed by Nicolas Boullis will be
	fixed if this change in order is done. Since it doesn't make things
	any worse, let's try it.

2004-02-25 Wednesday 02:05  Rocky Bernstein <rocky@panix.com>

	* Makefile.am: Include README.libcdio

2004-02-25 Wednesday 02:04  Rocky Bernstein <rocky@panix.com>

	* doc/libcdio.texi: Small modifications.

2004-02-25 Wednesday 02:03  Rocky Bernstein <rocky@panix.com>

	* doc/glossary.texi: Small additions.

2004-02-25 Wednesday 02:01  Rocky Bernstein <rocky@panix.com>

	* configure.ac: Better wording of what happens when libvcdinfo is
	not around.

2004-02-25 Wednesday 01:59  Rocky Bernstein <rocky@panix.com>

	* libpopt.m4: Check for libpopt 1.7 or greater.

2004-02-22 Sunday 13:27  Rocky Bernstein <rocky@panix.com>

	* doc/libcdio.texi: Note SCSI library.

2004-02-22 Sunday 13:10  Rocky Bernstein <rocky@panix.com>

	* README.libcdio: libcdio-specific installation.

2004-02-22 Sunday 09:34  Rocky Bernstein <rocky@panix.com>

	* configure.ac: Give URLs for vcdimager and libcddb when packages
	are not found or are new enough.

2004-02-21 Saturday 18:35  Rocky Bernstein <rocky@panix.com>

	* configure.ac: We're in 0.67 CVS now.

2004-02-21 Saturday 18:31  Rocky Bernstein <rocky@panix.com>

	* src/iso-info.c: Valgrind lint. Not sure if I'd classify this
	truly as memory leaks rather than explicit deallocations before
	terminating.

2004-02-21 Saturday 18:29  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_stdio.c: Reduce severity of not being able to open a
	stdio from "error" (unrecoverable) to "warn".

2004-02-21 Saturday 17:18  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_linux.c: More memory leaks found by valgrind.

2004-02-21 Saturday 15:45  Rocky Bernstein <rocky@panix.com>

	* autogen.sh: Create ChangeLog if it doesn't first exist (which it
	won't the first time around). Change from corresponding vcdimager
	autogen.sh.

2004-02-21 Saturday 15:42  Rocky Bernstein <rocky@panix.com>

	* doc/: Makefile.am, libcdio.texi: Makefile.am: fix to build from
	CVS libcdio.texi: title change, add automatically generated date to
	manual, 	      internal texinfo code cleanup.

2004-02-21 Saturday 15:39  Rocky Bernstein <rocky@panix.com>

	* doc/glossary.texi: Glossary of terms. Some of this culled from
	vcdimager.

2004-02-21 Saturday 14:46  Rocky Bernstein <rocky@panix.com>

	* cvs2cl_header: Add header for ChangeLog file.

2004-02-21 Saturday 14:42  Rocky Bernstein <rocky@panix.com>

	* cvs2cl_usermap: account to email mapping file for cvs2cl.

2004-02-21 Saturday 13:24  Rocky Bernstein <rocky@panix.com>

	* NEWS: typo.

2004-02-21 Saturday 13:10  Rocky Bernstein <rocky@panix.com>

	* include/cdio/cdio.h: spelling.

2004-02-21 Saturday 13:09  Rocky Bernstein <rocky@panix.com>

	* src/cd-info.c: Add option to list all drives.

2004-02-15 Sunday 17:53  Rocky Bernstein <rocky@panix.com>

	* libcdio.spec.in: Correctons from Manfred Tremmel who I am yet
	again indebted.

2004-02-14 Saturday 18:26  Rocky Bernstein <rocky@panix.com>

	* libcdio.spec.in: This time, I think it builds.

2004-02-14 Saturday 18:11  Rocky Bernstein <rocky@panix.com>

	* libcdio.spec.in: Wrong abbreviation for September.

2004-02-14 Saturday 18:01  Rocky Bernstein <rocky@panix.com>

	* libcdio.spec.in: Regularize email address.

2004-02-14 Saturday 17:15  Rocky Bernstein <rocky@panix.com>

	* doc/libcdio.texi: Small compile errors.

2004-02-14 Saturday 17:11  Rocky Bernstein <rocky@panix.com>

	* NEWS: What's shaking.

2004-02-14 Saturday 17:10  Rocky Bernstein <rocky@panix.com>

	* THANKS: Acknowlege what is only right.

2004-02-14 Saturday 17:09  Rocky Bernstein <rocky@panix.com>

	* libcdio.spec.in: Require 0.7.20 of vcdimager.

2004-02-14 Saturday 17:05  Rocky Bernstein <rocky@panix.com>

	* doc/: Makefile.am, fdl.texi, gpl.texi: Add GPL info.

2004-02-14 Saturday 17:04  Rocky Bernstein <rocky@panix.com>

	* doc/libcdio.texi: Go over.
	
	Add CD-image format, ISO 9660 characters and glossary from
	vcdimager documentation.
	
	Numberous small corrections.

2004-02-13 Friday 01:09  Rocky Bernstein <rocky@panix.com>

	* NEWS: Note library symbol versioning (from Nicolas Boullis).

2004-02-12 Thursday 01:46  Rocky Bernstein <rocky@panix.com>

	* lib/Makefile.am: code reorganization from Nicolas Boullis.

2004-02-11 Wednesday 03:09  Rocky Bernstein <rocky@panix.com>

	* lib/Makefile.am: lib/Makefile.am (Nicolas Boullis):
	
	Mostly some cleanup... First, this tries to keep the versioning
	separated from the rest of the Makefile. I used the "foo := $(foo)
	bar" syntax rather than "foo += bar" as I think the += is not
	available on all versions of make.
	
	Moreover, I replaced "$(LIBCDIO_LIBS)" with "libcdio.la" as
	"$(LIBCDIO_LIBS)" is "../lib/libcdio.la". That make a difference if
	you try to build libiso9660.la while libcdio.la is not available.
	Make knows how to make libcdio.la but not ../lib/libcdio.la.

2004-02-11 Wednesday 02:53  Rocky Bernstein <rocky@panix.com>

	* lib/.cvsignore: Igore library version file.

2004-02-10 Tuesday 01:38  Rocky Bernstein <rocky@panix.com>

	* lib/Makefile.am: Versioned library symbols from Nicolas Boullis.
	Much appreciated.

2004-02-09 Monday 10:32  Rocky Bernstein <rocky@panix.com>

	* THANKS, lib/Makefile.am: Clean up library versioning. Use LIBADD
	since as best as I can tell, that's what supposed to be used.
	
	Many thanks to Nicolas Boullis.

2004-02-08 Sunday 23:49  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_win32.c: Pick up prototype for cdio_is_device_win32.

2004-02-08 Sunday 15:05  Rocky Bernstein <rocky@panix.com>

	* configure.ac: Get ready for another release.

2004-02-08 Sunday 04:24  Rocky Bernstein <rocky@panix.com>

	* lib/Makefile.am: libiso9660 needs to have libcdio listed in its
	load flags for Solaris.

2004-02-08 Sunday 03:35  Rocky Bernstein <rocky@panix.com>

	* lib/Makefile.am, lib/_cdio_bincue.c, src/iso-info.c: Makefile.am:
	bump release number.  iso-info.c: mem leak _cdio_bincue.c: minor
	formatting change.

2004-02-08 Sunday 03:18  Rocky Bernstein <rocky@panix.com>

	* NEWS: What's new.

2004-02-08 Sunday 03:00  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_nrg.c: More memory leaks found with valgrind.

2004-02-08 Sunday 02:00  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_bincue.c: Memory leak found by valgrind.

2004-02-07 Saturday 18:53  Rocky Bernstein <rocky@panix.com>

	* lib/: _cdio_bincue.c, _cdio_generic.c, _cdio_nrg.c,
	_cdio_stdio.c, _cdio_stdio.h, _cdio_stream.c, _cdio_stream.h,
	cdio_private.h, iso9660_fs.c: More valgrind-found memory leaks.
	(More to come...)

2004-02-07 Saturday 02:40  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_linux.c, lib/cdio.c, src/cd-info.c, src/cd-read.c,
	src/iso-info.c, src/util.c, src/util.h: Fix some of the memory
	leaks and uninitialized variables which valgrind notices.

2004-02-07 Saturday 00:38  Rocky Bernstein <rocky@panix.com>

	* lib/wnaspi32.c: Microsoft Windows ASPI code for libcdio.

2004-02-07 Saturday 00:35  Rocky Bernstein <rocky@panix.com>

	* lib/: Makefile.am, _cdio_win32.c, wnaspi32.h: Split out much of
	the ASPI code into wnaspi32.c.

2004-02-05 Thursday 03:02  Rocky Bernstein <rocky@panix.com>

	* lib/: _cdio_win32.c, _cdio_win32.h, win32ioctl.c: Move more of
	IoControl out of _win_32 and into win32ioctl.

2004-02-04 Wednesday 11:08  Rocky Bernstein <rocky@panix.com>

	* lib/: _cdio_win32.c, _cdio_win32.h, win32ioctl.c: More cleanup.
	Still sucks.

2004-02-04 Wednesday 10:23  Rocky Bernstein <rocky@panix.com>

	* lib/: Makefile.am, _cdio_win32.c, _cdio_win32.h, win32ioctl.c:
	Add better DeviceIocontrol support. It still sucks, but sucks less.

2004-02-04 Wednesday 10:22  Rocky Bernstein <rocky@panix.com>

	* example/sample6.c: printf lint for Doz.

2004-02-02 Monday 04:36  Rocky Bernstein <rocky@panix.com>

	* NEWS: What's up.

2004-02-02 Monday 03:57  Rocky Bernstein <rocky@panix.com>

	* configure.ac: 0.65's been released. We're now into 0.66 CVS.

2004-02-02 Monday 03:56  Rocky Bernstein <rocky@panix.com>

	* lib/: Makefile.am, wnaspi32.h: Move APSI stuff into a separate
	file.

2004-02-02 Monday 03:55  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_win32.c: Small changes. Bigger changes should follow
	later.

2004-02-01 Sunday 17:13  Rocky Bernstein <rocky@panix.com>

	* example/sample7.c: More printf lint.

2004-02-01 Sunday 17:12  Rocky Bernstein <rocky@panix.com>

	* example/Makefile.am: libiso9660 depends on libcdio. Cygwin (and
	perhaps others) then require that libiso9660 be listed in the link
	order before things that it depends on.

2004-02-01 Sunday 16:00  Rocky Bernstein <rocky@panix.com>

	* src/iso-info.c: ISO Info - prints various information about a ISO
	9660 image.

2004-02-01 Sunday 15:53  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_nrg.c: 2nd try at getting lint messages removed across
	all architectures.

2004-02-01 Sunday 15:45  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_nrg.c: remove debug output lint warnings

2004-01-29 Thursday 04:23  Rocky Bernstein <rocky@panix.com>

	* doc/libcdio.texi: Typo.

2004-01-29 Thursday 04:22  Rocky Bernstein <rocky@panix.com>

	* example/: README, sample6.c, sample7.c: Update text commentary
	for sample6 & sample7.

2004-01-18 Sunday 18:31  Rocky Bernstein <rocky@panix.com>

	* example/.cvsignore: Added yet another sample program.

2004-01-18 Sunday 15:07  Rocky Bernstein <rocky@panix.com>

	* include/cdio/iso9660.h: Don't pack our own iso9660_t.

2004-01-18 Sunday 02:11  Rocky Bernstein <rocky@panix.com>

	* include/cdio/iso9660.h: Move tm struct around so the alignment
	will be on a word boundary. Do we need GNUC_PACKED here?

2004-01-15 Thursday 14:43  Herbert Valerio Riedel <hvr@gnu.org>

	* libpopt.m4: fixed underquoted definition warning

2004-01-10 Saturday 04:11  Rocky Bernstein <rocky@panix.com>

	* test/copying.iso: Sample ISO 9660 image.

2004-01-10 Saturday 03:21  Rocky Bernstein <rocky@panix.com>

	* include/cdio/iso9660.h, lib/iso9660_fs.c, src/util.c: iso-info
	now does something useful now that readdir routine fixed up for iso
	images.

2004-01-10 Saturday 03:03  Rocky Bernstein <rocky@panix.com>

	* example/Makefile.am, example/sample6.c, example/sample7.c,
	include/cdio/iso9660.h, lib/_cdio_stdio.c, lib/_cdio_stdio.h,
	lib/_cdio_stream.c, lib/_cdio_stream.h, lib/iso9660_fs.c,
	src/Makefile.am: Add routines to open an ISO-9660 image independent
	of being part of a CD.

2004-01-09 Friday 02:42  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_bincue.c: Remove duplicate assignment

2004-01-03 Saturday 13:50  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_nrg.c: More guesses as to NRG format. Guess blocksizes,
	handle some mixed-mode CDs.

2003-12-31 Wednesday 04:41  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_nrg.c: Some code consolidation.

2003-12-31 Wednesday 03:09  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_nrg.c: More Disk-at-once corrections.

2003-12-30 Tuesday 11:52  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_nrg.c: Slightly better disk-at-once and track-at-once
	parsing. Am able to read a tao mode1 form1 now.

2003-12-28 Sunday 08:33  uid67423

	* lib/_cdio_nrg.c: Attempt getting various non-mode2/form2 track
	modes correct.

2003-12-24 Wednesday 11:09  uid67423

	* example/sample6.c: add ISO9660 sample program

2003-12-24 Wednesday 11:05  uid67423

	* NEWS, example/Makefile.am, example/README: Add ISO9660 sample
	program.

2003-12-24 Wednesday 11:05  uid67423

	* configure.ac: Require vcdimager 0.7.20 or greater. Bump libcdio
	version for last release.

2003-12-24 Wednesday 11:03  uid67423

	* include/cdio/iso9660.h: Documention in comment bug.

2003-12-03 Wednesday 00:52  Rocky Bernstein <rocky@panix.com>

	* configure.ac: Remove extraneous cygwin LIB set.

2003-11-18 Tuesday 03:35  Rocky Bernstein <rocky@panix.com>

	* include/cdio/cd_types.h, include/cdio/iso9660.h,
	include/cdio/types.h, include/cdio/util.h, src/Makefile.am: More
	documentation changes.
	
	Makefile.am: Don't build man pages if not in MAINTAINER mode.

2003-11-17 Monday 12:06  Rocky Bernstein <rocky@panix.com>

	* doc/Makefile.am, include/cdio/cd_types.h, include/cdio/cdio.h,
	include/cdio/iso9660.h, include/cdio/logging.h,
	include/cdio/sector.h, include/cdio/types.h, include/cdio/xa.h:
	Related to doxygen documentation.

2003-11-17 Monday 11:50  Rocky Bernstein <rocky@panix.com>

	* include/cdio/version.h.in: Add doxygen comment and CVS Id line.

2003-11-16 Sunday 19:30  Rocky Bernstein <rocky@panix.com>

	* doc/Makefile.am, include/cdio/iso9660.h, lib/iso9660_fs.c,
	src/cd-info.c: iso9600_stat now has filename inside it. 
	iso9660_fs_readdir now returns a list of iso9660_stat_t's rather
	than filenames.
	
	This should reduce by a small amount the number of CD reads since
	we store more information in the iso9660_fs_readdir return.
	
	However all of this is in preparation for greatly reducing the
	number of CD reads when picking out segment lsn information.

2003-11-11 Tuesday 12:46  Rocky Bernstein <rocky@panix.com>

	* doc/libcdio.texi: libcdio.info was missing a @dircategory and
	@direntry section.
	
	See
	http://savannah.nongnu.org/bugs/?func=detailbug&bug_id=6470&group_id=3845
	
	Thanks to dweimer for pointing this out and providing a patch.

2003-11-10 Monday 04:01  Rocky Bernstein <rocky@panix.com>

	* include/cdio/iso9660.h, lib/iso9660_fs.c: Smallish cosmetic
	changes. Bigger ones to iso9660_fs_readdir will probably occur
	later...

2003-11-10 Monday 03:47  Rocky Bernstein <rocky@panix.com>

	* src/cd-read.c: Allow setting debug level in library for default
	log handler.

2003-11-09 Sunday 15:51  Rocky Bernstein <rocky@panix.com>

	* src/cd-info.c: Was filling out source_name for a device even when
	it wasn't.

2003-11-09 Sunday 15:50  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_nrg.c: Revise info on MTYP - more debugging here too.

2003-11-09 Sunday 14:13  Rocky Bernstein <rocky@panix.com>

	* doc/doxygen/.cvignore: The usual.

2003-11-09 Sunday 14:11  Rocky Bernstein <rocky@panix.com>

	* doc/doxygen/run_doxygen: Program to run doxygen.

2003-11-09 Sunday 13:57  Rocky Bernstein <rocky@panix.com>

	* lib/logging.c, src/cd-info.c: Be able to set/disable default log
	handler logging.

2003-11-09 Sunday 13:56  Rocky Bernstein <rocky@panix.com>

	* Makefile.am: Add doxygen target.

2003-11-09 Sunday 13:54  Rocky Bernstein <rocky@panix.com>

	* doc/doxygen/Doxyfile: Slightly customized configuration setting
	for running doxygen.

2003-11-09 Sunday 13:53  Rocky Bernstein <rocky@panix.com>

	* include/cdio/iso9660.h: doxygen changes.

2003-11-05 Wednesday 12:40  Rocky Bernstein <rocky@panix.com>

	* include/cdio/: cdio.h, iso9660.h, sector.h: update/add More
	doxygen tagging

2003-11-05 Wednesday 04:12  Rocky Bernstein <rocky@panix.com>

	* example/sample3.c, example/sample4.c, include/cdio/cd_types.h,
	lib/cd_types.c, lib/cdio.c, src/cd-info.c: cdio_analysis ->
	cdio_iso_analysis

2003-11-04 Tuesday 12:28  Rocky Bernstein <rocky@panix.com>

	* include/cdio/: cd_types.h, cdio.h, logging.h: doxygen changes.

2003-11-04 Tuesday 04:45  Rocky Bernstein <rocky@panix.com>

	* include/cdio/cd_types.h, include/cdio/iso9660.h,
	include/cdio/logging.h, lib/logging.c: Start to document using
	doxygen.

2003-11-04 Tuesday 04:44  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_bincue.c: Got return value on _cdio_audio_sectors
	backwards.

2003-10-28 Tuesday 16:23  Rocky Bernstein <rocky@panix.com>

	* configure.ac, doc/libcdio.texi, include/cdio/iso9660.h,
	src/util.c: configure.ac: changes suggested by Karl Berry
	(karl@freefriends.org) which may make work for autoconf 1.7.8
	
	libcdio.texi: remove colophon and correct copyright notice
	iso9660.h: trivial comment addition util.c: Correct copyright line.

2003-10-20 Monday 04:29  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_win32.c: Retry YellowMode2 if XA fails - but I think we
	need a better overall method.

2003-10-20 Monday 04:28  Rocky Bernstein <rocky@panix.com>

	* src/cd-read.c: Don't print blocks if read failed.

2003-10-19 Sunday 16:36  Rocky Bernstein <rocky@panix.com>

	* configure.ac: Life goes on. Bump version number.

2003-10-18 Saturday 19:49  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_win32.c: More WIN32 fixes.

2003-10-18 Saturday 04:08  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_win32.c: More fixes on non ASPI side.

2003-10-17 Friday 02:25  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_win32.c: Track format's if no ASPI are probably close.
	Reading probably closer to correct.

2003-10-16 Thursday 13:21  Rocky Bernstein <rocky@panix.com>

	* src/cd-read.c: Typo.

2003-10-15 Wednesday 03:53  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_win32.c: Some of the many necessary fixes needed to
	make Win32 handling more complete. Some bugs remain (and will so
	until after the release).

2003-10-15 Wednesday 01:59  Rocky Bernstein <rocky@panix.com>

	* src/cd-info.c, src/cd-read.c, test/cdda.right,
	test/check_opts2.right, test/check_opts3.right,
	test/check_opts4.right, test/check_opts5.right,
	test/check_opts6.right, test/check_opts7.right,
	test/isofs-m1.right, test/monvoisin.right,
	test/svcd_ogt_test_ntsc.right, test/svcdgs.right,
	test/vcd_demo.right, test/vcd_demo_vcdinfo.right,
	test/videocd.right: Show green status for each track.  cd-info.c:
	above + fewer assertions cd-read.c: direction we'll go when after
	release.

2003-10-14 Tuesday 04:44  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_sunos.c: Back off some of the modularization until we
	figure out what's gone wrong.

2003-10-13 Monday 23:41  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_osx.c: Compilation bugs.

2003-10-13 Monday 23:00  Rocky Bernstein <rocky@panix.com>

	* configure.ac: The real release.

2003-10-08 Wednesday 01:06  Rocky Bernstein <rocky@panix.com>

	* include/cdio/sector.h, lib/_cdio_osx.c: OSX fixups and #define
	bugs from thedj.

2003-10-07 Tuesday 03:11  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_nrg.c: Detect Audio CDs (probably).

2003-10-06 Monday 04:04  Rocky Bernstein <rocky@panix.com>

	* lib/cd_types.c, src/cd-info.c, test/check_cue.sh.in,
	test/check_nrg.sh.in, test/check_opts.sh: cd_types: sector 0 rarely
	needs to be read, and when it doesn't, it's not 	  an error
	if it can't be read cd-info:  give more info by default - source
	location and driver.  test/*:	as a result of cd-info changes need
	now to pass option --quiet.

2003-10-05 Sunday 14:55  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_osx.c: Get Media Catalog Number - courtesy of thedj!

2003-10-05 Sunday 14:49  Rocky Bernstein <rocky@panix.com>

	* configure.ac: Accept more freebsd versions.

2003-10-05 Sunday 14:47  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_osx.c, lib/logging.c, include/cdio/logging.h: Default
	logger now allows level to be set and we use a reasonable setting,
	e.g. no DEBUG

2003-10-04 Saturday 23:11  Rocky Bernstein <rocky@panix.com>

	* include/cdio/cdio.h, lib/cdio.c: Add OSX device scanning.

2003-10-04 Saturday 21:28  Rocky Bernstein <rocky@panix.com>

	* lib/cdio.c: Clean up comment.

2003-10-04 Saturday 20:32  Rocky Bernstein <rocky@panix.com>

	* lib/cdio.c: A better fix by Gildas Bazin.

2003-10-04 Saturday 20:30  Rocky Bernstein <rocky@panix.com>

	* lib/cdio.c: Check on open that we didn't hit an error.

2003-10-04 Saturday 20:11  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_osx.c: Wrong define. Thanks thedj!

2003-10-04 Saturday 19:16  Rocky Bernstein <rocky@panix.com>

	* configure.ac: Back to 2.52 for our OSX users.

2003-10-04 Saturday 17:01  Rocky Bernstein <rocky@panix.com>

	* configure.ac: Force vcdimager 0.7.19 to be used because that uses
	iso9660 and an earlier one will cause our use of iso9660 to fail.
	Is there a better way to do this?

2003-10-03 Friday 21:37  Rocky Bernstein <rocky@panix.com>

	* libcdio.spec.in: Update Spec file.

2003-10-03 Friday 21:19  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_bsdi_old.c: This shouldn't have been in CVS.

2003-10-03 Friday 17:29  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_bsdi.c: Small BSDI fix from Steve Schultz
	<sms@2BSD.COM>

2003-10-03 Friday 08:36  Rocky Bernstein <rocky@panix.com>

	* example/: sample1.c, sample3.c: Practice more defensive
	programming.

2003-10-03 Friday 08:32  Rocky Bernstein <rocky@panix.com>

	* lib/: _cdio_nrg.c, _cdio_stream.c: 
	Abort less often - just report an error.

2003-10-03 Friday 07:54  Rocky Bernstein <rocky@panix.com>

	* configure.ac, include/cdio/cdio.h, lib/_cdio_bincue.c,
	lib/_cdio_freebsd.c: FreeBSD fixes mostlyh.

2003-10-03 Friday 04:36  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_freebsd.c: Closer....

2003-10-03 Friday 04:04  Rocky Bernstein <rocky@panix.com>

	* lib/: _cdio_bsdi.c, _cdio_freebsd.c: OS fixes.

2003-10-03 Friday 03:45  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_bsdi.c: Cosmetic changes to Make it look more like the
	others.

2003-10-03 Friday 02:46  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_sunos.c: Need to provide get_devices when not compiling
	for Solaris too.

2003-10-03 Friday 02:36  Rocky Bernstein <rocky@panix.com>

	* NEWS, include/cdio/cdio.h, lib/_cdio_bincue.c, lib/cdio.c:
	cdio.{c,h}: update initializations for get_devices.

2003-10-03 Friday 02:35  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_sunos.c: Add Solaris get_devices.

2003-10-03 Friday 01:43  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_bsdi.c: BSDI fixes.

2003-10-03 Friday 01:42  Rocky Bernstein <rocky@panix.com>

	* example/sample4.c: Lint found by BSDI.

2003-10-03 Friday 01:33  Rocky Bernstein <rocky@panix.com>

	* test/testdefault.c, src/cd-read.c: Lint that BSDI caught.

2003-10-03 Friday 01:26  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_linux.c: Use bool where appropriate.

2003-10-03 Friday 01:11  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_win32.c, include/cdio/cdio.h: Add get_devices.

2003-10-03 Friday 01:10  Rocky Bernstein <rocky@panix.com>

	* test/Makefile.am: Remove testdefault until I can figure out how
	to make work via make distcheck.

2003-10-03 Friday 01:09  Rocky Bernstein <rocky@panix.com>

	* example/sample1.c: More platform independent and no less complex.

2003-10-02 Thursday 02:59  Rocky Bernstein <rocky@panix.com>

	* example/sample5.c, include/cdio/cd_types.h, include/cdio/cdio.h,
	lib/_cdio_bincue.c, lib/_cdio_bsdi.c, lib/cdio.c, src/cd-read.c,
	test/testdefault.c: BSDI Fixes.

2003-10-01 Wednesday 02:44  Rocky Bernstein <rocky@panix.com>

	* test/testdefault.c: Regression test for cdio_get_devices,
	cdio_get_devices_with_cap(), and cdio_free_device_list().

2003-09-30 Tuesday 03:26  Rocky Bernstein <rocky@panix.com>

	* include/cdio/cdio.h, lib/_cdio_bincue.c, lib/_cdio_linux.c,
	lib/_cdio_nrg.c, lib/cdio.c, lib/cdio_private.h,
	test/check_cue.sh.in, test/check_nrg.sh.in: Fill out autoscan
	devices/images to image drivers. API is probably closer to more
	complete.

2003-09-29 Monday 02:56  Rocky Bernstein <rocky@panix.com>

	* configure.ac, example/.cvsignore, example/sample5.c,
	include/cdio/cdio.h, lib/_cdio_linux.c, lib/_cdio_nrg.c,
	lib/cdio.c, lib/cdio_private.h, test/Makefile.am,
	test/check_cue.sh.in, test/vcd_demo_vcdinfo.right: Closer to
	autoscan working better. globbing for *.nrg in NRG.  Will probably
	do likewise in bin/cue when NRG is working.

2003-09-28 Sunday 22:14  Rocky Bernstein <rocky@panix.com>

	* example/Makefile, test/Makefile.am: Misc lint.

2003-09-28 Sunday 22:11  Rocky Bernstein <rocky@panix.com>

	* Makefile.am, configure.ac, example/.cvsignore, example/Makefile,
	example/Makefile.am, example/sample1.c, example/sample2.c,
	example/sample3.c, example/sample4.c, example/sample5.c: Use
	automake to build sample programs.

2003-09-28 Sunday 21:55  Rocky Bernstein <rocky@panix.com>

	* example/README: typo.

2003-09-28 Sunday 17:14  Rocky Bernstein <rocky@panix.com>

	* example/Makefile, example/sample5.c, include/cdio/cd_types.h,
	include/cdio/cdio.h, include/cdio/types.h, lib/_cdio_generic.c,
	lib/_cdio_linux.c, lib/cd_types.c, lib/cdio.c, lib/cdio_private.h,
	src/cd-info.c: First-cut to auto-scan for device capabilities

2003-09-28 Sunday 14:16  Rocky Bernstein <rocky@panix.com>

	* src/cd-info.c: Wasn't respecting --no-vcd, Or vcd-info when SVCD
	or CVD.

2003-09-28 Sunday 14:15  Rocky Bernstein <rocky@panix.com>

	* test/: monvoisin.right, vcd_demo.right: Wasn't respecting
	--no-vcd

2003-09-28 Sunday 01:22  Rocky Bernstein <rocky@panix.com>

	* test/: cdda.cue, cdda.right, check_opts0.right,
	check_opts1.right, check_opts2.right, check_opts3.right,
	check_opts4.right, check_opts5.right, check_opts6.right,
	check_opts7.right, isofs-m1.cue, isofs-m1.right: Not sure if MCN
	can be on a CD-DA so move it to iso 9660 image.

2003-09-28 Sunday 01:04  Rocky Bernstein <rocky@panix.com>

	* include/cdio/cdio.h, lib/_cdio_bincue.c, test/cdda.cue,
	test/cdda.right: Impliment MCN for bincue.

2003-09-27 Saturday 23:29  Rocky Bernstein <rocky@panix.com>

	* configure.ac, include/cdio/cdio.h, lib/_cdio_bincue.c,
	lib/_cdio_linux.c, lib/_cdio_sunos.c, src/cd-info.c, src/cd-read.c,
	test/cdda.right, test/check_opts0.right, test/check_opts1.right,
	test/check_opts2.right, test/check_opts3.right,
	test/check_opts4.right, test/check_opts5.right,
	test/check_opts6.right, test/check_opts7.right,
	test/isofs-m1.right, test/monvoisin.right,
	test/svcd_ogt_test_ntsc.right, test/svcdgs.right,
	test/vcd_demo.right, test/videocd.right: Replace techno-wizard
	message "Get MCN" with more layman "Media Catalog Number"

2003-09-26 Friday 09:11  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_sunos.c: read_audio_sectors done better.

2003-09-25 Thursday 10:28  Rocky Bernstein <rocky@panix.com>

	* src/cdinfo-linux.c: Fix up so this works again.

2003-09-25 Thursday 09:38  Rocky Bernstein <rocky@panix.com>

	* include/cdio/cdio.h, lib/_cdio_bincue.c, lib/_cdio_bsdi.c,
	lib/_cdio_freebsd.c, lib/_cdio_linux.c, lib/_cdio_nrg.c,
	lib/_cdio_osx.c, lib/_cdio_win32.c, lib/cdio.c, lib/cdio_private.h,
	src/cd-info.c, test/cdda.right, test/check_opts0.right,
	test/check_opts1.right, test/check_opts2.right,
	test/check_opts3.right, test/check_opts4.right,
	test/check_opts5.right, test/check_opts6.right,
	test/check_opts7.right, test/isofs-m1.right, test/monvoisin.right,
	test/svcd_ogt_test_ntsc.right, test/svcdgs.right,
	test/vcd_demo.right, test/videocd.right: Add get_mcn, although it
	really only works on GNU/Linux right now.

2003-09-22 Monday 01:05  Rocky Bernstein <rocky@panix.com>

	* configure.ac: Add manpage generation.

2003-09-22 Monday 01:00  Rocky Bernstein <rocky@panix.com>

	* src/: Makefile.am, cd-read.c: More flexibility: allow any two of
	start, end, count. If only one or none are given, we'll supply
	default values.

2003-09-21 Sunday 18:43  Rocky Bernstein <rocky@panix.com>

	* src/cd-read.c, test/check_cd_read.sh, test/isofs-m1-read.right:
	Make cd-read more user-friendly and do more things:   Add
	start/end/count options for cd-read,   Input argument doesn't need
	a specifier (-i or --cue-file) now.    block sizes for various
	formats have been set correctly now.

2003-09-21 Sunday 07:43  Rocky Bernstein <rocky@panix.com>

	* configure.ac, lib/iso9660.c: Test for presence of gmtoff for
	braindead cygwin

2003-09-21 Sunday 06:10  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_win32.c: Compilation problems.

2003-09-21 Sunday 04:36  Rocky Bernstein <rocky@panix.com>

	* src/cd-info.c: More tidy.

2003-09-21 Sunday 04:21  Rocky Bernstein <rocky@panix.com>

	* src/: Makefile.am, cd-info.c, cd-read.c, util.c, util.h: Break
	out common standalone routines from cd-info and cd-read.

2003-09-21 Sunday 03:35  Rocky Bernstein <rocky@panix.com>

	* NEWS, src/cd-info.c, src/cd-read.c, test/check_cd_read.sh,
	test/isofs-m1-read.right: Add options processing to cd-read. Had
	not very useful output on mode1 format1 test.

2003-09-21 Sunday 01:14  Rocky Bernstein <rocky@panix.com>

	* include/cdio/iso9660.h, include/cdio/xa.h, lib/iso9660.c,
	lib/iso9660_fs.c, lib/xa.c, test/monvoisin.right,
	test/svcdgs.right, test/testiso9660.c: More ISO 9660 date cleanup.
	Hopefully cleaner structure definitions and more function
	documentation.

2003-09-20 Saturday 17:47  Rocky Bernstein <rocky@panix.com>

	* lib/iso9660.c: Bug in iso9660_set_ltime. Probably snprintf
	putting in \0 at the end of each string messed up internal format
	(which doesn't have the \0's.

2003-09-20 Saturday 12:34  Rocky Bernstein <rocky@panix.com>

	* include/cdio/cdio.h, lib/_cdio_bincue.c, lib/_cdio_bsdi.c,
	lib/_cdio_linux.c, lib/_cdio_nrg.c, lib/_cdio_osx.c,
	lib/_cdio_sunos.c, lib/_cdio_win32.c, lib/cdio.c,
	lib/cdio_private.h, lib/scsi_mmc.h: Change interface for
	read_audio_sectors.

2003-09-20 Saturday 12:33  Rocky Bernstein <rocky@panix.com>

	* include/cdio/iso9660.h, lib/iso9660.c: Add "long" date setting
	routine and more precise definitions there as well.

2003-09-20 Saturday 11:53  Rocky Bernstein <rocky@panix.com>

	* include/cdio/iso9660.h, lib/iso9660.c, lib/iso9660_fs.c: More
	precise ISO9660 date definition

2003-09-20 Saturday 00:28  Rocky Bernstein <rocky@panix.com>

	* test/: Makefile.am, check_cd_read.sh, check_cue.sh.in,
	check_nrg.sh.in, check_opts.sh: incorrect usage of cd test/ if !
	test -> if test !

2003-09-19 Friday 04:39  Rocky Bernstein <rocky@panix.com>

	* configure.ac: {v,}cdinfo -> {v,}cd-info.  Configure for cd-read.
	Test for memset and bzero.

2003-09-19 Friday 04:38  Rocky Bernstein <rocky@panix.com>

	* Makefile.am: Hack to make sure check_nrg.sh and check_cue.sh are
	executable.

2003-09-19 Friday 04:37  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_linux.c: Clean up mmc code a bit

2003-09-19 Friday 04:36  Rocky Bernstein <rocky@panix.com>

	* lib/scsi_mmc.h: Add some of the read types and macro to set it

2003-09-19 Friday 04:36  Rocky Bernstein <rocky@panix.com>

	* src/cd-read.c: Adjust block length for mode1 read

2003-09-19 Friday 04:34  Rocky Bernstein <rocky@panix.com>

	* test/: check_cd_read.sh, isofs-m1-read.right: add mode1 test

2003-09-19 Friday 04:11  Rocky Bernstein <rocky@panix.com>

	* src/cd-read.c: Silence cdio output

2003-09-19 Friday 04:09  Rocky Bernstein <rocky@panix.com>

	* test/: Makefile.am, cdda-read.right, check_cd_read.sh,
	check_common_fn.in, check_cue.sh.in: Add CD-DA reading test via
	cd-read; Add GPL

2003-09-18 Thursday 13:49  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_bincue.c: Use macro definition of bzero

2003-09-18 Thursday 13:42  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_bincue.c: Tidy up #includes a bit

2003-09-18 Thursday 13:40  Rocky Bernstein <rocky@panix.com>

	* lib/: cdio_assert.h, cdio_private.h: Check and include config.h
	so includer's don't.

2003-09-18 Thursday 13:32  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_bincue.c: Adjustment for reading audio cd. Also break
	out MMC stuff a little bit better.

2003-09-18 Thursday 13:31  Rocky Bernstein <rocky@panix.com>

	* lib/: _cdio_linux.c, scsi_mmc.h: Put more into scsi_mmc.h

2003-09-17 Wednesday 12:16  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_linux.c: Don't turn a LSN into an LBA when reading
	audio.

2003-09-17 Wednesday 12:13  Rocky Bernstein <rocky@panix.com>

	* example/: Makefile, dbg_read.c: Moved into src/cd-read.

2003-09-17 Wednesday 12:13  Rocky Bernstein <rocky@panix.com>

	* src/: Makefile.am, cd-read.c: Add cd-read.c for debugging CD
	reading problems.

2003-09-17 Wednesday 04:18  Rocky Bernstein <rocky@panix.com>

	* example/dbg_read.c: Do it!

2003-09-17 Wednesday 02:51  Rocky Bernstein <rocky@panix.com>

	* test/Makefile.am: Use a bigger hammer to get automess to what
	really should be a simple simple thing - specify mode and
	permissions of the files it creates.

2003-09-15 Monday 12:05  Rocky Bernstein <rocky@panix.com>

	* configure.ac: Test for OSX presense of IOKit and CoreFoundation
	and add to list of libraries.  Change format of drivers reported.

2003-09-15 Monday 01:37  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_osx.c: More lba, lsn confusion.

2003-09-14 Sunday 17:04  Rocky Bernstein <rocky@panix.com>

	* configure.ac, lib/_cdio_osx.c: Changes from Derk-Jan Hartman
	<thedj@users.sourceforge.net> for OSX support.

2003-09-14 Sunday 15:26  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_osx.c: Loop went the wrong way.

2003-09-14 Sunday 14:44  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_osx.c: Go back to 0xa2 for "leadout"

2003-09-14 Sunday 14:34  Rocky Bernstein <rocky@panix.com>

	* lib/cdio.c: Bug if we had a get_track_lba but no get_track_msf.
	Guard against that.

2003-09-14 Sunday 09:36  Rocky Bernstein <rocky@panix.com>

	* lib/scsi_mmc.h: A place right now for common SCSI MMC (multimedia
	command).

2003-09-14 Sunday 09:34  Rocky Bernstein <rocky@panix.com>

	* lib/Makefile.am, lib/_cdio_linux.c, lib/_cdio_sunos.c,
	lib/_cdio_win32.c, src/cd-info.c, test/Makefile.am: Use new common
	scsi_mmc.h.

2003-09-14 Sunday 07:49  Rocky Bernstein <rocky@panix.com>

	* configure.ac, test/Makefile.am: Finally get regression testing to
	work with expected failure and on cygwin.

2003-09-14 Sunday 07:02  Rocky Bernstein <rocky@panix.com>

	* lib/: _cdio_nrg.c, cd_types.c: More I/O format lint.

2003-09-14 Sunday 06:35  Rocky Bernstein <rocky@panix.com>

	* lib/iso9660_fs.c: More I/O format lint.

2003-09-14 Sunday 06:24  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_bincue.c: I/O lint.

2003-09-14 Sunday 04:59  Rocky Bernstein <rocky@panix.com>

	* test/Makefile.am: Reuse noinst_PROGRAMS variable.

2003-09-14 Sunday 04:56  Rocky Bernstein <rocky@panix.com>

	* test/check_cue.sh.in: The program is now called cd-info.

2003-09-14 Sunday 01:21  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_osx.c: Change default device, use normal leadout track,
	fix doc typo(s).

2003-09-13 Saturday 06:25  Rocky Bernstein <rocky@panix.com>

	* configure.ac, include/cdio/cdio.h, include/cdio/sector.h,
	lib/Makefile.am, lib/_cdio_osx.c, lib/cdio.c: Rudimentary
	beginnings for Darwin OS X CD support.

2003-09-11 Thursday 02:50  Rocky Bernstein <rocky@panix.com>

	* lib/sector.c: _vcd_lba_to_msf_str -> cdio_lba_to_msf_str;

2003-09-10 Wednesday 08:39  Rocky Bernstein <rocky@panix.com>

	* include/cdio/iso9660.h, lib/iso9660.c: Documentation update

2003-09-10 Wednesday 08:31  Rocky Bernstein <rocky@panix.com>

	* include/cdio/iso9660.h: Allow C++ to call.

2003-09-10 Wednesday 02:03  Rocky Bernstein <rocky@panix.com>

	* libcdio.spec.in: small fixes really from Frantisek Dvorak
	<valtri@atlas.cz>

2003-09-07 Sunday 18:15  Rocky Bernstein <rocky@panix.com>

	* include/cdio/iso9660.h, lib/iso9660.c, lib/iso9660_fs.c: add
	parameters to set times on directory entries, pvd's.

2003-09-07 Sunday 18:14  Rocky Bernstein <rocky@panix.com>

	* test/: cdda.right, check_cue.sh.in, isofs-m1.right,
	monvoisin.right, svcd_ogt_test_ntsc.right, svcdgs.right,
	vcd_demo.right, videocd.right: Output time format change in
	cd-info. Hopefully the last one.

2003-09-07 Sunday 18:12  Rocky Bernstein <rocky@panix.com>

	* src/cd-info.c: Yet another time format output change on listing.
	Hopefully the last one

2003-09-07 Sunday 18:11  Rocky Bernstein <rocky@panix.com>

	* configure.ac: Change version to note another CVS version

2003-09-07 Sunday 18:10  Rocky Bernstein <rocky@panix.com>

	* test/check_common_fn.in: Make sure to set TZ and LC_TIME so we
	get predictable results

2003-09-06 Saturday 14:54  Rocky Bernstein <rocky@panix.com>

	* test/: isofs-m1.right, monvoisin.right, svcd_ogt_test_ntsc.right,
	svcdgs.right, vcd_demo.right, videocd.right: Update for normal
	filenames from the ISO-9660 names.

2003-09-06 Saturday 14:50  Rocky Bernstein <rocky@panix.com>

	* include/cdio/iso9660.h, lib/iso9660.c, lib/iso9660_fs.c,
	lib/iso9660_private.h, src/cd-info.c: Add iso9660_name_translate()
	to remove ISO-name cruft.  Document iso9660_fs_stat().

2003-09-06 Saturday 02:51  Rocky Bernstein <rocky@panix.com>

	* include/cdio/types.h: Small comment change.

2003-09-05 Friday 22:48  Rocky Bernstein <rocky@panix.com>

	* include/cdio/cdio.h, include/cdio/iso9660.h, lib/cdio.c,
	lib/iso9660_fs.c: Move ISO-9660 lsn-finding routine from vcdimager
	here.  More prototypes are "const CdIo *".

2003-09-01 Monday 22:51  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_bincue.c: Test for NULL binfile - as odd as this
	sounds, it could cause core dump if no CD loaded.

2003-09-01 Monday 22:50  Rocky Bernstein <rocky@panix.com>

	* configure.ac: Remove -Wsign-promo which is not relevant for C
	programs.

2003-09-01 Monday 22:31  Rocky Bernstein <rocky@panix.com>

	* src/cd-info.c: Always have no-vcdinfo option.

2003-09-01 Monday 19:25  Rocky Bernstein <rocky@panix.com>

	* libcdio.spec.in: Translation kindly and graceously provided by
	Manfred Tremmel

2003-09-01 Monday 16:02  Rocky Bernstein <rocky@panix.com>

	* include/cdio/iso9660.h: Did packing incorrectly on pvd_t.

2003-09-01 Monday 15:11  Rocky Bernstein <rocky@panix.com>

	* lib/: _cdio_bsdi.c, _cdio_freebsd.c, _cdio_linux.c,
	_cdio_sunos.c: Note TOC's initialized so we don't reread. Add some
	int's to unsigned.

2003-09-01 Monday 15:10  Rocky Bernstein <rocky@panix.com>

	* include/cdio/iso9660.h, lib/iso9660.c: Start to document library
	routines. An "int" was changed to the more correct "bool".

2003-09-01 Monday 15:08  Rocky Bernstein <rocky@panix.com>

	* test/: Makefile.am, testiso9660.c: Add minimal test of new
	iso9660 library.

2003-09-01 Monday 02:08  Rocky Bernstein <rocky@panix.com>

	* include/cdio/iso9660.h, include/cdio/xa.h, lib/iso9660_private.h:
	Merge in and tidy up with mkisofs's iso9660.h. If that is correct
	(and it probably is), there were erroneous field definitions.

2003-09-01 Monday 02:07  Rocky Bernstein <rocky@panix.com>

	* configure.ac: Wrong AC_SUBST variable for CDDB.

2003-09-01 Monday 02:05  Rocky Bernstein <rocky@panix.com>

	* libcdio.spec.in: Add commentary about cd-info. Update
	dependencies to latest versions of packages which is really needed.

2003-09-01 Monday 02:04  Rocky Bernstein <rocky@panix.com>

	* src/cd-info.c: Have to rely more on other XA test since track
	indicator seems faulty.  Missing "break;" in switch caused us to
	not print iso9660 filesystems.

2003-09-01 Monday 02:02  Rocky Bernstein <rocky@panix.com>

	* test/: check_cue.sh.in, check_nrg.sh.in: Was setting options all
	wrong and using wrong CDDB subtitution variable.  As Bullwinkle
	says, "This time, for sure!"

2003-09-01 Monday 02:02  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_linux.c: Wasn't noting that we read TOC so we were
	re-reading it every time.

2003-08-31 Sunday 20:56  Rocky Bernstein <rocky@panix.com>

	* src/cd-info.c: Deal with gcc warning. Think it was spurious, but
	just in case.

2003-08-31 Sunday 20:52  Rocky Bernstein <rocky@panix.com>

	* Makefile.am, THANKS, libcdio.spec.in: Fixes from Frantisek Dvorak
	<valtri@atlas.cz>

2003-08-31 Sunday 15:52  Rocky Bernstein <rocky@panix.com>

	* lib/iso9660_fs.c, src/cd-info.c, test/check_cue.sh.in,
	test/isofs-m1.right: Make mode1 format filesystem print work.

2003-08-31 Sunday 14:26  Rocky Bernstein <rocky@panix.com>

	* include/cdio/cdio.h, include/cdio/iso9660.h,
	include/cdio/sector.h, lib/_cdio_bincue.c, lib/cd_types.c,
	lib/cdio.c, lib/iso9660_fs.c, src/cd-info.c: Straighten out mode1
	vs mode2 mess.

2003-08-31 Sunday 09:32  Rocky Bernstein <rocky@panix.com>

	* include/cdio/iso9660.h: Define EMPTY_ARRAY_SIZE if it is not
	defined previously.

2003-08-31 Sunday 09:11  Rocky Bernstein <rocky@panix.com>

	* include/cdio/iso9660.h, include/cdio/xa.h, lib/iso9660_fs.c,
	lib/xa.c: Final tidy up.

2003-08-31 Sunday 08:53  Rocky Bernstein <rocky@panix.com>

	* lib/iso9660_fs.h: Most of this is public now.

2003-08-31 Sunday 08:32  Rocky Bernstein <rocky@panix.com>

	* include/cdio/iso9660.h, include/cdio/xa.h, lib/Makefile.am,
	lib/iso9660_fs.c, lib/xa.c, lib/xa.h, src/cd-info.c,
	test/cdda.right, test/check_cue.sh.in, test/check_nrg.sh.in,
	test/monvoisin.right, test/vcd_demo.right: I think I have the XA
	encapsulation down so that it will work in vcdimager (and others).

2003-08-31 Sunday 08:03  Rocky Bernstein <rocky@panix.com>

	* configure.ac: Rely more on PKG_INFO and remove header checks
	which didn't test for --enable-xxx.

2003-08-31 Sunday 07:39  Rocky Bernstein <rocky@panix.com>

	* include/cdio/: Makefile.am, iso9660.h, xa.h: Separate and make XA
	information public.

2003-08-31 Sunday 06:59  Rocky Bernstein <rocky@panix.com>

	* include/cdio/iso9660.h, lib/Makefile.am, lib/iso9660_fs.c,
	lib/iso9660_fs.h, lib/xa.h, src/Makefile.am, src/cd-info.c,
	test/check_cue.sh.in, test/check_nrg.sh.in, test/monvoisin.right,
	test/svcd_ogt_test_ntsc.right, test/svcdgs.right,
	test/vcd_demo.right, test/videocd.right: Move over reading ISO-9660
	filesytems from vcdimager. Handling of XA attributes also moved
	over.

2003-08-31 Sunday 05:00  Rocky Bernstein <rocky@panix.com>

	* include/cdio/iso9660.h, lib/iso9660.c, lib/iso9660_private.h,
	test/check_sizeof.c: Expose primary volume descriptor (pvd) and
	directory structures since they *are* part of the spec. and be done
	with it.

2003-08-31 Sunday 04:02  Rocky Bernstein <rocky@panix.com>

	* src/cd-info.c: A tad closer to being able to print ISO-9660
	filesystems

2003-08-31 Sunday 03:35  Rocky Bernstein <rocky@panix.com>

	* include/cdio/iso9660.h, lib/cd_types.c, lib/iso9660_private.h:
	cd_types: tighter use of ISO #defines.	Make some of the private
	ones public to reduce "private" use in vcdimager.

2003-08-31 Sunday 02:51  Rocky Bernstein <rocky@panix.com>

	* include/cdio/iso9660.h, lib/iso9660.c, src/cd-info.c:
	iso_directory_record_t -> iso9660_dir_t

2003-08-31 Sunday 01:40  Rocky Bernstein <rocky@panix.com>

	* include/cdio/iso9660.h, lib/iso9660.c: pvd_t -> iso9660_pvd_t

2003-08-31 Sunday 01:32  Rocky Bernstein <rocky@panix.com>

	* include/cdio/iso9660.h, lib/iso9660.c: two routines are buggy.
	Back out until they've been fixed.

2003-08-31 Sunday 01:01  Rocky Bernstein <rocky@panix.com>

	* configure.ac, include/cdio/iso9660.h, include/cdio/types.h,
	lib/iso9660.c: Opaque type declaration for iso9660 moved into well
	iso9660.h (from cdio/types.h). Opaque type for iso_directory_record
	defined and access routines added to libiso9660.

2003-08-31 Sunday 00:11  Rocky Bernstein <rocky@panix.com>

	* autogen.sh: Minor changes.

2003-08-29 Friday 11:10  Rocky Bernstein <rocky@panix.com>

	* test/: check_cue.sh.in, check_nrg.sh.in, check_opts.sh: Invalid
	substituiton variable.	Allow cd-info tests to be skipped.

2003-08-29 Friday 03:03  Rocky Bernstein <rocky@panix.com>

	* src/cd-info.c: Declarations have to all be together for gcc < 3.0

2003-08-29 Friday 02:38  Rocky Bernstein <rocky@panix.com>

	* lib/iso9660_private.h: Wrong include. We've moved from vcdimager
	to cdio.

2003-08-29 Friday 01:08  Rocky Bernstein <rocky@panix.com>

	* Makefile.am: Add sample3 & 4

2003-08-17 Sunday 07:12  Rocky Bernstein <rocky@panix.com>

	* example/: Makefile, sample4.c: Yet another example.

2003-08-17 Sunday 06:32  Rocky Bernstein <rocky@panix.com>

	* test/: .cvsignore, Makefile.am, check_sizeof.c: Makefile.am: add
	check_sizeof and testischar

2003-08-17 Sunday 06:30  Rocky Bernstein <rocky@panix.com>

	* libiso9660.pc.in: Remove dependence on vcd. We also don't use
	glib just yet.

2003-08-17 Sunday 05:31  Rocky Bernstein <rocky@panix.com>

	* .cvsignore, Makefile.am, configure.ac, libiso9660.pc.in,
	include/cdio/Makefile.am, include/cdio/iso9660.h,
	include/cdio/types.h, lib/Makefile.am, lib/cd_types.c,
	lib/iso9660.c, lib/iso9660_private.h, test/.cvsignore,
	test/Makefile.am, test/testassert.c, test/testischar.c: Add iso9660
	library and regression test.  Will be deleted from vcdimager-cdio
	branch.  cd_types.c: forgot to add previously.

2003-08-16 Saturday 22:45  Rocky Bernstein <rocky@panix.com>

	* example/sample3.c: Typo in comment.

2003-08-16 Saturday 22:09  Rocky Bernstein <rocky@panix.com>

	* configure.ac: Make sure we have the latest vcdinfo

2003-08-16 Saturday 17:31  Rocky Bernstein <rocky@panix.com>

	* example/Makefile, example/sample3.c, src/cd-info.c: Add simple
	program to show CD-type and filesystem determination.  cd-info.c:
	minor code cleanups.

2003-08-16 Saturday 17:27  Rocky Bernstein <rocky@panix.com>

	* example/.cvsignore: Add sample3

2003-08-16 Saturday 15:35  Rocky Bernstein <rocky@panix.com>

	* test/check_cue.sh: Is derived from check_cue.sh.in

2003-08-16 Saturday 15:34  Rocky Bernstein <rocky@panix.com>

	* include/cdio/Makefile.am, include/cdio/cd_types.h,
	lib/Makefile.am, src/Makefile.am, src/analyze.c, src/analyze.h,
	src/cd-info.c, test/check_cue.sh: Move routine to analyze/guess
	what type of CD image we have got into the library.

2003-08-16 Saturday 13:25  Rocky Bernstein <rocky@panix.com>

	* src/Makefile.am: Oooops--test version of Makefile.am got checked
	in. Revert it.

2003-08-16 Saturday 12:59  Rocky Bernstein <rocky@panix.com>

	* src/Makefile.am, src/analyze.c, src/analyze.h, src/cd-info.c,
	test/check_cue.sh, test/monvoisin.right,
	test/svcd_ogt_test_ntsc.right, test/svcdgs.right,
	test/vcd_demo.right, test/videocd.right: Fix bug in storing
	iso_9660 volume sector count. cd-info.c reduce global variables.
	Regression tests output was incorrect with this long-standing bug.

2003-08-14 Thursday 13:41  Rocky Bernstein <rocky@panix.com>

	* src/: Makefile.am, analyze.c, analyze.h, cd-info.c: First cut at
	separating disc analysis part from standalone source.  More
	modularity is needed.

2003-08-13 Wednesday 12:33  Rocky Bernstein <rocky@panix.com>

	* src/cd-info.c: Messed up on SVCD test.

2003-08-13 Wednesday 12:18  Rocky Bernstein <rocky@panix.com>

	* src/cd-info.c: Set VCD log handler.

2003-08-11 Monday 09:19  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_win32.c: A simple stupid mistake. Not sure why it
	wasn't caught before.

2003-08-10 Sunday 14:33  Rocky Bernstein <rocky@panix.com>

	* test/check_cue.sh: VCD tests when available.

2003-08-10 Sunday 02:29  Rocky Bernstein <rocky@panix.com>

	* doc/.cvsignore, example/.cvsignore: lint.

2003-08-10 Sunday 02:27  Rocky Bernstein <rocky@panix.com>

	* configure.ac, src/Makefile.am, src/cd-info.c: Changes brought
	about by recent vcdimager-cdio changes.   - We use vcdinfo_t ** on
	vcdinfo_open.	- Now make use of pkg-config for vcdimager in
	configure.   - Remove reference to info_private.h.

2003-08-09 Saturday 11:52  Rocky Bernstein <rocky@panix.com>

	* Makefile.am, doc/Makefile.am, example/sample1.c,
	example/sample2.c: *Makefile/am Get sample documentation is in
	distribution.  example/*.c: remove trailing blanks at end of file.

2003-08-06 Wednesday 14:02  Rocky Bernstein <rocky@panix.com>

	* libcdio.spec.in: - fixes really Manfred Tremmel
	<Manfred.Tremmel@iiv.de>   at
	http://www.iiv.de/schwinde/buerger/tremmel/

2003-08-03 Sunday 20:31  Rocky Bernstein <rocky@panix.com>

	* doc/libcdio.texi: Fill out how to use: add example programs 1 and
	2.

2003-08-03 Sunday 20:02  Rocky Bernstein <rocky@panix.com>

	* example/sample2.c: Sample program to	- show what driver is
	automatically selected	- what device will be used for that  - list
	all the drivers that exist showing whether they are available	 
	or not

2003-08-02 Saturday 03:47  Rocky Bernstein <rocky@panix.com>

	* Makefile.am: Remove that directory in EXTRA_DIST!

2003-08-02 Saturday 03:43  Rocky Bernstein <rocky@panix.com>

	* example/: README, sample1.c: Add a sample program. More will
	follow later...

2003-08-02 Saturday 03:41  Rocky Bernstein <rocky@panix.com>

	* doc/libcdio.texi: typo.

2003-07-30 Wednesday 02:05  Rocky Bernstein <rocky@panix.com>

	* doc/libcdio.texi: More verbiage. Alas not on how to use *this*
	package, but we are getting there if by virtue of not being able to
	postpone it too much more.

2003-07-28 Monday 10:46  Rocky Bernstein <rocky@panix.com>

	* doc/libcdio.texi: Small additions and edits.

2003-07-28 Monday 02:25  Rocky Bernstein <rocky@panix.com>

	* Makefile.am, configure.ac, doc/Makefile.am, doc/libcdio.texi:
	First feeble attempt at documentation.

2003-07-27 Sunday 22:52  Rocky Bernstein <rocky@panix.com>

	* include/cdio/cdio.h, lib/_cdio_bincue.c, lib/_cdio_linux.c,
	lib/_cdio_nrg.c, lib/_cdio_sunos.c: Small comment change.

2003-07-12 Saturday 00:26  Rocky Bernstein <rocky@panix.com>

	* parse/: Makefile, test/runall: Add simple regression testing
	driver.

2003-06-22 Sunday 22:41  Rocky Bernstein <rocky@panix.com>

	* include/cdio/cdio.h, lib/cdio.c, lib/cdio_private.h,
	src/cd-info.c: MIN_DRIVER, MIN_DEVICE_DRIVER, MAX_DEVICE_DRIVER ->
	CDIO_...  Add CDIO_MAX_DRIVER (distinct from CDIO_MAX_DEVICE_DRIVER
	
	cdio.c (cdio_open): was only scanning devices. Change to scan disk
	image files as well.

2003-06-13 Friday 04:47  Rocky Bernstein <rocky@panix.com>

	* configure.ac: Order of libraries is important in cygwin (and
	perhaps others): -lvcdinfo comes before -lvcd.

2003-06-13 Friday 04:36  Rocky Bernstein <rocky@panix.com>

	* src/cd-info.c: Now use cdio enum rather than vcd enum for unknown
	driver type.

2003-06-12 Thursday 04:46  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_generic.c, lib/_cdio_linux.c, lib/cdio_private.h,
	src/cd-info.c: Make GNU/Linux smarter about finding a default
	device -- code sort of from SDL.  Better error checking all around.

2003-06-12 Thursday 03:38  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_win32.c: Pedantic change: subroutine name is probably
	better.

2003-06-11 Wednesday 10:57  Rocky Bernstein <rocky@panix.com>

	* include/cdio/cdio.h, lib/cdio.c, src/Makefile.am: Enumeration had
	grew but hadn't changed string array accordingly.

2003-06-11 Wednesday 10:55  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_win32.c: Bug fixes for NT-derived systems

2003-06-10 Tuesday 01:19  Rocky Bernstein <rocky@panix.com>

	* configure.ac: It's '=' not '=='

2003-06-08 Sunday 13:08  Rocky Bernstein <rocky@panix.com>

	* configure.ac, test/check_common_fn.in: Better way to deal with
	diff vs. cmp and diff options.

2003-06-08 Sunday 12:33  Rocky Bernstein <rocky@panix.com>

	* configure.ac, test/check_common_fn, test/check_common_fn.in: Use
	diff rather than cmp if possible. Also if possible do a unified
	diff and for M$DOG strip whitespace for the \r\n vs \n differences.

2003-06-07 Saturday 22:16  Rocky Bernstein <rocky@panix.com>

	* src/cd-info.c: Reverting change (for now).

2003-06-07 Saturday 22:13  Rocky Bernstein <rocky@panix.com>

	* src/cd-info.c: Is this right?

2003-06-07 Saturday 22:11  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_win32.c: More bugs. By far not the last of them
	though....

2003-06-07 Saturday 20:42  Rocky Bernstein <rocky@panix.com>

	* include/cdio/cdio.h, lib/_cdio_win32.c, lib/cdio.c: With M$ we
	can no longer assume we can open a fd ant it will read properly.
	Add yellow-mode reads interface.
	
	There's lots of cleanup to do...

2003-06-07 Saturday 20:41  Rocky Bernstein <rocky@panix.com>

	* test/: cdda.right, check_common_fn, check_opts0.right,
	check_opts1.right, check_opts2.right, check_opts3.right,
	check_opts4.right, check_opts5.right, check_opts6.right,
	check_opts7.right, isofs-m1.right, monvoisin.right,
	svcd_ogt_test_ntsc.right, svcdgs.right, vcd_demo.right,
	videocd.right: Remvoe headers. Run with --no-header now.

2003-06-07 Saturday 20:40  Rocky Bernstein <rocky@panix.com>

	* src/cd-info.c: Add option to nuke header for regression tests. 
	With M$ can no longer assume file descriptors do the right thing. 
	Have pay more attention to track formats.

2003-06-07 Saturday 16:53  Rocky Bernstein <rocky@panix.com>

	* include/cdio/cdio.h, lib/_cdio_win32.c, lib/cdio.c: More MinGW
	things. Need generic routine for determining if a string is a
	device

2003-06-07 Saturday 16:49  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_generic.c: Add generic routine to determine if a string
	refers to a device or not.

2003-06-07 Saturday 16:48  Rocky Bernstein <rocky@panix.com>

	* lib/cdio_private.h: Add customized routines for determining if
	whether a string refers to a device or not.

2003-06-07 Saturday 12:47  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_win32.c: First inkling of this actually working.

2003-06-07 Saturday 10:44  Rocky Bernstein <rocky@panix.com>

	* include/cdio/types.h, lib/_cdio_win32.c: More MinGW fixes.

2003-06-07 Saturday 10:43  Rocky Bernstein <rocky@panix.com>

	* src/cd-info.c: Show default device on version command. Don't put
	/dev in front of device name if win32.

2003-06-07 Saturday 08:53  Rocky Bernstein <rocky@panix.com>

	* configure.ac, lib/_cdio_win32.c, src/cd-info.c: More MinGW fixes.

2003-06-07 Saturday 01:20  Rocky Bernstein <rocky@panix.com>

	* configure.ac, src/cd-info.c: cygwin/mingw improvements cd-info:
	list drivers and exit when --version requested.

2003-06-07 Saturday 01:19  Rocky Bernstein <rocky@panix.com>

	* lib/cdio.c, include/cdio/cdio.h: Add access routine to return
	driver string

2003-06-01 Sunday 21:05  Rocky Bernstein <rocky@panix.com>

	* configure.ac, src/Makefile.am, src/cd-info.c: Require libcddb
	0.9.4 or nothing at all. We now allow: - setting cache directory -
	disabling caching altogther - setting timeout on CDDB network
	operations - setting email address reported to CDDB server -
	setting name of CDDB server - printing/suppressing messages from
	CDDB

2003-05-30 Friday 10:58  Rocky Bernstein <rocky@panix.com>

	* test/check_common_fn: report name of cd-info program more
	accurately and precisely

2003-05-30 Friday 10:21  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_generic.c: Not everyone has sys/ioctl.h.

2003-05-27 Tuesday 02:58  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_freebsd.c: Another holdover from constants that were
	renamed.

2003-05-27 Tuesday 02:55  Rocky Bernstein <rocky@panix.com>

	* configure.ac, include/cdio/cdio.h, include/cdio/types.h,
	lib/Makefile.am, lib/_cdio_win32.c, lib/cdio.c, parse/.cvsignore:
	Closer to having WIN32 CD-ROM support

2003-05-27 Tuesday 02:22  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_freebsd.c: Miscellaneous constant changes and typos

2003-05-26 Monday 03:11  Rocky Bernstein <rocky@panix.com>

	* include/cdio/sector.h: more pedantic types (which in fact match
	the implimentation).

2003-05-25 Sunday 10:35  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_freebsd.c: Another small comment correction

2003-05-25 Sunday 10:34  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_freebsd.c: small eject comment correction

2003-05-24 Saturday 15:46  Rocky Bernstein <rocky@panix.com>

	* src/cd-info.c: Revert version number change since I'm not
	prepared to change the regression test numbers.

2003-05-24 Saturday 15:43  Rocky Bernstein <rocky@panix.com>

	* lib/cdio_private.h: Add field for and save driver id used.

2003-05-24 Saturday 15:26  Rocky Bernstein <rocky@panix.com>

	* src/cd-info.c: Print out driver selected.

2003-05-24 Saturday 15:25  Rocky Bernstein <rocky@panix.com>

	* lib/cdio.c: Add cdio_get_driver_name: routine to list name of
	driver selected.

2003-05-24 Saturday 15:24  Rocky Bernstein <rocky@panix.com>

	* include/cdio/cdio.h: Add cdio_get_driver_name: routine to return
	driver selected.

2003-05-20 Tuesday 08:23  Rocky Bernstein <rocky@panix.com>

	* test/videocd.nrg: Test NRG file.

2003-05-20 Tuesday 08:10  Rocky Bernstein <rocky@panix.com>

	* configure.ac: Solaris needs -lnsl and -lgethostbyname for libcddb

2003-05-20 Tuesday 07:56  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_bincue.c: Wrong name: was testing uninit variable.

2003-05-20 Tuesday 07:35  Rocky Bernstein <rocky@panix.com>

	* configure.ac: Get ready for version 0.6

2003-05-18 Sunday 02:31  Rocky Bernstein <rocky@panix.com>

	* test/check_cue.sh.in: Add a test using --bin

2003-05-18 Sunday 02:28  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_bincue.c: Wasn't handling bin correctly.

2003-05-18 Sunday 01:50  Rocky Bernstein <rocky@panix.com>

	* include/cdio/cdio.h, lib/_cdio_bincue.c, lib/cdio.c: Add routine
	to open check for bin file (cdio_is_binfile). Code simplified a
	little.

2003-05-17 Saturday 03:53  Rocky Bernstein <rocky@panix.com>

	* libcdio.pc.in: We don't really use glib-2.0 for now. BSDI test
	box doesn't have.

2003-05-16 Friday 21:11  Rocky Bernstein <rocky@panix.com>

	* test/check_nrg.sh.in: BSDI doesn't handle skipped tests (exit 77)
	properly. I'd rather switch than fight.

2003-05-16 Friday 07:36  Rocky Bernstein <rocky@panix.com>

	* lib/cdio.c: Wasn't nulling correctly. Eject test faulty too.

2003-05-16 Friday 07:18  Rocky Bernstein <rocky@panix.com>

	* include/cdio/cdio.h, lib/_cdio_bsdi.c, lib/_cdio_freebsd.c,
	lib/_cdio_linux.c, lib/_cdio_sunos.c, lib/cdio.c, parse/Makefile:
	Bug in eject: need to close internal file descriptor before
	ejecting.  eject interface now nulls cdio pointer after a sucessful
	eject.

2003-05-11 Sunday 03:29  Rocky Bernstein <rocky@panix.com>

	* parse/: .cvsignore, Makefile, cue.L, cue.y, test/t1.cue,
	test/t2.cue, test/t3.cue: Towards CUE parser via flex/bison.

2003-04-29 Tuesday 08:17  Rocky Bernstein <rocky@panix.com>

	* misc/libcdio.ebuild: Gentoo ebuild file courtesy of Kris Verbeeck
	<kris.verbeeck@chello.be

2003-04-29 Tuesday 08:16  Rocky Bernstein <rocky@panix.com>

	* THANKS: More appreciation.

2003-04-28 Monday 02:08  Rocky Bernstein <rocky@panix.com>

	* test/.cvsignore: Do I trust Savannah?

2003-04-28 Monday 02:02  Rocky Bernstein <rocky@panix.com>

	* test/: Makefile.am, check_nrg.sh, check_nrg.sh.in: check_nrg.sh
	is now derived since we may or may not have Video CD info
	displayed.

2003-04-26 Saturday 14:24  Rocky Bernstein <rocky@panix.com>

	* configure.ac, src/Makefile.am, src/cd-info.c, test/cdda.right,
	test/check_cue.sh.in, test/check_nrg.sh, test/check_opts0.right,
	test/check_opts1.right, test/check_opts4.right,
	test/check_opts5.right, test/check_opts6.right,
	test/check_opts7.right, test/isofs-m1.right, test/monvoisin.right,
	test/svcd_ogt_test_ntsc.right, test/svcdgs.right,
	test/vcd_demo.right, test/videocd.right: cd-info: Use libvcdinfo if
	it is around to list out general Video CD properties (format
	version, album description, preparer id, volume number and count).
	cd-info output changed slightly.

2003-04-25 Friday 21:28  Rocky Bernstein <rocky@panix.com>

	* Makefile.am, src/Makefile.am, src/cd-info.c, src/cdinfo.c,
	test/check_common_fn, test/check_opts.sh: rename cdinfo to cd-info
	to accomodate previously existing cdinfo programs.  Thanks to
	Manfred Tremmel <Manfred.Tremmel@iiv.de> for reporting the problem.

2003-04-25 Friday 21:26  Rocky Bernstein <rocky@panix.com>

	* configure.ac: Make RPM spec file.

2003-04-25 Friday 21:24  Rocky Bernstein <rocky@panix.com>

	* THANKS: Add Manfred Tremmel

2003-04-25 Friday 21:23  Rocky Bernstein <rocky@panix.com>

	* libcdio.spec.in: First RPM spec thanks to Manfred Tremmel
	<Manfred.Tremmel@iiv.de>.

2003-04-24 Thursday 02:45  Rocky Bernstein <rocky@panix.com>

	* test/: Makefile.am, check_nrg.sh, videocd.right: Add a single NRG
	test.

2003-04-23 Wednesday 22:05  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_nrg.c, test/svcdgs.right: More blind guesses to CUES
	format. Still wrong, but works better on the one sample I have to
	go on: svcdgs.nrg.

2003-04-22 Tuesday 12:40  Rocky Bernstein <rocky@panix.com>

	* configure.ac, include/cdio/Makefile.am: Wasn't installing
	version.h. This time, for sure!

2003-04-22 Tuesday 12:20  Rocky Bernstein <rocky@panix.com>

	* test/: isofs-m1.bin, isofs-m1.cue: ISO 9660 filesystem Mode1
	regression test.

2003-04-22 Tuesday 12:18  Rocky Bernstein <rocky@panix.com>

	* test/cdda.bin: Sample CD-DA bin/cue image.

2003-04-22 Tuesday 12:17  Rocky Bernstein <rocky@panix.com>

	* test/cdda.cue: Regression test cue.

2003-04-22 Tuesday 12:10  Rocky Bernstein <rocky@panix.com>

	* include/cdio/.cvsignore: config.h now is no longer derived while
	version.h now is.

2003-04-22 Tuesday 12:09  Rocky Bernstein <rocky@panix.com>

	* Makefile.am, configure.ac, include/cdio/Makefile.am,
	include/cdio/cdio.h, include/cdio/cdio.h.in, lib/_cdio_bincue.c,
	lib/_cdio_bsdi.c, lib/_cdio_freebsd.c, lib/_cdio_generic.c,
	lib/_cdio_linux.c, lib/_cdio_nrg.c, lib/_cdio_stdio.c,
	lib/_cdio_stream.c, lib/_cdio_stream.h, lib/_cdio_sunos.c,
	lib/bytesex.h, lib/bytesex_asm.h, lib/cdio.c, lib/cdio_assert.h,
	lib/cdio_private.h, lib/ds.c, lib/ds.h, lib/logging.c,
	lib/sector.c, lib/util.c, src/cdinfo.c, test/.cvsignore,
	test/Makefile.am, test/cdda.right, test/check_common_fn,
	test/check_cue.sh.in, test/check_nrg.sh, test/check_opts.sh,
	test/check_opts0.right, test/check_opts1.right,
	test/check_opts2.right, test/check_opts3.right,
	test/check_opts4.right, test/check_opts5.right,
	test/check_opts6.right, test/check_opts7.right, test/fsf.right,
	test/isofs-m1.right, test/monvoisin.right,
	test/svcd_ogt_test_ntsc.right, test/svcdgs.right,
	test/vcd_demo.right: tests -> test All public includes are included
	via #include <cdio/....h> rather than #include "....h"
	
	(removed -I $top_srcdir/include/cdio)

2003-04-22 Tuesday 02:48  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_freebsd.c: Probably closer.

2003-04-22 Tuesday 01:34  Rocky Bernstein <rocky@panix.com>

	* Makefile.am: Update regression version.

2003-04-21 Monday 23:30  Rocky Bernstein <rocky@panix.com>

	* TODO: Where we might be going...

2003-04-21 Monday 23:28  Rocky Bernstein <rocky@panix.com>

	* .cvsignore: Now that we're using pkg-config.

2003-04-21 Monday 23:27  Rocky Bernstein <rocky@panix.com>

	* include/cdio/cdio.h.in: Simple typo.

2003-04-21 Monday 23:24  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_nrg.c: Probably much closer to being able to handle
	Nero CUES format. Seems to have 2336 sector size; 2 second pregap
	seems to be included at the beginning of the image.

2003-04-21 Monday 23:20  Rocky Bernstein <rocky@panix.com>

	* src/cdinfo.c: Add tests for CVD. A lot of this probably should be
	redone. For example, should get basic Video CD info from libvcdinfo
	if that is around.

2003-04-21 Monday 14:13  Herbert Valerio Riedel <hvr@gnu.org>

	* include/cdio/: Makefile.am, logging.h, sector.h: public headers
	must nuse unique #includes!

2003-04-21 Monday 10:17  Herbert Valerio Riedel <hvr@gnu.org>

	* Makefile.am, configure.ac, libcdio.pc.in, include/cdio/cdio.h.in:
	added pkg-config(1) support

2003-04-20 Sunday 19:42  Rocky Bernstein <rocky@panix.com>

	* include/cdio/.cvsignore: CVS maintenance

2003-04-20 Sunday 17:24  Rocky Bernstein <rocky@panix.com>

	* configure.ac, include/cdio/cdio.h, include/cdio/cdio.h.in,
	src/cdinfo.c: Reduce overall size yet again by replaing isofs-m1
	for fsf-tompox.  cdinfo: Add options for CDDB port and CDDB http
	enable	       fix bug if no CD in cdrom drive.

2003-04-20 Sunday 15:35  Rocky Bernstein <rocky@panix.com>

	* include/cdio/cdio.h: add min/max device driver

2003-04-20 Sunday 15:34  Rocky Bernstein <rocky@panix.com>

	* Makefile.am, configure.ac, lib/cdio.c: Add small cdda test. 
	cdio.c: cdio_open was opening image drivers.

2003-04-20 Sunday 01:39  Rocky Bernstein <rocky@panix.com>

	* configure.ac, lib/Makefile.am, src/cdinfo.c: Put back in libcddb
	0.9.0 checking and use cddb_http_disable().

2003-04-19 Saturday 20:49  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_freebsd.c: Add _cdio_read_audio_sector. Try to sync up
	with other drivers.

2003-04-19 Saturday 19:12  Rocky Bernstein <rocky@panix.com>

	* Makefile.am, NEWS, configure.ac: Break most of the larger
	regression tests into a separate package.

2003-04-19 Saturday 09:13  Rocky Bernstein <rocky@panix.com>

	* include/cdio/: Makefile.am, cdio.h, cdio.h.in: Add package
	version

2003-04-19 Saturday 09:02  Rocky Bernstein <rocky@panix.com>

	* include/cdio/cdio.h: Add an API version number.

2003-04-19 Saturday 08:29  Rocky Bernstein <rocky@panix.com>

	* Makefile.am, configure.ac, include/.cvsignore,
	include/Makefile.am, include/cdio/.cvsignore,
	include/cdio/Makefile.am, include/cdio/cdio.h,
	include/cdio/logging.h, include/cdio/sector.h,
	include/cdio/types.h, include/cdio/util.h, lib/Makefile.am,
	lib/cdio.h, lib/logging.h, lib/sector.h, lib/types.h, lib/util.h,
	src/cdinfo.c: Move public includes to include/cdio. This should
	facilitate having this source installed locally since it allows
	#include <cdio/cdio.h> in the source tree.

2003-04-19 Saturday 00:53  Rocky Bernstein <rocky@panix.com>

	* src/cdinfo.c: Revise to to handle libcddb 0.90.

2003-04-19 Saturday 00:52  Rocky Bernstein <rocky@panix.com>

	* lib/cdio.h: Remove a compile warning noticed by Kris Verbeeck.

2003-04-19 Saturday 00:50  Rocky Bernstein <rocky@panix.com>

	* configure.ac: do chmod +x for test/check_opts.sh Test to see if
	we have new enough libcddb.

2003-04-19 Saturday 00:49  Rocky Bernstein <rocky@panix.com>

	* README: Update to include CDDB information and note this is ued
	by CD-DA plugin.

2003-04-15 Tuesday 05:19  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_linux.c: Remove compile warning on non-GNU/Linux
	servers.

2003-04-14 Monday 23:30  Rocky Bernstein <rocky@panix.com>

	* THANKS: Need to start *somewhere*.

2003-04-14 Monday 23:29  Rocky Bernstein <rocky@panix.com>

	* NEWS: Wha's happenin'

2003-04-14 Monday 23:11  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_bincue.c: Bug-causing typo.

2003-04-14 Monday 10:03  Rocky Bernstein <rocky@panix.com>

	* configure.ac: Need to conditionally add --no-cddb so we added
	check_opts.sh.in.  Rewrite for loop in lower-level Bourne-shell
	style.

2003-04-14 Monday 10:01  Rocky Bernstein <rocky@panix.com>

	* src/cdinfo.c: One cddb reference not conditionally included.

2003-04-14 Monday 04:58  Rocky Bernstein <rocky@panix.com>

	* src/cdinfo.c: libpopt options need to be integers. Change order
	of include to accomodate libcddb. Make distcheck now works.

2003-04-14 Monday 04:29  Rocky Bernstein <rocky@panix.com>

	* src/Makefile.am: Add CDDB_LIB for cdinfo.

2003-04-14 Monday 04:29  Rocky Bernstein <rocky@panix.com>

	* configure.ac: Check for libcddb and use that if it's there.

2003-04-14 Monday 04:27  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_bincue.c: If we don't think this is a cue file, we now
	report that rather than give the cryptic message about a null
	source.

2003-04-14 Monday 04:26  Rocky Bernstein <rocky@panix.com>

	* src/cdinfo.c: CDDB lookup for audio CD via libcddb.

2003-04-14 Monday 04:24  Rocky Bernstein <rocky@panix.com>

	* lib/cdio.c: Bad linux default_device initialization.

2003-04-12 Saturday 03:38  Rocky Bernstein <rocky@panix.com>

	* lib/: _cdio_bincue.c, _cdio_bsdi.h, cdio.c, cdio.h: Add routine
	cdio_is_bincue to test if file is a cue file.  cdio_open does a
	better job in automatically determining the type of file.

2003-04-11 Friday 17:33  Rocky Bernstein <rocky@panix.com>

	* lib/: sector.c, sector.h: Tired of all those unused warings.
	Remove the static inline stuff.  It's probably not worth the
	performance gains. (And if it is we can turn into a #define)

2003-04-11 Friday 17:31  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_sunos.c: Move used #include <string.h> outside of
	conditional compilation since strdup's used to get default device.

2003-04-11 Friday 17:30  Rocky Bernstein <rocky@panix.com>

	* lib/: _cdio_bincue.c, _cdio_nrg.c: Forgot to add recently added
	read_audio_sector to op structure.

2003-04-10 Thursday 07:22  Rocky Bernstein <rocky@panix.com>

	* configure.ac, lib/_cdio_bincue.c, lib/_cdio_nrg.c: configure.ac:
	bump version bincue/nrg: add cdio_read_audio_sector

2003-04-10 Thursday 07:19  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_sunos.c: read_mode_audio_sector now works.

2003-04-10 Thursday 04:13  Rocky Bernstein <rocky@panix.com>

	* lib/: _cdio_bincue.c, _cdio_bsdi.c, _cdio_freebsd.c,
	_cdio_generic.c, _cdio_nrg.c, _cdio_sunos.c, cdio.c, cdio.h,
	cdio_private.h: get_default_device with NULL will get device
	*without* trying to open cd. Add read_audio call.

2003-04-10 Thursday 04:11  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_linux.c: Add ability to read audio (CD-DA) sector.

2003-04-10 Thursday 04:10  Rocky Bernstein <rocky@panix.com>

	* lib/types.h: Add CDIO_INVALID_LSN definition

2003-04-09 Wednesday 11:15  Rocky Bernstein <rocky@panix.com>

	* lib/sector.h: CD_MAX_TRACKS -> CDIO_CD_MAX_TRACKS

2003-04-08 Tuesday 21:12  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_linux.c: Small name changes.

2003-04-08 Tuesday 10:35  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_bsdi.c: Changes brought about by sector.h #define
	changes.

2003-04-08 Tuesday 10:17  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_sunos.c: Revise for changed sector.h

2003-04-07 Monday 11:31  Rocky Bernstein <rocky@panix.com>

	* lib/cdio_private.h: Add opaque CdIoDataSource type and generic
	free routine for stream-based drivers (nrg, bincue, network).

2003-04-07 Monday 11:29  Rocky Bernstein <rocky@panix.com>

	* lib/types.h: Indention formatting that Emacs prefers.

2003-04-07 Monday 11:25  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_nrg.c: Sync up with _cdio_bincue a little. free routine
	replaced with a generic routine.

2003-04-07 Monday 11:24  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_bincue.c: Move free routine into a generic routine.
	Some numbers replaced by #define constants.

2003-04-07 Monday 11:24  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_generic.c: Add generic_stream_free and remove out of
	disk-image routines.

2003-04-07 Monday 11:23  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_stream.h: Opaque type CdioDataSource is now in
	cdio_private.h. This forces us to use that. (And this might not be
	the best, but I can't think of anything else that is as simple.)

2003-04-07 Monday 03:05  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_stream.c: Grammar typo.

2003-04-07 Monday 02:58  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_bincue.c: Another case of not checking the status of
	operations and returning on error (rather than continuing). Not
	serious this time...

2003-04-07 Monday 02:41  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_bincue.c: Propagate error results from seeks and reads.

2003-04-06 Sunday 23:40  Rocky Bernstein <rocky@panix.com>

	* lib/: _cdio_stdio.c, _cdio_stream.c, _cdio_stream.h: Document
	some of the interfaces.

2003-04-06 Sunday 23:09  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_bincue.c: Back off a little with the #define thing a
	little for now. I made a mistake somewhere.  (And don't want to
	track it down further.)

2003-04-06 Sunday 18:26  Rocky Bernstein <rocky@panix.com>

	* lib/sector.h: This time for sure?

2003-04-06 Sunday 18:12  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_generic.c, lib/_cdio_linux.c, lib/_cdio_nrg.c,
	lib/sector.h, src/cdinfo.c: More #define reductions/fixes.

2003-04-06 Sunday 17:57  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_bincue.c, lib/_cdio_bsdi.c, lib/_cdio_bsdi_old.c,
	lib/_cdio_linux.c, lib/_cdio_nrg.c, lib/_cdio_stream.c,
	lib/_cdio_sunos.c, lib/sector.h, src/cdinfo.c: Change sector.h
	constants, yet again. This time for Herbert Valiero Riedel.

2003-04-06 Sunday 06:46  Rocky Bernstein <rocky@panix.com>

	* src/cdinfo.c: Use new sector.h constants.

2003-04-06 Sunday 06:45  Rocky Bernstein <rocky@panix.com>

	* lib/: _cdio_linux.c, _cdio_nrg.c, _cdio_sunos.c, cdio.h: 
	Use new sector.h constants. More changes will no doubt follow.

2003-04-06 Sunday 06:44  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_bincue.c: More complete. Fill out seek code.

2003-04-06 Sunday 06:43  Rocky Bernstein <rocky@panix.com>

	* lib/sector.h: Go with Linux definitions rather than invent our
	own. More changes will no doubt follow.

2003-04-04 Friday 05:15  Rocky Bernstein <rocky@panix.com>

	* lib/: _cdio_bincue.c, cdio_private.h: Close go getting simple
	read working. Not completely correct, but close.

2003-04-04 Friday 00:41  Rocky Bernstein <rocky@panix.com>

	* lib/: cdio.c, cdio.h: Documentation improvment: Note that
	get_default_device returns NULL on error.

2003-04-03 Thursday 12:16  Rocky Bernstein <rocky@panix.com>

	* lib/: Makefile.am, _cdio_stream.h, bytesex.h, bytesex_asm.h,
	cdio.h, cdio_assert.h, cdio_types.h, ds.c, ds.h, logging.h,
	sector.h, types.h: cdio_types.h -> types.h

2003-04-02 Wednesday 14:54  Rocky Bernstein <rocky@panix.com>

	* lib/cdio.c: Note that device is uninit when destroying, 'cause it
	is!

2003-03-30 Sunday 13:01  Rocky Bernstein <rocky@panix.com>

	* lib/: _cdio_bincue.c, _cdio_bsdi.c, _cdio_generic.c,
	_cdio_linux.c, _cdio_nrg.c, _cdio_sunos.c, cdio.c, cdio.h,
	cdio_private.h: More common routiens and structures moved to
	cdio_generic.c or cdio_private.h respectively.

2003-03-30 Sunday 12:59  Rocky Bernstein <rocky@panix.com>

	* configure.ac: BSDI now requires Steve Schultz's libdvd.a and
	dvd.h package.

2003-03-30 Sunday 01:31  Rocky Bernstein <rocky@panix.com>

	* configure.ac: Having trouble getting aclocal include libpopt.m4
	(and presumably other *.m4's)

2003-03-30 Sunday 01:11  Rocky Bernstein <rocky@panix.com>

	* autogen.sh, configure.ac, src/Makefile.am: Rest: add libpopt
	autoconfiguration.

2003-03-30 Sunday 01:11  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_bsdi.c: Extend to larger interface using generic
	routines.

2003-03-30 Sunday 00:40  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_freebsd.c: Yet another typo.

2003-03-30 Sunday 00:38  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_freebsd.c: Change default drive and fix typographical
	mistake.

2003-03-29 Saturday 21:13  Rocky Bernstein <rocky@panix.com>

	* lib/: _cdio_bincue.c, _cdio_generic.c, _cdio_nrg.c,
	_cdio_sunos.c: Small lint-like errors. Solaris now works again with
	new read/lseek functions.

2003-03-29 Saturday 20:28  Rocky Bernstein <rocky@panix.com>

	* lib/: _cdio_freebsd.c, _cdio_sunos.c: Probably closer towards
	compiling on those architectures.

2003-03-29 Saturday 17:32  Rocky Bernstein <rocky@panix.com>

	* configure.ac, lib/Makefile.am, lib/_cdio_bincue.c,
	lib/_cdio_bsdi.c, lib/_cdio_bsdi_old.c, lib/_cdio_freebsd.c,
	lib/_cdio_generic.c, lib/_cdio_linux.c, lib/_cdio_nrg.c,
	lib/_cdio_stdio.c, lib/_cdio_stream.c, lib/_cdio_stream.h,
	lib/_cdio_sunos.c, lib/cdio.c, lib/cdio.h, lib/cdio_private.h,
	lib/cdio_types.h, lib/sector.h, src/Makefile.am, src/cdinfo.c: Add
	simple (non-mode2) read/seek.  _cdio_generic.c: place to save
	common driver routines add cdio_get_track_sec_count.

2003-03-25 Tuesday 02:10  Rocky Bernstein <rocky@panix.com>

	* src/cdinfo.c: gcc < 3.0 compatibility.

2003-03-25 Tuesday 00:00  Rocky Bernstein <rocky@panix.com>

	* lib/_cdio_freebsd.c: A stab at FreeBSD support. Not finished.
	More later...

2003-03-24 Monday 23:59  Rocky Bernstein <rocky@panix.com>

	* lib/: Makefile.am, _cdio_bsdi.c, _cdio_linux.c, cdio.c, cdio.h:
	_cdio_linux.c: eject routines does it's own open and close. 
	cdio.h, Makefile.am, cdio.c: Add FreeBSD routine (not complete
	yet).

2003-03-24 Monday 21:01  Rocky Bernstein <rocky@panix.com>

	* src/cdinfo.c: Small clarity change

2003-03-24 Monday 19:01  Rocky Bernstein <rocky@panix.com>

	* .cvsignore, AUTHORS, Makefile.am, NEWS, README, autogen.sh,
	configure.ac, libpopt.m4, lib/.cvsignore, lib/Makefile.am,
	lib/_cdio_bincue.c, lib/_cdio_bsdi.c, lib/_cdio_bsdi.h,
	lib/_cdio_linux.c, lib/_cdio_nrg.c, lib/_cdio_stdio.c,
	lib/_cdio_stdio.h, lib/_cdio_stream.c, lib/_cdio_stream.h,
	lib/_cdio_sunos.c, lib/bytesex.h, lib/bytesex_asm.h, lib/cdio.c,
	lib/cdio.h, lib/cdio_assert.h, lib/cdio_private.h,
	lib/cdio_types.h, lib/ds.c, lib/ds.h, lib/logging.c, lib/logging.h,
	lib/sector.c, lib/sector.h, lib/util.c, lib/util.h, src/.cvsignore,
	src/Makefile.am, src/cdinfo-linux.c, src/cdinfo.c: Initial revision

2003-03-24 Monday 19:01  Rocky Bernstein <rocky@panix.com>

	* .cvsignore, AUTHORS, Makefile.am, NEWS, README, autogen.sh,
	configure.ac, libpopt.m4, lib/.cvsignore, lib/Makefile.am,
	lib/_cdio_bincue.c, lib/_cdio_bsdi.c, lib/_cdio_bsdi.h,
	lib/_cdio_linux.c, lib/_cdio_nrg.c, lib/_cdio_stdio.c,
	lib/_cdio_stdio.h, lib/_cdio_stream.c, lib/_cdio_stream.h,
	lib/_cdio_sunos.c, lib/bytesex.h, lib/bytesex_asm.h, lib/cdio.c,
	lib/cdio.h, lib/cdio_assert.h, lib/cdio_private.h,
	lib/cdio_types.h, lib/ds.c, lib/ds.h, lib/logging.c, lib/logging.h,
	lib/sector.c, lib/sector.h, lib/util.c, lib/util.h, src/.cvsignore,
	src/Makefile.am, src/cdinfo-linux.c, src/cdinfo.c: Imported sources

